﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable accross all of the CGTS services.</title>

    <!-- CONTEXT VALIDATIONS -->
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
        IF COUNT RP <> 1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402132" diagnostics="DVR.ATO.CGTS.402132"
                test="count($RP.Context) = 1"/>

        <!--
        IF COUNT(CONTEXT(RP.ListedCompanyShares)) >1
           RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402138" diagnostics="DVR.ATO.CGTS.402138"
                test="not(
                        count($RP.ListedCompanyShares.Context) &gt; 1
                        )"  />


        <!--
        IF COUNT(CONTEXT(RP.OtherShares)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->


        <assert id="VR.ATO.CGTS.402139" diagnostics="DVR.ATO.CGTS.402139"
                test="not(
                        count($RP.OtherShares.Context) &gt; 1
                        )"  />     
        
        <!--
        IF COUNT(CONTEXT(RP.ListedUnitTrusts)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

  
        <assert id="VR.ATO.CGTS.402140" diagnostics="DVR.ATO.CGTS.402140"
                test="not(
                        count($RP.ListedUnitTrusts.Context) &gt; 1
                        )"  />   
        
        <!--
        IF COUNT (CONTEXT(RP.OtherUnits)) > 1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

    
        <assert id="VR.ATO.CGTS.402141" diagnostics="DVR.ATO.CGTS.402141"
                test="not(
                        count($RP.OtherUnits.Context) &gt; 1
                        )"  />    
        
        <!--
        IF COUNT(CONTEXT(RP.RealPropertyAUS)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.CGTS.402142" diagnostics="DVR.ATO.CGTS.402142"
                test="not(
                        count($RP.RealPropertyAUS.Context) &gt; 1
                        )"  />
        
        <!--
        IF COUNT (CONTEXT(RP.OverseasRealProperty)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->



        <assert id="VR.ATO.CGTS.402143" diagnostics="DVR.ATO.CGTS.402143"
                test="not(
                        count($RP.OverseasRealProperty.Context) &gt; 1
                        )"  />   
       <!--
        IF COUNT (CONTEXT(RP.CapitalGainsTrustDistributions)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

    
        <assert id="VR.ATO.CGTS.402144" diagnostics="DVR.ATO.CGTS.402144"
                test="not(
                        count($RP.CapitalGainsTrustDistributions.Context) &gt; 1
                        )"  />



        <!--
        IF COUNT (CONTEXT(RP.Collectables)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402145" diagnostics="DVR.ATO.CGTS.402145"
                test="not(
                        count($RP.Collectables.Context) &gt; 1
                        )"  />
      
        
        <!--
        IF COUNT (CONTEXT(RP.CGTOther)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402146" diagnostics="DVR.ATO.CGTS.402146"
                test="not(
                        count($RP.CGTOther.Context) &gt; 1
                        )"  />
        
        <!--
        IF COUNT (CONTEXT(RP.Applied)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402147" diagnostics="DVR.ATO.CGTS.402147"
                test="not(
                        count($RP.Applied.Context) &gt; 1
                        )"  />
       
        <!--
        IF COUNT (CONTEXT(RP.Applied.Y0-)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402148" diagnostics="DVR.ATO.CGTS.402148"
                test="not(
                        count($RP.Applied.Y0-.Context) &gt; 1
                        )"  />
  
        <!--
        IF COUNT (CONTEXT(RP.Collectables.Unapplied)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402149" diagnostics="DVR.ATO.CGTS.402149"
                test="not(
                        count($RP.Collectables.Unapplied.Context) &gt; 1
                        )"  />
    
        <!--
        IF COUNT (CONTEXT(RP.CGTOther.Unapplied)) >1
            RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.CGTS.402150" diagnostics="DVR.ATO.CGTS.402150"
                test="not(
                        count($RP.CGTOther.Unapplied.Context) &gt; 1
                        )"  />

        <!--
            IF COUNT (CONTEXT(RP.Applied.Y0)) >1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CGTS.402201" diagnostics="DVR.ATO.CGTS.402201"
                test="not(
                        count($RP.Applied.Y0.Context) &gt; 1
                      )"  />

    </rule>

    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!--
        IF (entity.identifier.scheme <> “http://www.ato.gov.au/tfn”)
              RETURN VALIDATION MESSAGE
        ENDIF
        -->
       <assert id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.CGT"
               test="xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            
            WHERE IN SET {RP.EarnoutArrangementGroupNumber} 
            IF entity.segment.RP.EarnoutArrgmtGrpItmDim.EarnoutArrangementGroupItemContainer 
            <> SET (1-20)
               RETURN VALIDATION MESSAGE
            ENDIF

        -->
        <assert id="VR.ATO.CGTS.402136" diagnostics="DVR.ATO.CGTS.402136"
                test="not(
                        . = $RP.EarnoutArrangementGroupNumber.Context
                        and not(
                            regexp:test(
                                ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                                    /xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') 
                                                        and regexp:test(@dimension, '^EarnoutArrgmtGrpItmDim\.\d\d\.\d\d:EarnoutArrangementGroupItemDimension$')]
                                        /EarnoutArrgmtGrpItmDim.02.00:EarnoutArrangementGroupItemContainer[not(@i:nil='true' or @i:nil='1')]
                                , '^(1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20)$'))
                      )"/>

        <!--
              
            WHERE IN SET {RP.EarnoutArrangementGroupNumber}
            IF
            entity.segment.RP.EarnoutArrgmtGrpItmDim.EarnoutArrangementGroupItemContainer = 
            ANY OTHER OCCURRENCE OF
            entity:segment:EarnoutArrgmtGrpItmDim.EarnoutArrangementGroupItemContainer
               RETURN VALIDATION MESSAGE
            ENDIF

        -->
        <assert id="VR.ATO.CGTS.402137" diagnostics="DVR.ATO.CGTS.402137"
                test="not(
                        . = $RP.EarnoutArrangementGroupNumber.Context
                        and xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                                    /xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^EarnoutArrgmtGrpItmDim\.\d\d\.\d\d:EarnoutArrangementGroupItemDimension$')]
                                        /EarnoutArrgmtGrpItmDim.02.00:EarnoutArrangementGroupItemContainer[not(@i:nil='true' or @i:nil='1')]
                            =
                            preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                                    /xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^EarnoutArrgmtGrpItmDim\.\d\d\.\d\d:EarnoutArrangementGroupItemDimension$')]
                                        /EarnoutArrgmtGrpItmDim.02.00:EarnoutArrangementGroupItemContainer[not(@i:nil='true' or @i:nil='1')]
                      )"  />

    </rule>


    <rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.CGTS.402134"
                test="not(
                        xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] != $RP.Identifier.TFN
                      )"
                />
    </rule>
    
    
</pattern>