﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Length" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

    <rule context="rvctc3.02.06:CapitalGainsTax.CapitalGainsorLossesOnEarnoutArrangementNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
                IF ([CGTS137] <> NULL) AND ([CGTS137] <> MONETARY (S,11,0))
                RETURN VALIDATION MESSAGE
                ENDIF
            
                [CGTS137] = CGTS:RP.{EarnoutArrangementGroupNumber}:rvctc3.02.06:CapitalGainsTax.CapitalGainsorLossesOnEarnoutArrangementNet.Amount
            -->
        <assert id="VR.ATO.CGTS.402193" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.EarnoutArrangementGroupNumber.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                     )"/>
    </rule>
    
    <rule context="rvctc3.02.11:Capital.Gains.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

      <!--
          IF (rvctc3.xx.xx:Capital.Gains.Total.Amount) <> NULL AND (rvctc3.xx.xx:Capital.Gains.Total.Amount <> MONETARY (U,11,0))
             RETURN VALIDATION MESSAGE
          ENDIF

        -->
      <assert id="VR.ATO.CGTS.402155" diagnostics="DVR.ATO.MONEY.U.11.0"
                              test="not(

                                        (@contextRef = $RP.ContextId or
                                        @contextRef=$RP.CapitalGainsTrustDistributions.ContextId or
                                        @contextRef=$RP.CGTOther.ContextId or
                                        @contextRef=$RP.Collectables.ContextId or
                                        @contextRef=$RP.ListedCompanyShares.ContextId or
                                        @contextRef=$RP.ListedUnitTrusts.ContextId or
                                        @contextRef=$RP.OtherShares.ContextId or
                                        @contextRef=$RP.OtherUnits.ContextId or
                                        @contextRef=$RP.OverseasRealProperty.ContextId or
                                        @contextRef=$RP.RealPropertyAUS.ContextId
                                        )                        
                                        and  not(regexp:test(.,'^[0-9]{1,11}$'))
                                        )"/>

    </rule>
    <rule context="rvctc3.02.11:Capital.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

      <!--
            IF ([CGTS123] <> NULL) AND ([CGTS123] <> MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
        -->
      <assert id="VR.ATO.CGTS.402166" diagnostics="DVR.ATO.MONEY.U.11.0"
              test="not(
                        @contextRef = $RP.Applied.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
        <!--
            IF (rvctc3.xx.xx:Capital.Losses.Total.Amount) <> NULL AND (rvctc3.xx.xx:Capital.Losses.Total.Amount <>
            MONETARY (U,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CGTS.402159" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            @contextRef = $RP.ContextId and not (regexp:test(.,'^[0-9]{1,11}$'))
                          )"/>

      <!--
          IF (rvctc3.xx.xx:Capital.Losses.Total.Amount) <> NULL AND (rvctc3.xx.xx:Capital.Losses.Total.Amount <>
          MONETARY (U,11,0))
             RETURN VALIDATION MESSAGE
          ENDIF
        -->
      <assert id="VR.ATO.CGTS.402161" diagnostics="DVR.ATO.MONEY.U.11.0"
                              test="not(
                                        @contextRef = $RP.Applied.Y0.ContextId  and  not(regexp:test(.,'^[0-9]{1,11}$'))
                                        )"/>

      <!--
          IF (rvctc3.xx.xx:Capital.Losses.Total.Amount) <> NULL AND (rvctc3.xx.xx:Capital.Losses.Total.Amount
          <> MONETARY(U,11,0))
             RETURN VALIDATION MESSAGE
          ENDIF

        -->
      <assert id="VR.ATO.CGTS.402156" diagnostics="DVR.ATO.MONEY.U.11.0"
                              test="not(

                                        (@contextRef = $RP.CGTOther.ContextId or
                                        @contextRef = $RP.Collectables.ContextId or
                                        @contextRef = $RP.ListedCompanyShares.ContextId or
                                        @contextRef = $RP.ListedUnitTrusts.ContextId or
                                        @contextRef = $RP.OtherShares.ContextId or
                                        @contextRef = $RP.OtherUnits.ContextId or
                                        @contextRef = $RP.OverseasRealProperty.ContextId or
                                        @contextRef = $RP.RealPropertyAUS.ContextId
                                        )                        
                                        and  not(regexp:test(.,'^[0-9]{1,11}$'))
                                        )"/>
    </rule>

  <rule context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        IF ([CGTS127] <> NULL) AND ([CGTS127] <> 
        MONETARY (U,11,0))
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS127] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
        -->
    <assert id="VR.ATO.CGTS.402175" diagnostics="DVR.ATO.MONEY.U.11.0"
            test="not (
                        @contextRef = $RP.ContextId and  not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
  </rule>
    
    

    <rule context="rvctc3.02.12:Capital.Losses.NetTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([CGTS43] <> NULL) AND ([CGTS43] <> MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS43] = CGTS:RP.Applied.Y0-1:rvctc3.02.12:Capital.Losses.NetTotal.Amount
        -->
        <assert id="VR.ATO.CGTS.402163" diagnostics="DVR.ATO.MONEY.U.11.0"                
                test="not(
                        @contextRef = $RP.Applied.Y0-.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CGTS124] <> NULL AND [CGTS124] <> MONETARY (U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS124] = CGTS:RP.Collectables.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->
        <assert id="VR.ATO.CGTS.402169" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Collectables.Unapplied.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
      <!--
          IF [CGTS125] <> NULL AND [CGTS125] <>
          MONETARY (U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF

          [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->
      <assert id="VR.ATO.CGTS.402170" diagnostics="DVR.ATO.MONEY.U.11.0"
              test="not(
                        @contextRef = $RP.CGTOther.Unapplied.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>


    <rule context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [CGTS128] <> NULL AND [CGTS128] <> MONETARY (U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS128] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
        -->
        <assert id="VR.ATO.CGTS.402177" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF ([CGTS129] <> NULL) AND ([CGTS129] <> MONETARY (U,11,0))
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS129] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount

        -->
        <assert id="VR.ATO.CGTS.402179" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
       
        IF ([CGTS130] <> NULL) AND ([CGTS130] <> MONETARY (U,11,0))
           RETURN VALIDATION MESSAGE
        END IF

        [CGTS130] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
	 
        -->
        <assert id="VR.ATO.CGTS.402180" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>


    <rule context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--

        IF [CGTS131] <> NULL AND [CGTS131] <> MONETARY (U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount

        -->
        <assert id="VR.ATO.CGTS.402183" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF ([CGTS138] <> NULL) AND ([CGTS138] <> MONETARY (U,11,0))
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS138] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount

        -->
        <assert id="VR.ATO.CGTS.402194" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>




    <rule context="rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF([CGTS140] <> NULL) AND ([CGTS140] <> 
            MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS140] = CGTS:RP:rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount
        -->
        <assert id="VR.ATO.CGTS.402197" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF([CGTS45] <> NULL) AND ([CGTS45] <> 
            MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS45] = CGTS:RP:rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount
        -->
        <assert id="VR.ATO.CGTS.402198" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>
    
    <rule context="rvctc3.02.11:Capital.Gains.InterCompanyAssetRolloverDeferral.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([CGTS46] <> NULL) AND ([CGTS46] <> 
            MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS46] = CGTS:RP:rvctc3.02.11:Capital.Gains.InterCompanyAssetRolloverDeferral.Amount
        -->
        <assert id="VR.ATO.CGTS.402199" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>
    
    <rule context="rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([CGTS47] <> NULL) AND ([CGTS47] <>
            MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS47] = CGTS:RP:rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount
        -->
        <assert id="VR.ATO.CGTS.402200" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc3.02.11:Capital.Losses.TransferredTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([CGTS122] <> NULL) AND ([CGTS122] <>
            MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS122] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.TransferredTotal.Amount
        -->
        <assert id="VR.ATO.CGTS.402164" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Applied.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>
    

    <rule context="gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([CGTS126] <> NULL) AND ([CGTS126] <>
            MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
                                
        -->
        <assert id="VR.ATO.CGTS.402172" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Applied.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc3.02.06:CapitalGainsTax.EarnoutArrangementEstimatedCapitalProceedsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF ([CGTS136] <> NULL) AND ([CGTS136] <> MONETARY (U,11,0))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS136] = CGTS:RP.{EarnoutArrangementGroupNumber}:rvctc3.02.06:CapitalGainsTax.EarnoutArrangementEstimatedCapitalProceedsTotal.Amount
        -->
        <assert id="VR.ATO.CGTS.402192" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.EarnoutArrangementGroupNumber.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

</pattern>