﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF COUNT(CONTEXT(RP.GeneralPool)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430001" diagnostics="DVR.ATO.CTR.430001"
                test="not(count($RP.GeneralPool.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.PreRules)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430002" diagnostics="DVR.ATO.CTR.430002"
                test="not(count($RP.PreRules.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.InterimRules)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430003" diagnostics="DVR.ATO.CTR.430003"
                test="not(count($RP.InterimRules.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.ProspectiveRules)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430004" diagnostics="DVR.ATO.CTR.430004"
                test="not(count($RP.ProspectiveRules.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.YMiddle)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430005" diagnostics="DVR.ATO.CTR.430005"
                test="not(count($RP.YMiddle.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.MiddleYear)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430006" diagnostics="DVR.ATO.CTR.430006"
                test="not(count($RP.MiddleYear.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.Y0Plus1)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430007" diagnostics="DVR.ATO.CTR.430007"
                test="not(count($RP.Y0Plus1.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.YPrevious)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430008" diagnostics="DVR.ATO.CTR.430008"
                test="not(count($RP.YPrevious.Context) &gt; 1)"/>
        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.05:ReportingParty”) 
            AND (entity.identifier.scheme <> 'http://www.ato.gov.au/tfn')
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <!--<assert id="VR.ATO.CTR.430009" diagnostics="DVR.ATO.CTR.430009"
                test="not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and
                    not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]))"/>-->



        <!--VR.ATO.GEN.438030
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:Intermediary”)
            AND (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438030" diagnostics="DVR.ATO.GEN.438030"
               test="not(xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1') and xbrli:identifier[not(@i:nil='true' or @i:nil='1') and not(regexp:test(@scheme,'^http://www.ato.gov.au/abn$'))]
                     and xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]])"/>

        
        <!--
            Rule ID: VR.ATO.GEN.000208

            IF COUNT(RP) <> 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" 
                test="count($RP.Context) = 1"/>
        
        <!--
            Rule ID: VR.ATO.GEN.000226

            IF COUNT(INT) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.000226" diagnostics="DVR.ATO.GEN.000226" 
                test="count($INT.Context) &lt;= 1"/>
        
        <!--
            Rule ID: VR.ATO.GEN.410113 
            
            IF (RP:entity.identifier.TFN) = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.1" 
                test="
                        not
                        (
                          xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] and
                          not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                              xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                              xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                              
                        )"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428251

            IF COUNT(RP.Y0) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428251" diagnostics="DVR.ATO.CTR.428251" 
                test="count($RP.Y0.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428253

            IF COUNT(RP.Y0-1) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428253" diagnostics="DVR.ATO.CTR.428253" 
                test="count($RP.Y0-1.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428254

            IF COUNT(RP.TOFA) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428254" diagnostics="DVR.ATO.CTR.428254" 
                test="count($RP.TOFA.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428255

            IF COUNT(RP.JAUS) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428255" diagnostics="DVR.ATO.CTR.428255" 
                test="count($RP.JAUS.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428256

            IF COUNT(RP.JFOREIGN) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428256" diagnostics="DVR.ATO.CTR.428256" 
                test="count($RP.JFOREIGN.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428259

            IF COUNT(RP.CFCLC) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428259" diagnostics="DVR.ATO.CTR.428259" 
                test="count($RP.CFCLC.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428260

            IF COUNT(RP.CFC404) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428260" diagnostics="DVR.ATO.CTR.428260" 
                test="count($RP.CFC404.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428261

            IF COUNT(RP.CFCUC) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428261" diagnostics="DVR.ATO.CTR.428261"
                test="count($RP.CFCUC.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428262

            IF COUNT(CONTEXT(RPI.Opening)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.428262" diagnostics="DVR.ATO.CTR.428262"
                test="count($RPI.Opening.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428263

            IF COUNT(CONTEXT(RPI.Closing)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.428263" diagnostics="DVR.ATO.CTR.428263"
                test="count($RPI.Closing.Context) &lt;= 1"/>

        <!-- 
            Rule ID: VR.ATO.CTR.428264

            IF COUNT(RP.CMPLY) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428264" diagnostics="DVR.ATO.CTR.428264"
                test="count($RP.CMPLY.Context) &lt;= 1"/>
        
        <!-- 
            Rule ID: VR.ATO.CTR.428265

            IF COUNT(RP.ORD) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.CTR.428265" diagnostics="DVR.ATO.CTR.428265" 
                test="count($RP.ORD.Context) &lt;= 1"/>

        <!--
            IF COUNT(CONTEXT(RP.LowCost)) > 1 
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.CTR.430000" diagnostics="DVR.ATO.CTR.430000"
                test="not(
                        count($RP.LowCost.Context) &gt; 1
                      )" />

        <!-- 
            Rule ID: VR.ATO.GEN.001026

            IF (RP:entity.identifier.TFN = NULLORBLANK) AND (INT:entity.identifier.ABN = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001026" diagnostics="DVR.ATO.GEN.001026" 
                test="
                        not
                        (
                            count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                            = 0
                            and
                            count(xbrli:context[@id = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0])
                            = 0
                        )"/>

    </rule>

    
    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!--VR.ATO.GEN.438029-->
        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.05:ReportingParty”) 
            AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
            RETURN VALIDATION MESSAGE
            ENDIF
            
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) 
            AND (entity.identifier.scheme <> ""http://www.ato.gov.au/tfn"")
               RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.GEN.438029	CMN.ATO.GEN.438029

            
            
        -->
        <assert id="VR.ATO.GEN.438029" diagnostics="DVR.ATO.GEN.438029"
            
        test="not(
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                    /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and
                    regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and
                    regexp:test(. , 'RprtPyType\.\d\d\.\d\d:ReportingParty')]
                    and
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                    /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and
                    exslt:lowercase(@scheme) != 'http://www.ato.gov.au/tfn']
                    )"/>
        

        <!--
          Rule ID: VR.ATO.GEN.001023
          
          IF (entity.identifier.TFN WHERE CONTEXT (ALL))<> RP.entity.identifier.TFN
            RETURN VALIDATION MESSAGE
          END IF
        -->
        <assert id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" 
                test="(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn'and not(@i:nil='true' or @i:nil='1')] =
                  $RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])
                  or
                  not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])"/>
        
       
        <!-- 
          Rule ID: VR.ATO.CTR.428273

          IF period.startDate >= period.endDate WHERE NOT CONTEXT(SET(RPI.Opening, RPI.Closing))
           RETURN VALIDATION MESSAGE
          END IF
        -->
        <assert id="VR.ATO.CTR.428273" diagnostics="DVR.ATO.CTR.428273" 
                test="
                  (@id=$RPI.Opening.ContextId or @id=$RPI.Closing.ContextId) or
                  not
                  (
                  xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                  xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                    
                    function:IsDate1GreaterOrEqualToDate2
                    (
                      xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                      xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )
                  )"/>
    </rule>

    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
          Rule ID: VR.ATO.GEN.428016

          IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
            RETURN VALIDATION MESSAGE
          ENDIF        
        -->
        <assert id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.0"
                test="not(../../@id = $RP.ContextId) or not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)"/>
    </rule>
</pattern>
