﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ContextVariables" xmlns="http://purl.oclc.org/dsdl/schematron">

    <title>XBRL Context Id variables that are applicable accross all of the CTR services.</title>

    <!-- RP Context -->
    <let
            name="RP.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />

    <!-- RP Context Id -->
    <let
            name="RP.ContextId"
            value="$RP.Context/@id" />

    <!-- INT Context -->
    <let
            name="INT.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]
           ]" />

    <!-- INT Context Id -->
    <let
            name="INT.ContextId"
            value="$INT.Context/@id" />

    <!-- NotForProfit Context -->
    <let
            name="NotForProfit.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:NotForProfit$')]
           ]" />

    <!-- NotForProfit Context Id -->
    <let
            name="NotForProfit.ContextId"
            value="$NotForProfit.Context/@id" />

    <!-- RP.NotForProfit Context -->
    <let
            name="RP.NotForProfit.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:NotForProfit$')]) = 1]
           ]" />

    <!-- RP.NotForProfit Context Id -->
    <let
            name="RP.NotForProfit.ContextId"
            value="$RP.NotForProfit.Context/@id" />

    <!-- RP.JAUS Context -->
    <let
            name="RP.JAUS.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]
           ]" />

    <!-- RP.JAUS Context Id -->
    <let
            name="RP.JAUS.ContextId"
            value="$RP.JAUS.Context/@id" />

    <!-- RP.JFOREIGN Context -->
    <let
            name="RP.JFOREIGN.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]
           ]" />

    <!-- RP.JFOREIGN Context Id -->
    <let
            name="RP.JFOREIGN.ContextId"
            value="$RP.JFOREIGN.Context/@id" />

    <!-- RP.Y0 Context -->
    <let
            name="RP.Y0.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]
           ]" />

    <!-- RP.Y0 Context Id -->
    <let
            name="RP.Y0.ContextId"
            value="$RP.Y0.Context/@id" />

    <!-- RP.Y0-1 Context -->
    <let
            name="RP.Y0-1.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]
           ]" />

    <!-- RP.Y0-1 Context Id -->
    <let
            name="RP.Y0-1.ContextId"
            value="$RP.Y0-1.Context/@id" />

    <!-- RP.YMiddle Context -->
    <let
            name="RP.YMiddle.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:YMiddle$')]) = 1]
           ]" />

    <!-- RP.YMiddle Context Id -->
    <let
            name="RP.YMiddle.ContextId"
            value="$RP.YMiddle.Context/@id" />

    <!-- RP.YPrevious Context -->
    <let
            name="RP.YPrevious.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:YPrevious$')]) = 1]
           ]" />

    <!-- RP.YPrevious Context Id -->
    <let
            name="RP.YPrevious.ContextId"
            value="$RP.YPrevious.Context/@id" />

    <!-- RP.Y0Plus1 Context -->
    <let
            name="RP.Y0Plus1.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Plus1$')]) = 1]
           ]" />

    <!-- RP.Y0Plus1 Context Id -->
    <let
            name="RP.Y0Plus1.ContextId"
            value="$RP.Y0Plus1.Context/@id" />

    <!-- RP.MiddleYear Context -->
    <let
            name="RP.MiddleYear.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:MiddleYear$')]) = 1]
           ]" />

    <!-- RP.MiddleYear Context Id -->
    <let
            name="RP.MiddleYear.ContextId"
            value="$RP.MiddleYear.Context/@id" />

    <!-- RP.CFCLC Context -->
    <let
            name="RP.CFCLC.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />

    <!-- RP.CFCLC Context Id -->
    <let
            name="RP.CFCLC.ContextId"
            value="$RP.CFCLC.Context/@id" />

    <!-- RP.CFC404 Context -->
    <let
            name="RP.CFC404.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />

    <!-- RP.CFC404 Context Id -->
    <let
            name="RP.CFC404.ContextId"
            value="$RP.CFC404.Context/@id" />

    <!-- RP.CFCUC Context -->
    <let
            name="RP.CFCUC.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />

    <!-- RP.CFCUC Context Id -->
    <let
            name="RP.CFCUC.ContextId"
            value="$RP.CFCUC.Context/@id" />

    <!-- RP.TOFA Context -->
    <let
            name="RP.TOFA.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and regexp:test(., '^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
           ]" />

    <!-- RP.TOFA Context Id -->
    <let
            name="RP.TOFA.ContextId"
            value="$RP.TOFA.Context/@id" />

    <!-- RP.CMPLY Context -->
    <let
            name="RP.CMPLY.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^LifeInsPolicyClassType.\d\d\.\d\d:LifeInsurancePolicyClassTypeDimension$') and regexp:test(., '^LifeInsPolicyClassType\.\d\d\.\d\d:ComplyingSuperannuationClassOrFHSAClass$')]) = 1]
           ]" />

    <!-- RP.CMPLY Context Id -->
    <let
            name="RP.CMPLY.ContextId"
            value="$RP.CMPLY.Context/@id" />

    <!-- RP.ORD Context -->
    <let
            name="RP.ORD.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^LifeInsPolicyClassType.\d\d\.\d\d:LifeInsurancePolicyClassTypeDimension$') and regexp:test(., '^LifeInsPolicyClassType\.\d\d\.\d\d:OrdinaryClass$')]) = 1]
           ]" />

    <!-- RP.ORD Context Id -->
    <let
            name="RP.ORD.ContextId"
            value="$RP.ORD.Context/@id" />

    <!-- RPI.Closing Context -->
    <let
            name="RPI.Closing.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
           ]" />

    <!-- RPI.Closing Context Id -->
    <let
            name="RPI.Closing.ContextId"
            value="$RPI.Closing.Context/@id" />

    <!-- RPI.Opening Context -->
    <let
            name="RPI.Opening.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1]
           ]" />

    <!-- RPI.Opening Context Id -->
    <let
            name="RPI.Opening.ContextId"
            value="$RPI.Opening.Context/@id" />

    <!-- RP.LowCost Context -->
    <let
            name="RP.LowCost.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^SmallBusinessDepreciatingAsset.\d\d\.\d\d:SmallBusinessDepreciatingAssetTypeDimension$') and regexp:test(., '^SmallBusinessDepreciatingAsset\.\d\d\.\d\d:LowCost$')]) = 1]
           ]" />

    <!-- RP.LowCost Context Id -->
    <let
            name="RP.LowCost.ContextId"
            value="$RP.LowCost.Context/@id" />

    <!-- RP.GeneralPool Context -->
    <let
            name="RP.GeneralPool.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^SmallBusinessDepreciatingAsset.\d\d\.\d\d:SmallBusinessDepreciatingAssetTypeDimension$') and regexp:test(., '^SmallBusinessDepreciatingAsset\.\d\d\.\d\d:GeneralPool$')]) = 1]
           ]" />

    <!-- RP.GeneralPool Context Id -->
    <let
            name="RP.GeneralPool.ContextId"
            value="$RP.GeneralPool.Context/@id" />

    <!-- RP.PreRules Context -->
    <let
            name="RP.PreRules.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConsolDedType.\d\d\.\d\d:ConsolidationDeductionTypeDimension$') and regexp:test(., '^ConsolDedType\.\d\d\.\d\d:PreRules$')]) = 1]
           ]" />

    <!-- RP.PreRules Context Id -->
    <let
            name="RP.PreRules.ContextId"
            value="$RP.PreRules.Context/@id" />

    <!-- RP.InterimRules Context -->
    <let
            name="RP.InterimRules.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConsolDedType.\d\d\.\d\d:ConsolidationDeductionTypeDimension$') and regexp:test(., '^ConsolDedType\.\d\d\.\d\d:InterimRules$')]) = 1]
           ]" />

    <!-- RP.InterimRules Context Id -->
    <let
            name="RP.InterimRules.ContextId"
            value="$RP.InterimRules.Context/@id" />

    <!-- RP.ProspectiveRules Context -->
    <let
            name="RP.ProspectiveRules.Context"
            value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConsolDedType.\d\d\.\d\d:ConsolidationDeductionTypeDimension$') and regexp:test(., '^ConsolDedType\.\d\d\.\d\d:ProspectiveRules$')]) = 1]
           ]" />

    <!-- RP.ProspectiveRules Context Id -->
    <let
            name="RP.ProspectiveRules.ContextId"
            value="$RP.ProspectiveRules.Context/@id" />
</pattern>