﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCGTS" xmlns="http://purl.oclc.org/dsdl/schematron">

    <title>XBRL Cross Form Validations that are applicable to CGTS.</title>

    <!-- CGTS Variables -->
    <let name="CGT.Context"
         value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0003/cgts.0003.lodge.request.02.00.report.xsd']]" />

    <!-- RP.CGT Context -->
    <let name="RP.CGT.Context"
         value="$CGT.Context/xbrli:context[
                 not(@i:nil='true' or @i:nil='1') 
                 and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                 and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                 and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                 xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
               ]" />

    <let name="RP.CGT.ContextId"
         value="$RP.CGT.Context/@id" />

    <!-- 
        RP.Applied Context Variables 
    -->
    <let name="RP.CGT.Applied.Context"
         value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 2 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and regexp:test(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and regexp:test(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Applied$')])]]" />
    <let name="RP.CGT.Applied.ContextId" value="$RP.CGT.Applied.Context/@id" />

    <!-- 
        RP.CGT.Collectables.Unapplied Context
    -->
    <let name="RP.CGT.Collectables.Unapplied.Context"
         value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and regexp:test(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and regexp:test(.,          '^AssetType\.\d\d\.\d\d:Collectables$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and regexp:test(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
    <let name="RP.CGT.Collectables.Unapplied.ContextId" value="$RP.CGT.Collectables.Unapplied.Context/@id" />

    <!-- 
        RP.CGT.CGTOther.Unapplied Context
    -->
    <let name="RP.CGT.CGTOther.Unapplied.Context"
         value="$CGT.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                  /xbrli:segment[not(@i:nil='true' or @i:nil='1') 
                    and 3 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                                    and regexp:test(.,          '^RprtPyType\.\d\d\.\d\d:ReportingParty$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^AssetType\.\d\d\.\d\d:AssetTypeDimension$') 
                                    and regexp:test(.,          '^AssetType\.\d\d\.\d\d:CGTOther$')])
                    and 1 = count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(@dimension, '^AccntTrtmntMthdDim\.\d\d\.\d\d:AccountingTreatmentMethodDimension$') 
                                    and regexp:test(.,          '^AccntTrtmntMthdDim\.\d\d\.\d\d:Unapplied$')])]]" />
    <let name="RP.CGT.CGTOther.Unapplied.ContextId" value="$RP.CGT.CGTOther.Unapplied.Context/@id" />

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0003/cgts.0003.lodge.request.02.00.report.xsd']]">


        <!--
                        
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000.CGTS"
                test="not(
                        xbrli:context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                      )"/>


        <!-- 
        IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "F - Scrip for scrip roll-over") AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS45] = NULL
         RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS45] = CGTS:RP:rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount
        
        -->

        <assert id="VR.ATO.GEN.438027" diagnostics="DVR.ATO.GEN.438027.CTR"
                test="not(
                           $CTR.Context/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and . = 'F - Scrip for scrip roll-over'] 
                           and                                                                                    
                           count($CGT.Context) = 1 
                           and 
                           not(rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )
                    " />

        <!--
        IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "H - Demerger exemption") AND (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS47] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS47] = CGTS:RP:rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount
        -->
        <assert id="VR.ATO.GEN.438028" diagnostics="DVR.ATO.GEN.438028"
                test="not(
                           $CTR.Context/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and . = 'H - Demerger exemption'] 
                           and                                                                                    
                           count($CGT.Context) = 1 
                           and 
                           not(rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )
                    " />


        <!--
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.CTR" 
                test="not(
                        xbrli:context[@id=$RP.CGT.ContextId]/xbrli:entity
                            /xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                      )" />

        <!--
            Period end date within context on schedule doesn't match end date within PARENT RETURN:reporting party context	
            
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.CGTS.438001	CMN.ATO.GEN.438001
        -->
        <assert id="VR.ATO.CGTS.438001" diagnostics="DVR.ATO.CGTS.438001"
                test="not(                    
                            (
                                $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                                !=
                                xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                             ))"/>

        <!--
            IF PARENT RETURN = "CTR" AND [CTR49] <> SET ("63100","62400") OR ([CGTS52] = "088")
            AND [CGTS126] > ((([CGTS118] - [CGTS123]) *0.33) +1)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR52] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
            [CTR49] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
        -->
        <assert id="VR.ATO.CGTS.402173" diagnostics="DVR.ATO.CGTS.402173"
                test="not(
                        (not($CTR.Context/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(63100|62400)$')])
                         or
                         $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and . = '088'])
                         and
                        sum(common:node-set(gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        &gt;
                        (
                            (
                                sum(common:node-set(rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                -
                                sum(common:node-set(rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            ) * 0.33
                            + 1
                        )
                     )"/>

        <!--
            IF PARENT RETURN = "TRT", "CTR" AND  [CGTS126] > ((([CGTS118] - [CGTS123]) *0.5) +1)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
        -->
        <assert id="VR.ATO.CGTS.402174" diagnostics="DVR.ATO.CGTS.402174"
                test="not(
                        sum(common:node-set(gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        &gt;
                        (
                            (
                                sum(common:node-set(rvctc3.02.11:Capital.Gains.Total.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                -
                                sum(common:node-set(rvctc3.02.11:Capital.Losses.Total.Amount[@contextRef=$RP.CGT.Applied.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            ) * 0.50
                            + 1
                        )
                     )"/>

        <!--
            IF [CTR53] <> "1" AND ([CGTS131] <> NULL) AND ([CGTS125] <> NULL)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
            [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
        -->
        <assert id="VR.ATO.CGTS.402203" diagnostics="DVR.ATO.CGTS.402203" 
                test="not(
                            (number($CTR.Context/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) != 1)
                            and 
                            (bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            (rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGT.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')])
                          )" />
        
        


    </rule>
    

</pattern>
