﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormLOS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

    <!-- LOS Variables -->
    <let name="LOS.Context"
         value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ls/ls_0003/ls.0003.lodge.request.02.00.report.xsd']]" />

    <let name="RP.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]
                    ]" />
    
    <let name="RP.LOS.ContextId"
         value="$RP.LOS.Context/@id" />
    
    <!--RP.Y0 Context Variables -->
    <let name="RP.Y0.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]
                    ]" />
    
    <let name="RP.Y0.LOS.ContextId"
         value="$RP.Y0.LOS.Context/@id" />
    
    <!--RP.Y0Minus1 Context Variables -->
    <let name="RP.Y0-1.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]
                    ]" />
    
    <let name="RP.Y0-1.LOS.ContextId"
         value="$RP.Y0-1.LOS.Context/@id" />
    
    <!--RP.Y0Minus2 Context Variables -->
    <let name="RP.Y0-2.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]
                    ]" />
    
    <let name="RP.Y0-2.LOS.ContextId"
         value="$RP.Y0-2.LOS.Context/@id" />
    
    <!--RP.Y0Minus3 Context Variables -->
    <let name="RP.Y0-3.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]
                    ]" />
    
    <let name="RP.Y0-3.LOS.ContextId"
         value="$RP.Y0-3.LOS.Context/@id" />
    
    <!--RP.Y0Minus4 Context Variables -->
    <let name="RP.Y0-4.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4$')]) = 1]
                    ]" />
    
    <let name="RP.Y0-4.LOS.ContextId"
         value="$RP.Y0-4.LOS.Context/@id" />
    
    <!--RP.Y0Minus5Plus Context Variables -->
    <let name="RP.Y0-5P.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus5Plus$')]) = 1]
                    ]" />
    
    <let name="RP.Y0-5P.LOS.ContextId"
         value="$RP.Y0-5P.LOS.Context/@id" />
    
    <!--RP.ALL Context Variables -->
    <let name="RP.ALL.LOS.Context"
         value="$LOS.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                    and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:All$')]) = 1]
                    ]" />
    
    <let name="RP.ALL.LOS.ContextId"
         value="$RP.ALL.LOS.Context/@id" />

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ls/ls_0003/ls.0003.lodge.request.02.00.report.xsd']]">
        <!--
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.0" 
                test="not(
                            $RP.LOS.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.CTR.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                        )"/>
        
        <!--
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" 
                test="not(                    
                            (
                                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                
                            )
                        )"/>
        
        <!--
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045"
                 test="not(                    
                        count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        and 
                            orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $CTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId
                            and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']
                    )"/>
        
        <!--
            IF (PARENT RETURN = "CTR") AND [LS25] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS25] = LS:RP:rvctc3.xx.xx:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator
        -->
        <assert id="VR.ATO.LS.414023" diagnostics="DVR.ATO.LS.414023" 
                test="not(
                        $CTR.Context and count(rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef=$RP.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                             
                    )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ls/ls_0003/ls.0003.lodge.request.02.00.report.xsd']]/xbrli:context">
        <!-- 
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000"
                test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>

        <!-- 
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001"
                test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>
    </rule>
</pattern>