﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    
    <title>XBRL Field Patterns Validations that are applicable accross all of the CTR services.</title>
    <rule context="bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR336] <> NULL AND [CTR336] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR336] = CTR:RP:bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount
        -->
        <assert id="VR.ATO.CTR.430032" diagnostics="DVR.ATO.MONEY.U.11.0" 
                test="not(
                        @contextRef=$RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                        )"
                />
    </rule>    


        <rule context="bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[not(@i:nil='true' or @i:nil='1')]">
            <!--
                IF (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> NULL) AND
                (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
                ENDIF
            -->
            <assert id="VR.ATO.GEN.438018" diagnostics="DVR.ATO.MONEY.U.11.0"
                    test="not(
                    not(regexp:test(.,'^[0-9]{1,11}$'))
                    )"/>
            
        </rule>
        
        
        <rule context="rvctc1.02.00:IncomeTax.Liability.Amount[not(@i:nil='true' or @i:nil='1')]">
        
        
            <!--IF [CTR344] <> NULL AND [CTR344] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR344] = CTR:RP.MiddleYear:rvctc1.02.00:IncomeTax.Liability.Amount-->
        
        <assert id="VR.ATO.CTR.430038" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.MiddleYear.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>    

    <rule context="bafpr1.02.13:Income.ExemptNet.Amount[not(@i:nil='true' or @i:nil='1')]">
    
        <!--IF [CTR355] <> NULL AND [CTR355] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [CTR355] = CTR:RP.MiddleYear:bafpr1.02.13:Income.ExemptNet.Amount-->

    
    <assert id="VR.ATO.CTR.430037" diagnostics="DVR.ATO.MONEY.U.11.0" test="@contextRef != $RP.MiddleYear.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
  </rule>

    <rule context="bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR354] <> NULL AND [CTR354] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR354] = CTR:RP:bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount
        -->
        <assert id="VR.ATO.CTR.430042" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR300] <> NULL AND [CTR300] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR300] = CTR:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount
        -->
        <assert id="VR.ATO.CTR.429831" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>


    <rule context="fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF LENGTH([CTR295]) > 32
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR295] = CTR:RP:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text 
                        IN TUPLE(fininstacc1.02.00:FinancialInstitutionAccount)
        -->
        <assert id="VR.ATO.CTR.429834" diagnostics="DVR.ATO.CTR.429834"
                test="not(
                            @contextRef = $RP.ContextId and (string-length(normalize-space(.)) &gt; 32)
                     )"/>
    </rule>
    
    <rule context="rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR326] <> NULL AND [CTR326] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR326] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->
        <assert id="VR.ATO.CTR.429835" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR317] <> NULL AND [CTR317] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR317] = CTR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->
        <assert id="VR.ATO.CTR.429836" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR325] <> NULL AND [CTR325] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR325] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        -->
        <assert id="VR.ATO.CTR.429837" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR316] <> NULL AND [CTR316] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR316] = CTR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
        -->
        <assert id="VR.ATO.CTR.429838" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR324] <> NULL AND [CTR324] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR324] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
        -->
        <assert id="VR.ATO.CTR.429839" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR323] <> NULL AND [CTR323] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR323] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount
        -->
        <assert id="VR.ATO.CTR.429840" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR322] <> NULL AND [CTR322] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR322] = CTR:RP:rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
        -->
        <assert id="VR.ATO.CTR.429841" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR327] <> NULL AND [CTR327] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR327] = CTR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        -->
        <assert id="VR.ATO.CTR.429842" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR321] <> NULL AND [CTR321] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR321] = CTR:RP:rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount
        -->
        <assert id="VR.ATO.CTR.429843" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR320] <> NULL AND [CTR320] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR320] = CTR:RP:rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount
        -->
        <assert id="VR.ATO.CTR.429844" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.GainsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR310] <> NULL AND [CTR310] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR310] = CTR:RP.TOFA:bafpr1.02.04:Income.GainsTotal.Amount
        -->
        <assert id="VR.ATO.CTR.429845" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="@contextRef != $RP.TOFA.ContextId or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.LossesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR311] <> NULL AND [CTR311] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR311] = CTR:RP.TOFA:bafpr1.02.04:Expense.LossesTotal.Amount
        -->
        <assert id="VR.ATO.CTR.429846" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="@contextRef != $RP.TOFA.ContextId or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>


    <rule context="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule ID: VR.ATO.GEN.428021
 
          IF (pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier <> NULLORBLANK) AND (ACNALGORITHM(pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
          ENDIF
 
          NOTE:
          CTR14 = pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier
          FDF TYPE: CHAR()
          FDF LENGTH: 12
          XBRL TYPE: dtyp:sbrAustralianCompanyNumberItemType
          XBRL LENGTH: 9
        -->
        <assert id="VR.ATO.GEN.428021" diagnostics="DVR.ATO.GEN.428021" 
                test="@contextRef != $RP.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or function:ValidateACN(.)"/>
    </rule>

    <rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.GEN.428040
 
      IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) and (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
            RETURN VALIDATION MESSAGE
      ENDIF
 
      NOTE:
      CTR44 = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
      FDF TYPE: CHAR()
      FDF LENGTH: 12
      XBRL TYPE: dtyp:sbrAustralianBusinessNumberItemType
      XBRL LENGTH: 11
    -->

        <assert id="VR.ATO.GEN.428040" diagnostics="DVR.ATO.GEN.428040.0" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or function:ValidateABN(.)"/>
    </rule>

    <rule context="pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR2] <> "2013"
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR2] = CTR:RP:pyin.02.00:Report.TargetFinancial.Year
          -->
        <assert id="VR.ATO.CTR.428192" diagnostics="DVR.ATO.CTR.428192"
                test="not(
                            number(.)!= 2013
                        )"/>
    </rule>

    <rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
      Rule ID: VR.ATO.GEN.428247
 
      IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
            RETURN VALIDATION MESSAGE
      ENDIF
 
      NOTE:
      CTR3 = pyid.02.00:Identifiers.TaxAgentNumber.Identifier
      FDF TYPE: CHAR()
      FDF LENGTH: 12
      XBRL TYPE: dtyp:sbrTaxAgentNumberItemType
      XBRL LENGTH: 8
    -->

        <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247" test="function:ValidateTAN(.)"/>
    </rule>


    <rule
             context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
    Rule ID: VR.ATO.CTR.429849
      IF [CTR299] <> NULL AND [CTR299] <> MONETARY(U,13,2)
      RETURN VALIDATION MESSAGE
     ENDIF^^
      [CTR299] = CTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount
    -->

        <assert id="VR.ATO.CTR.429849" diagnostics="DVR.ATO.CTR.429849" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="bafpo7.02.02:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> NULL) 
            AND (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> MONETARY(U,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF
            
        -->
        <assert id="VR.ATO.GEN.438014" diagnostics="DVR.ATO.MONEY.U.11.0" 
                test="not(
                            not(regexp:test(.,'^[0-9]{1,11}$'))
                        )" />
    </rule>

    <rule context="bafpr3.02.11:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount">
    <!--
        IF (bafpr3.xx.xx:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> NULL) 
        AND (bafpr3.xx.xx:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> MONETARY(U,11,0))
        RETURN VALIDATION MESSAGE
        ENDIF
        VR.ATO.GEN.438015	CMN.ATO.GEN.400011
    -->
        <assert id="VR.ATO.GEN.438015" diagnostics="DVR.ATO.GEN.438015" test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr3.02.11:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount">
    <!--
        IF (bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> NULL) 
        AND (bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount <> MONETARY(U,11,0))
        RETURN VALIDATION MESSAGE
        ENDIF
    
        VR.ATO.GEN.438016	CMN.ATO.GEN.400011
    -->
        <assert id="VR.ATO.GEN.438016" diagnostics="DVR.ATO.GEN.438016" test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>
    
    <rule context="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        
            <!--IF [CTR342] <> NULL AND [CTR342] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR342] = CTR:RP.YMiddle:rvctc3.02.00:Tax.Losses.Total.Amount-->
        
        <assert id="VR.ATO.CTR.430036" diagnostics="DVR.ATO.MONEY.U.11.0" 
                test="not(@contextRef=$RP.YMiddle.ContextId and not(regexp:test(.,'^[0-9]{1,11}$')))"/>
    </rule>
    
    <rule context="rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount[not(@i:nil='true' or @i:nil='1')]">
        
            <!--IF [CTR345] <> NULL AND [CTR345] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR345] = CTR:RP:gfagc.02.06:TaxConcession.LossCarryBackTaxOffset.Amount-->
        
        <assert id="VR.ATO.CTR.430039" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
           IF [CTR346] <> NULL AND [CTR346] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR346] = CTR:RP:bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount
        -->
        <assert id="VR.ATO.GEN.438012" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>
    
   
        <!--
            IF [CTR347] <> NULL AND [CTR347] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR347] = CTR:RP:bafpr3.02.11:Expense.PersonalServicesIncome.DeductionsTotal.Amount
        -->
        <!--<assert id="VR.ATO.CTR.430041" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>-->
    
     <rule context="bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--VR.ATO.GEN.438013
            IF (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL) AND 
            (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> MONETARY(U,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF
            -->
        <assert id="VR.ATO.GEN.438013" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                    )"/>

    </rule>

    <rule context="bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429850
 
      IF [CTR290] <> NULL AND [CTR290] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR290 = bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429850" diagnostics="DVR.ATO.CTR.429850" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF ([CTR217] <> NULL) AND ([CTR217] <> SET (0-999))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR217] = CTR:RP:pyin.xx.xx:Report.CompletionHours.Number
            regexp:test(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$')
        -->

        <assert id="VR.ATO.CTR.428078" diagnostics="DVR.ATO.CTR.428078" test="@i:nil='true' or @i:nil='1' or regexp:test(., '^([0-9]|[1-9][0-9]|[0-9][0-9][0-9])$')"/>
    </rule>



    <rule context="bafpr1.02.05:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [CTR308] <> NULL AND [CTR308] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR308] = CTR:RP:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount  
    -->

        <assert id="VR.ATO.CTR.429848" diagnostics="DVR.ATO.MONEY.U.11.0" 
                test="not(
                           @contextRef=$RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))             
                        )"/>

    </rule>

















    <rule
            context="bafpo1.02.00:Assets.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429851 
 
      IF [CTR129] <> NULL AND [CTR129] <> MONETARY(U,12,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR129 = bafpo1.02.00:Assets.CurrentTotal.Amount
      FDF TYPE: NUMCHAR()
      FDF LENGTH: 12
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429851" diagnostics="DVR.ATO.CTR.429851" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,12}$')"/>
    </rule>

    <rule
            context="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429852 
 
      IF CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount <> NULL AND CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR57 = lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429852" diagnostics="DVR.ATO.CTR.429852" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429853
 
      IF pyde.xx.xx:Address Details.Line 2.Text <> NULLORBLANK AND pyde.xx.xx:Address Details.Line 2.Text <> TEXT(38)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR16 = pyde.02.00:AddressDetails.Line2.Text
      FDF TYPE: CHAR()
      FDF LENGTH: 38
      XBRL TYPE: dtyp:sbrAddressLineItemType
      XBRL LENGTH: 50
    -->

        <assert id="VR.ATO.CTR.429853" diagnostics="DVR.ATO.CTR.429853" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 39"/>
    </rule>

    <rule context="rvctc1.02.01:IncomeTax.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.429854
            Change Request ID: 499
            
            IF [CTR212] <> NULL AND [CTR212] <> MONETARY(S,13,2)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR212] = CTR:RP:rvctc1.xx.xx:IncomeTax.Total.Amount
        -->
        <assert id="VR.ATO.CTR.429854" diagnostics="DVR.ATO.CTR.429854"
                 test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')">
        </assert>

    </rule>

    <rule  context="bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429855
 
      IF [CTR206] <> NULL AND [CTR206] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR206 = bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->
        <assert id="VR.ATO.CTR.429855" diagnostics="DVR.ATO.CTR.429855" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429856 
 
      IF CTR:RP:pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK AND CTR:RP:pyde.xx.xx:AddressDetails.LocalityName.Text <> TEXT(60)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR19 = pyde.02.00:AddressDetails.LocalityName.Text
      FDF TYPE: CHAR()
      FDF LENGTH: 60
      XBRL TYPE: xbrli:stringItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429856" diagnostics="DVR.ATO.CTR.429856" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 61"/>
    </rule>

    <rule
            context="ctr.0004.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429858 
 
      IF ([CTR43] <> NULLORBLANK) AND ([CTR43] <> TEXT(76)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
     [CTR43] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) IN TUPLE(ctr.0004.lodge.req.xx.xx::UltimateHoldingCompany)
     
      NOTE:
      CTR43 = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
      FDF TYPE: CHAR()
      FDF LENGTH: 76
      XBRL TYPE: dtyp:sbrOrganisationNameItemType
      XBRL LENGTH: 200
    -->

        <assert id="VR.ATO.CTR.429858" diagnostics="DVR.ATO.CTR.429858" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
                (
                  string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true'or @i:nil='1')]) &lt; 77
                  and
                  pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN' 
                  and
                  pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C'
                )
                or
                (
                  not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C')
                  or
                  not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN')
                )                
                "/>
    </rule>

    <rule
            context="ctr.0004.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429859 
 
      IF [CTR46] <> NULLORBLANK AND [CTR46] <> TEXT(76)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR46 = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
              WHERE 
              (
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")
              ) 
              IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
    -->

        <assert id="VR.ATO.CTR.429859" diagnostics="DVR.ATO.CTR.429859" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
                (
                  string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true'or @i:nil='1')]) &lt; 77
                  and
                  pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN' 
                  and
                  pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C'
                )
                or
                (
                  not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C')
                  or
                  not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN')
                )                
                "/>
    </rule>

    <rule
            context="pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429860 
 
      IF [CTR48] <> NULLORBLANK AND [CTR48] <> TEXT(108)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR48 = pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
      FDF TYPE: CHAR()
      FDF LENGTH: 108
      XBRL TYPE: xbrli:stringItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429860" diagnostics="DVR.ATO.CTR.429860" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 109"/>
    </rule>

    <rule
            context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429862 
 
      IF CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount <> NULL AND CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR58 = lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429862" diagnostics="DVR.ATO.CTR.429862" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429863 
 
      IF [CTR59] <> NULL AND [CTR59] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR59 = bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429863" diagnostics="DVR.ATO.CTR.429863" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429864 
 
      IF [CTR60] <> NULL AND [CTR60] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR60 = bafpr1.02.02:Income.PartnershipDistributionGross.Amount
      FDF TYPE: DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429864" diagnostics="DVR.ATO.CTR.429864" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule
              context="ctr.0004.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429865 
      
      IF [CTR61] <> NULL AND [CTR61] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
      ENDIF
[CTR61] = CTR:RP:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0004.lodge.req.xx.xx:TrustDistributionIncome)
    -->

        <assert id="VR.ATO.CTR.429865" diagnostics="DVR.ATO.CTR.429865" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429866 
 
      IF [CTR63] <> NULL AND [CTR63] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR63 = bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429866" diagnostics="DVR.ATO.CTR.429866" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429867 
 
      IF [CTR64] <> NULL AND [CTR64] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR64 = bafpr2.02.02:Income.Interest.Gross.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429867" diagnostics="DVR.ATO.CTR.429867" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429868 
 
      IF [CTR65] <> NULL AND [CTR65] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR65 = bafpr1.02.02:Income.RentLeasingHiringGross.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429868" diagnostics="DVR.ATO.CTR.429868" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.05:Income.DividendsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429869 
 
      IF [CTR66] <> NULL AND [CTR66] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR66 = bafpr1.02.05:Income.DividendsTotal.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429869" diagnostics="DVR.ATO.CTR.429869" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429870 
 
      IF [CTR67] <> NULL AND [CTR67] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR67 = lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429870" diagnostics="DVR.ATO.CTR.429870" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429871 
 
      IF [CTR68] <> NULL AND [CTR68] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR68 = gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429871" diagnostics="DVR.ATO.CTR.429871" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429872
 
      IF [CTR70] <> NULL AND [CTR70] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR70 = bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429872" diagnostics="DVR.ATO.CTR.429872" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.OtherGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429873 
 
      IF [CTR71] <> NULL AND [CTR71] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR71 = bafpr1.02.02:Income.OtherGross.Amount
      FDF TYPE: DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429873" diagnostics="DVR.ATO.CTR.429873" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429874 
 
      IF [CTR72] <> NULL AND [CTR72] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR72 = bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429874" diagnostics="DVR.ATO.CTR.429874" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.00:Expense.Operating.CostOfSales.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429875 

        IF [CTR73] <> NULL AND [CTR73] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR73 = bafpr2.02.00:Expense.Operating.CostOfSales.Amount
        FDF TYPE: DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429875" diagnostics="DVR.ATO.CTR.429875" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429876 

        IF [CTR74] <> NULL AND [CTR74] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR74 = lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429876" diagnostics="DVR.ATO.CTR.429876" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429877

        IF [CTR75] <> NULL AND [CTR75] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR75 = emsup:SuperannuationContribution.EmployerContributions.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429877" diagnostics="DVR.ATO.CTR.429877" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.00:Expense.Operating.BadDebts.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429878

        IF [CTR76] <> NULL AND [CTR76] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR76 = bafpr2.02.00:Expense.Operating.BadDebts.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429878" diagnostics="DVR.ATO.CTR.429878" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.00:Expense.Operating.Lease.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429879

        IF [CTR77] <> NULL AND [CTR77] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE

        NOTE:
        CTR77 = bafpr2:Expense.Operating.Lease.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429879" diagnostics="DVR.ATO.CTR.429879" test="@contextRef != $RP.JAUS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429880

        IF [CTR78] <> NULL AND [CTR78] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR78 = bafpr2:Expense.Operating.Lease.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429880" diagnostics="DVR.ATO.CTR.429880" test="@contextRef != $RP.JFOREIGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.00:Expense.Operating.Rent.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429881

        IF [CTR79] <> NULL AND [CTR79] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR79 = bafpr2.02.00:Expense.Operating.Rent.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429881" diagnostics="DVR.ATO.CTR.429881" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.02:Expense.Operating.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429882

        IF [CTR80] <> NULL AND [CTR80] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR80 = bafpr2.02.02:Expense.Operating.Interest.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429882" diagnostics="DVR.ATO.CTR.429882" test="@contextRef != $RP.JAUS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429883

        IF [CTR81] <> NULL AND [CTR81] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR81 = bafpr2.02.02:Expense.Operating.Interest.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429883" diagnostics="DVR.ATO.CTR.429883" test="@contextRef != $RP.JFOREIGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429884

        IF [CTR82] <> NULL AND [CTR82] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR82 = bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429884" diagnostics="DVR.ATO.CTR.429884" test="@contextRef != $RP.JAUS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429885

        IF [CTR83] <> NULL AND [CTR83] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR83 = bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429885" diagnostics="DVR.ATO.CTR.429885" test="@contextRef != $RP.JFOREIGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429886

        IF [CTR84] <> NULL AND [CTR84] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR84 = bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType            
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429886" diagnostics="DVR.ATO.CTR.429886" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.00:Expense.Operating.MotorVehicle.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429887

        IF [CTR85] <> NULL AND [CTR85] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR85 = bafpr2.02.00:Expense.Operating.MotorVehicle.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429887" diagnostics="DVR.ATO.CTR.429887" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429888

        IF [CTR86] <> NULL AND [CTR86] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR86 = bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429888" diagnostics="DVR.ATO.CTR.429888" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429889 

        IF [CTR87] <> NULL AND [CTR87] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR87 = bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429889" diagnostics="DVR.ATO.CTR.429889" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.00:Expense.Other.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429890 

        IF [CTR88] <> NULL AND [CTR88] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR88 = bafpr1.02.00:Expense.Other.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429890" diagnostics="DVR.ATO.CTR.429890" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429891 

        IF [CTR91] <> NULL AND [CTR91] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR91 = bafpr1.02.00:Income.CapitalGainsNet.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429891" diagnostics="DVR.ATO.CTR.429891" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429963

        IF [CTR180] <> NULL AND [CTR180] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR180 = bafpr1.02.00:Income.CapitalGainsNet.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429963" diagnostics="DVR.ATO.CTR.429963" test="@contextRef != $RP.CMPLY.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429964 

        IF [CTR181] <> NULL AND [CTR181] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR181 = bafpr1.02.00:Income.CapitalGainsNet.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429964" diagnostics="DVR.ATO.CTR.429964" test="@contextRef != $RP.ORD.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR92] <> NULL AND [CTR92] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR92] = CTR:RP:bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount
        -->
        <assert id="VR.ATO.CTR.429892" diagnostics="DVR.ATO.CTR.429892" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429893 

        IF [CTR93] <> NULL AND [CTR93] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR93 = rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429893" diagnostics="DVR.ATO.CTR.429893" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429894 

        IF [CTR94] <> NULL AND [CTR94] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR94 = rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429894" diagnostics="DVR.ATO.CTR.429894" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.AssessableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429895 

        IF [CTR95] <> NULL AND [CTR95] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR95 = bafpr1.02.02:Income.AssessableOther.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429895" diagnostics="DVR.ATO.CTR.429895" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.NonDeductible.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429896 

        IF [CTR96] <> NULL AND [CTR96] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR96 = bafpr1.02.02:Expense.NonDeductible.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429896" diagnostics="DVR.ATO.CTR.429896"
                 test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429897 

        IF [CTR97] <> NULL AND [CTR97] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR97 = gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429897" diagnostics="DVR.ATO.CTR.429897" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429898 

        IF [CTR98] <> NULL AND [CTR98] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR98 = bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429898" diagnostics="DVR.ATO.CTR.429898" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429899 

        IF [CTR100] <> NULL AND [CTR100] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR100 = bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429899" diagnostics="DVR.ATO.CTR.429899" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429900 

        IF [CTR101] <> NULL AND [CTR101] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR101 = bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429900" diagnostics="DVR.ATO.CTR.429900" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429901 

        IF [CTR102] <> NULL AND [CTR102] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR102 = bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429901" diagnostics="DVR.ATO.CTR.429901" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429902 

        IF [CTR103] <> NULL AND [CTR103] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR103 = bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429902" diagnostics="DVR.ATO.CTR.429902" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429903 

            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR104 = bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429903" diagnostics="DVR.ATO.CTR.429903" 
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount[not(@i:nil='true' or @i:nil='1')]">
      
              <!--IF [CTR111] <> NULL AND [CTR111] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
              ENDIF

              [CTR111] = CTR:RP.Y0:gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount-->
          
      <assert id="VR.ATO.CTR.429908" diagnostics="DVR.ATO.CTR.429908"
              test="@contextRef != $RP.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>

    </rule>

    <rule context="bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.CTR.429909 

            IF [CTR112] <> NULL AND [CTR112] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            NOTE:
            CTR112 = bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount
            FDF TYPE: UNSIGN DECIMAL(11,0)
            FDF LENGTH: 0
            XBRL TYPE: xbrli:monetaryItemType
            XBRL LENGTH: 0
        -->
        <assert id="VR.ATO.CTR.429909" diagnostics="DVR.ATO.CTR.429909" 
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.429910 

            IF [CTR113] <> NULL AND [CTR113] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF	

            NOTE:
            CTR113 = gfagc:.02.00TaxConcession.OffshoreBankingUnitAdjustment.Amount
            FDF TYPE: UNSIGN DECIMAL(11,0)
            FDF LENGTH: 0
            XBRL TYPE: xbrli:monetaryItemType
            XBRL LENGTH: 0
        -->
        <assert id="VR.ATO.CTR.429910" diagnostics="DVR.ATO.CTR.429910" 
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Income.Exempt.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429911 

        IF [CTR114] <> NULL AND [CTR114] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR114 = bafpr1.02.02:Income.Exempt.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429911" diagnostics="DVR.ATO.CTR.429911" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.NotincludedInAssessableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429912 

        IF [CTR115] <> NULL AND [CTR115] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR115 = bafpr1.02.02:Income.NotincludedInAssessableOther.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429912" diagnostics="DVR.ATO.CTR.429912" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429913 

        IF [CTR116] <> NULL AND [CTR116] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR116 = bafpr1.02.04:Expense.DeductibleOther.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429913" diagnostics="DVR.ATO.CTR.429913" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429998

        IF [CTR256] <> NULL AND [CTR256] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR256 = bafpr1.02.04:Expense.DeductibleOther.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: UnknownDataType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429998" diagnostics="DVR.ATO.CTR.429998" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429914 

        IF [CTR117] <> NULL AND [CTR117] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR117 = rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429914" diagnostics="DVR.ATO.CTR.429914" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429915 

        IF [CTR118] <> NULL AND [CTR118] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR118 = rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429915" diagnostics="DVR.ATO.CTR.429915" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429917 

        IF [CTR120] <> NULL AND [CTR120] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR120 = bafpr1.02.02:Income.Taxable.Amount
        FDF TYPE: DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429917" diagnostics="DVR.ATO.CTR.429917" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(normalize-space(.),'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo7.02.04:Assets.Inventories.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429919 

        IF [CTR123] <> NULL AND [CTR123] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR123 = bafpo7.02.04:Assets.Inventories.Total.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429919" diagnostics="DVR.ATO.CTR.429919" test="@contextRef != $RPI.Opening.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429921 

        IF [CTR125] <> NULL AND [CTR125] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR125 = bafpo7:Assets.Inventories.Total.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429921" diagnostics="DVR.ATO.CTR.429921" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429920 

        IF [CTR124] <> NULL AND [CTR124] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR124 = bafpr2:Expense.Purchases.AndOtherCosts.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429920" diagnostics="DVR.ATO.CTR.429920" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429922 

        IF [CTR128] <> NULL AND [CTR128] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR128 = bafpo1:Assets.TradeandReceivablesOther.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429922" diagnostics="DVR.ATO.CTR.429922" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo1.02.00:Assets.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429923 

        IF [CTR130] <> NULL AND [CTR130] <> MONETARY(U,12,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR130 = bafpo1:Assets.Total.Amount
        FDF TYPE: NUMCHAR()
        FDF LENGTH: 12
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429923" diagnostics="DVR.ATO.CTR.429923" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,12}$')"/>
    </rule>

    <rule
            context="bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429924 

        IF [CTR131] <> NULL AND [CTR131] <> MONETARY(U,12,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR131 = bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429924" diagnostics="DVR.ATO.CTR.429924" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo1.02.00:Liabilities.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429925 

        IF [CTR132] <> NULL AND [CTR132] <> MONETARY(U,12,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR132 = bafpo1.02.00:Liabilities.CurrentTotal.Amount
        FDF TYPE: NUMCHAR()
        FDF LENGTH: 12
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429925" diagnostics="DVR.ATO.CTR.429925" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,12}$')"/>
    </rule>

    <rule
            context="bafpo1.02.00:Liabilities.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429926 

        IF [CTR133] <> NULL AND [CTR133] <> MONETARY(U,12,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR133 = bafpo1.02.00:Liabilities.Total.Amount
        FDF TYPE: NUMCHAR()
        FDF LENGTH: 12
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429926" diagnostics="DVR.ATO.CTR.429926" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,12}$')"/>
    </rule>

    <rule
            context="bafpo1.02.02:Liabilities.DebtTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429927 

        IF [CTR134] <> NULL AND [CTR134] <> MONETARY(U,12,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR134 = bafpo1.02.02:Liabilities.DebtTotal.Amount
        FDF TYPE: NUMCHAR()
        FDF LENGTH: 12
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429927" diagnostics="DVR.ATO.CTR.429927" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,12}$')"/>
    </rule>

    <rule
            context="bafpo1.02.02:Liabilities.CommercialDebtForgiveness.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429928 

        IF [CTR135] <> NULL AND [CTR135] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR135 = bafpo1.02.02:Liabilities.CommercialDebtForgiveness.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429928" diagnostics="DVR.ATO.CTR.429928" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429930 

        IF [CTR137] <> NULL AND [CTR137] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR137 = bafpo2:Equity.Dividends.FrankedPaid.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429930" diagnostics="DVR.ATO.CTR.429930" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429931 

        IF [CTR138] <> NULL AND [CTR138] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR138 = bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429931" diagnostics="DVR.ATO.CTR.429931" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429932 

        IF [CTR139] <> NULL AND [CTR139] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR139 = bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429932" diagnostics="DVR.ATO.CTR.429932" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc2.02.01:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429935 

        IF [CTR142] <> NULL AND [CTR142] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR142 = rvctc2.02.01:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429935" diagnostics="DVR.ATO.CTR.429935" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

 
    <rule
            context="bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429937 

      IF CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount <> NULL AND CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
      ENDIF	

      NOTE:
      CTR145 = bafpo5:Assets.LoansAndReceivables.RelatedParties.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429937" diagnostics="DVR.ATO.CTR.429937" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429938 

        IF [CTR147] <> NULL AND [CTR147] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR147 = bafpr3:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429938" diagnostics="DVR.ATO.CTR.429938" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429939 

        IF [CTR148] <> NULL AND [CTR148] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR148 = bafpr3:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429939" diagnostics="DVR.ATO.CTR.429939" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429940 

        IF [CTR149] <> NULL AND [CTR149] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR149 = bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429940" diagnostics="DVR.ATO.CTR.429940" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429941

        IF [CTR150] <> NULL AND [CTR150] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR150 = bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429941" diagnostics="DVR.ATO.CTR.429941" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429942 
    
        IF [CTR151] <> NULL AND [CTR151] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	
    
        NOTE:
        CTR151 = lrla.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429942" diagnostics="DVR.ATO.CTR.429942" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429943 

        IF [CTR153] <> NULL AND [CTR153] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR153 = lrla:Remuneration.PaymentToRelatedPartiesGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429943" diagnostics="DVR.ATO.CTR.429943" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr3.02.02:Income.InternationalDealings.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429944 

        IF [CTR154] <> NULL AND [CTR154] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR154 = bafpr3.02:Income.InternationalDealings.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
        FDF TYPE: DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429944" diagnostics="DVR.ATO.CTR.429944" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429946 

        IF [CTR156] <> NULL AND [CTR156] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR156 = bafpr3.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429946" diagnostics="DVR.ATO.CTR.429946" test="@contextRef != $RP.CFCLC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429947 

        IF [CTR157] <> NULL AND [CTR157] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR157 = bafpr3.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429947" diagnostics="DVR.ATO.CTR.429947" test="@contextRef != $RP.CFC404.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
        Rule ID: VR.ATO.CTR.429948 

        IF [CTR158] <> NULL AND [CTR158] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR158 = bafpr3.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429948" diagnostics="DVR.ATO.CTR.429948" test="@contextRef != $RP.CFCUC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.429949 

        IF [CTR159] <> NULL AND [CTR159] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF	

        NOTE:
        CTR159 = rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
        FDF TYPE: UNSIGN DECIMAL(11,0)
        FDF LENGTH: 0
        XBRL TYPE: xbrli:monetaryItemType
        XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429949" diagnostics="DVR.ATO.CTR.429949" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>


    <rule
            context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429960 
 
      IF [CTR175] <> NULL AND [CTR175] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR175 = rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429960" diagnostics="DVR.ATO.CTR.429960" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429961 
 
      IF [CTR176] <> NULL AND [CTR176] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR176 = rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429961" diagnostics="DVR.ATO.CTR.429961" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr3.02.02:Income.Insurance.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429962
 
      IF [CTR179] <> NULL AND [CTR179] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR179 = bafpr3.02.02:Income.Insurance.Taxable.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429962" diagnostics="DVR.ATO.CTR.429962" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
        <!--
      Rule ID: VR.ATO.CTR.429965 
 
      IF [CTR182] <> NULL AND [CTR182] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR182 = bafpr3.02.02:Income.Insurance.Taxable.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429965" diagnostics="DVR.ATO.CTR.429965" test="@contextRef != $RP.CMPLY.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429966
 
      IF [CTR183] <> NULL AND [CTR183] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR183 = bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429966" diagnostics="DVR.ATO.CTR.429966" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429967
 
      IF [CTR184] <> NULL AND [CTR184] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR184 = bafpr1.02.02:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429967" diagnostics="DVR.ATO.CTR.429967" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429968
 
      IF [CTR185] <> NULL AND [CTR185] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR185 = bafpr1.02.02:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429968" diagnostics="DVR.ATO.CTR.429968" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429973 
 
      IF [CTR190] <> NULL AND [CTR190] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR190 = bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429973" diagnostics="DVR.ATO.CTR.429973" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429975 
 
      IF [CTR199] <> NULL AND [CTR199] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR199 = rvctc1.02.01:IncomeTax.TaxableGross.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429975" diagnostics="DVR.ATO.CTR.429975" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429977 
 
      IF [CTR201] <> NULL AND [CTR200] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR201 = bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429977" diagnostics="DVR.ATO.CTR.429977" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429978 
 
      IF [CTR202] <> NULL AND [CTR202] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR202 = gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429978" diagnostics="DVR.ATO.CTR.429978" test="@contextRef != $RP.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="rvctc1.02.01:IncomeTax.Payable.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429979 
 
      IF [CTR203] <> NULL AND [CTR203] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR203 = rvctc1.02.01:IncomeTax.Payable.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429979" diagnostics="DVR.ATO.CTR.429979" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429980 
 
      IF [CTR204] <> NULL AND [CTR204] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR204 = rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429980" diagnostics="DVR.ATO.CTR.429980" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429981 
 
      IF [CTR205] <> NULL AND [CTR205] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR205 = rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429981" diagnostics="DVR.ATO.CTR.429981" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429982 
 
      IF rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount <> NULL AND rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert id="VR.ATO.CTR.429982" diagnostics="DVR.ATO.CTR.429982" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429984 
 
      IF [CTR209] <> NULL AND [CTR209] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR209 = rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429984" diagnostics="DVR.ATO.CTR.429984" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429985 
 
      IF [CTR210] <> NULL AND [CTR210] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR210 = gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429985" diagnostics="DVR.ATO.CTR.429985" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429986 
 
      IF [CTR211] <> NULL AND [CTR211] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR211 = rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429986" diagnostics="DVR.ATO.CTR.429986" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="pyid.02.00:Identifiers.TaxAgentClientReference.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429987 
 
      IF [CTR213] <> NULLORBLANK AND [CTR213] <> TEXT(12)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR213 = pyid.02.00:Identifiers.TaxAgentClientReference.Text
      FDF TYPE: CHAR()
      FDF LENGTH: 12
      XBRL TYPE: xbrli:stringItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429987" diagnostics="DVR.ATO.CTR.429987" test="@contextRef != $INT.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 13"/>
    </rule>

    <rule
            context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429988 
      
      IF [CTR214] <> NULLORBLANK AND [CTR214] <> TEXT(200)
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR214} = CTR:INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
        WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") 
          IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName)
    -->

        <assert id="VR.ATO.CTR.429988" diagnostics="DVR.ATO.CTR.429988" subject="pyde.02.00:PersonUnstructuredName.FullName.Text" test="string-length(pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(../pyde.02.05:PersonUnstructuredName.Usage.Code='CONTACT')]) &lt; 201"/>
    </rule>

    <rule context="bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR99] <> NULL AND [CTR99] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR99] = CTR:RP:bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.CTR.429989" diagnostics="DVR.ATO.CTR.429989" 
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429991
 
      IF [CTR246] <> NULL AND [CTR246] <> MONETARY(U,13,2)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR246 = gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
      FDF TYPE: UNSIGN DECIMAL(13,2)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429991" diagnostics="DVR.ATO.CTR.429991" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429992 
 
      IF [CTR247] <> NULL AND [CTR247] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR247 = bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429992" diagnostics="DVR.ATO.CTR.429992" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429993 
 
      IF [CTR248] <> NULL AND [CTR248] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR248 = bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429993" diagnostics="DVR.ATO.CTR.429993" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429994 
 
      IF [CTR249] <> NULL AND [CTR249] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR249 = bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429994" diagnostics="DVR.ATO.CTR.429994" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule
            context="bafpr1.02.04:Income.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.CTR.429995
 
      IF [CTR252] <> NULL AND [CTR252] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
      ENDIF 
 
      NOTE:
      CTR252 = bafpr1.02.04:Income.Total.Amount
      FDF TYPE: UNSIGN DECIMAL(11,0)
      FDF LENGTH: 0
      XBRL TYPE: xbrli:monetaryItemType            
      XBRL LENGTH: 0
    -->

        <assert id="VR.ATO.CTR.429995" diagnostics="DVR.ATO.CTR.429995" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.00:Expense.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule ID: VR.ATO.CTR.429996
 
          IF [CTR254] <> NULL AND [CTR254] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
          ENDIF 
 
          NOTE:
          CTR254 = bafpr1.02.00:Expense.Total.Amount
          FDF TYPE: DECIMAL(11,0)
          FDF LENGTH: 0
          XBRL TYPE: UnknownDataType
          XBRL LENGTH: 0
        -->
        <assert id="VR.ATO.CTR.429996" diagnostics="DVR.ATO.CTR.429996" test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.OtherTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
          IF [CTR255] <> NULL AND [CTR255] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
          ENDIF 
 
          NOTE:
          CTR255 = bafpr1.02.04:Income.OtherTotal.Amount
          FDF TYPE: UNSIGN DECIMAL(11,0)
          FDF LENGTH: 0
          XBRL TYPE: UnknownDataType
          XBRL LENGTH: 0
        -->
        <assert id="VR.ATO.CTR.429997" diagnostics="DVR.ATO.CTR.429997"
                test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR260] <> NULL AND [CTR260] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CTR260] = CTR:RP.TOFA:bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.CTR.429999" diagnostics="DVR.ATO.CTR.429999"
                test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR309] <> NULL AND [CTR309] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR309] = CTR:RP:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
        -->
        <assert id="VR.ATO.CTR.429847" diagnostics="DVR.ATO.CTR.429847"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>
    <rule context="rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR318] <> NULL AND [CTR318] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR318] = CTR:RP:rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount
        -->
        <assert id="VR.ATO.CTR.429833" diagnostics="DVR.ATO.CTR.429833"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule: VR.ATO.GEN.432035
        
            IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK AND 
            (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012001-999999) OR LENGTH(pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number) <> 6)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432035" diagnostics="DVR.ATO.GEN.432035"
                test="not (   
                            pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not((@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId  and (string-length(normalize-space(.)) = 0)) and not(regexp:test(., '^(01200[1-9]|0120[1-9][0-9]|012[1-9][0-9]{2}|01[3-9][0-9]{3}|0[2-9][0-9]{4}|[1-9][0-9]{5})$'))]
                        )"/>

    </rule>

    <rule context="bafpr1.02.12:Expense.DeductionsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--  
            IF (bafpr1.xx.xx:Expense.DeductionsTotal.Amount <> NULL ) AND 
               (bafpr1.xx.xx:Expense.DeductionsTotal.Amount <> MONETARY(U,11,0))
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.430035" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>


    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" >
        <!--
            IF (gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount <> NULL) AND (gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount  <> MONETARY(U,13,2))
               RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.CTR.430026" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                        )    
                    "/>


    </rule>

    <rule context="bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [CTR338] <> NULL AND [CTR338] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR338] = CTR:RP:bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount
        -->

        <assert  id="VR.ATO.CTR.430034" diagnostics="DVR.ATO.MONEY.U.11.0"
                 test="not(
                         @contextRef = $RP.ContextId
                         and 
                         not(regexp:test(.,'^[0-9]{1,11}$'))
                         )
                    "/>


    </rule>


    <rule context="bafot.02.12:Miscellaneous.CurrencyTranslation.Rate[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF [CTR121] <> NULL AND [CTR121] <> NUMERIC(U,13,5)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR121] = CTR:RP.Closing(Instant):bafot.02.12:Miscellaneous.CurrencyTranslation.Rate
        -->

        <assert  id="VR.ATO.CTR.430022" diagnostics="DVR.ATO.CTR.430022"
                 test="not(
                         @contextRef = $RPI.Closing.ContextId
                         and 
                         not(regexp:test(.,'^[0-9]{1,8}(\.[0-9]{0,5})?$'))
                         )
                    "/>
       

    </rule>

    <rule context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [CTR337] <> NULL AND [CTR337] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [CTR337] = CTR:RP:bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount        
        -->
        <assert  id="VR.ATO.CTR.430033" diagnostics="DVR.ATO.MONEY.U.11.0"
                 test="not(
                         @contextRef = $RP.ContextId
                         and 
                         not(regexp:test(.,'^[0-9]{1,11}$'))
                         )
                    "/>
    </rule>





</pattern>
    
