﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="ContentCommon" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Generic Content Validations</title>


    <rule
            abstract="true"
            id="VR-ATO-GEN-001007">

        <!--
        IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET("NSW","VIC","ACT","QLD","TAS","SA","WA","NT"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.001007" diagnostics="DVR.ATO.GEN.001007" test="not( not(regexp:test(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)$')) )"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000405">

        <!--
        IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000405" diagnostics="DVR.ATO.GEN.000405" test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000407">

        <!--
        IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000407" diagnostics="DVR.ATO.GEN.000407" test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000409">

        <!--
        IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000409" diagnostics="DVR.ATO.GEN.000409" test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000410">

        <!--
        IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000410" diagnostics="DVR.ATO.GEN.000410" test="not(regexp:test(.,'^(.*)[0-9](.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000413">

        <!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
              RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000413" diagnostics="DVR.ATO.GEN.000413.0" test="not(regexp:test(.,'^(.*)\ - (.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000414">

        <!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
           RETURN VALIDATION MESSAGE
        ENDIF
         -->

        <assert  id="VR.ATO.GEN.000414" diagnostics="DVR.ATO.GEN.000414" test="not(regexp:test(.,'^(.*)P\/L(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000416">

        <!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("- -", """", "  "))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000416" diagnostics="DVR.ATO.GEN.000416" test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000417">

        <!--
    IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
      RETURN VALIDATION MESSAGE
    ENDIF
    -->

        <assert  id="VR.ATO.GEN.000417" diagnostics="DVR.ATO.GEN.000417" test="not(regexp:test(.,'^(.*)( T\/A| T\/A P\x27ship| T\/A Pship| T\/A P\/Ship| T\/A Partnership)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410205">

        <!--
        IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))
          RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410205" diagnostics="DVR.ATO.GEN.410205" test="not(regexp:test(.,'^(?i)(AS ABOVE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( AS ABOVE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( AS ABOVE)$') or
                          regexp:test(.,'^(?i)(AS ABOVE)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410206">

        <!--
            Rule ID:  VR.ATO.GEN.410206
        
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206" test="not(
                            regexp:test(.,'^(?i)(The trustee |The Exec |exec |The TTE )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( The trustee | The Exec | exec | The TTE )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( The trustee| The Exec| exec| The TTE)$')
                            or
                            regexp:test(.,'^(?i)(The trustee|The Exec|exec|The TTE)$')               
                        )"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-428240">

        <!--
        IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("C/O","C/","Care Of","CO"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.428240" diagnostics="DVR.ATO.GEN.428240" test="not(regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or
                          regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-428241">

        <!--
        IF (pyde.xx.xx:AddressDetails.Line2.Text = FOUND("C/O","C/","Care Of","CO"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.428241" diagnostics="DVR.ATO.GEN.428241" test="not(regexp:test(.,'^(.*)(C\/O|C\/ |Care Of|CO)(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000423">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000423" diagnostics="DVR.ATO.GEN.000423" test="not(regexp:test(.,'^(.*) - (.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000427">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-", """", "  "))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000427" diagnostics="DVR.ATO.GEN.000427" test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000434">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000434" diagnostics="DVR.ATO.GEN.000434" test="not(regexp:test(.,'^(.*) - (.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000439">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000439" diagnostics="DVR.ATO.GEN.000439" test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000446">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000446" diagnostics="DVR.ATO.GEN.000446" test="not(regexp:test(.,'^(.*) - (.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-000451">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.000451" diagnostics="DVR.ATO.GEN.000451" test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410038">

        <!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
          RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038" test="not(regexp:test(.,'^(T\/A)(.*)( Pship| P\x27ship| P\/ship)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410039">

        <!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.text DOES NOT CONTAIN SET('a-z', 'A-Z', '0-9'))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039" test="not(not(regexp:test(.,'^(.*)[a-zA-Z0-9](.*)$')))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410040">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> SET("A-Z","a-z"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040" test="not(not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410063">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text <> SET("A-Z","a-z"))
               RETURN VALIDATION MESSSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063" test="not(not(regexp:test(.,'^(.*)[a-zA-Z](.*)$')))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410200">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" test="not(
                            regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$')
                            or
                            regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$')
                            or
                            regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$')               
                        )"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410201">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201" 
                test="
                    not(
                      regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or
                      regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-428230">
        <!--
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW”,"VIC","SA","WA","NT","ACT","TAS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230"
                test="not(regexp:test(.,'(?i)(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-428231">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231" 
                test="not(regexp:test(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410202">
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202" 
                test="not(regexp:test(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"/>
    </rule>

    <rule abstract="true" id="VR-ATO-GEN-410203">
        <!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203" test="
                    not(
                      regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or
                      regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410204">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204" test="not(regexp:test(.,'^(.*)(MR|MRS|MISS|MS)(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410207">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207" test="not(regexp:test(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410208">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208" test="not(regexp:test(.,'^(.*)(Exec for|Rep for|Trustee for)(.*)$'))"/>
    </rule>

    <rule
            abstract="true"
            id="VR-ATO-GEN-410209">

        <!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209" test="not(regexp:test(.,'^(.*)(MR|MRS|MISS|MS)(.*)$'))"/>
    </rule>
</pattern>