﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Rule validations for contexts that are applicable across all of the DIS services.</title>

<!-- CONTEXT VALIDATIONS -->

<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.000199
        
            IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199" subject="xbrli:context/xbrli:period/xbrli:startDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.GEN.000237 
        
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237" subject="xbrli:context/xbrli:period/xbrli:endDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.GEN.000240
        
            IF context id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
<!--
            Rule ID: VR.ATO.GEN.001019
        
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> RprtPyType.xx.xx:ReportingParty)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'ReportPartyTypeDimension') and not(contains(.,'ReportingParty'))]) = 0"></assert>
<!--
            Rule ID: VR.ATO.DIS.406000
        
            IF (AssblFrgnIncClass.xx.xx <> SET(AssblFrgnIncClass.xx.xx:ConduitForeignIncome,AssblFrgnIncClass.xx.xx:NonConduitForeignIncome))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.DIS.406000" diagnostics="DVR.ATO.DIS.406000" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'AssblFrgnIncClass') and not(contains(., 'ConduitForeignIncome')) and not(contains(., 'NonConduitForeignIncome'))]) = 0"></assert>
    <!--
            Rule ID: VR.ATO.DIS.406024
        
            IF (COUNT(RP.CFI) > 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.DIS.406024" diagnostics="DVR.ATO.DIS.406024" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CFI.ContextId]) &gt; 1)"></assert>
    <!--
            Rule ID: VR.ATO.DIS.406025
        
            IF (COUNT(RP.NONCFI) > 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.DIS.406025" diagnostics="DVR.ATO.DIS.406025" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.NONCFI.ContextId]) &gt; 1)"></assert>

</rule>

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.001020
        
            IF entity.identifier = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001020" diagnostics="DVR.ATO.GEN.001020.0" subject="xbrli:identifier" test="string-length(normalize-space(xbrli:identifier)) &gt; 0"></assert>
<!--
            Rule ID: VR.ATO.GEN.001021
        
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.0" subject="xbrli:identifier" test="not(normalize-space(xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) != 'http://www.ato.gov.au/tfn']))"></assert>
</rule>
</pattern>