﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Patterns</title>

    <rule context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR23] <> NULL AND [FITR23] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR23] = FITR:RP:Income.CapitalGainsNet.Amount
        -->
        <assert id="VR.ATO.FITR.434188" diagnostics="DVR.ATO.FITR.434188"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR24] <> NULL AND [FITR24] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR24] = FITR:RP:Income.RentLeasingHiringGross.Amount
        -->
        <assert id="VR.ATO.FITR.434189" diagnostics="DVR.ATO.FITR.434189"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR27] <> NULL AND [FITR27] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR27] = FITR:RP.JForeign:Income.Gross.Amount
        -->
        <assert id="VR.ATO.FITR.434190" diagnostics="DVR.ATO.FITR.434190"
                test="@contextRef != $RP.JFOREIGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR29] <> NULL AND [FITR29] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR29] = FITR:RP:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        -->
        <assert id="VR.ATO.FITR.434191" diagnostics="DVR.ATO.FITR.434191"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR30] <> NULL AND [FITR30] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR30] = FITR:RP:Equity.InternationalDealings.ForeignFundTransfers.Amount
        -->
        <assert id="VR.ATO.FITR.434192" diagnostics="DVR.ATO.FITR.434192"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR132] <> NULL AND [FITR132] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR132] = FITR:RP:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount-->
        <assert id="VR.ATO.FITR.434183" diagnostics="DVR.ATO.FITR.434183"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.FITR.434182

            IF [FITR131] <> NULL AND [FITR131] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR131] = FITR:RP:IncomeTax.TaxOffsetTFNNotQuoted.Amount-->
        <assert id="VR.ATO.FITR.434182" diagnostics="DVR.ATO.FITR.434182"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.FITR.434184

            IF [FITR133] <> NULL AND [FITR133] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR133] = FITR:RP:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount-->
        <assert id="VR.ATO.FITR.434184" diagnostics="DVR.ATO.FITR.434184"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND 
             (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
                test="string-length(normalize-space(.)) = 0 or function:ValidateTAN(.)"/>
    </rule>

    <rule context="bafpo1.02.10:Equity.NetAssetsCalculated.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR83] <> NULL AND [FITR83] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR83] = FITR:RP:Equity.NetAssetsCalculated.Amount
        -->
        <assert id="VR.ATO.FITR.434177" diagnostics="DVR.ATO.FITR.434177"
                test="regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR87] <> NULL AND [FITR87] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR87] = FITR:RP:IncomeTax.Superannuation.TransferredAssessable.Amount IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
        -->
        <assert id="VR.ATO.FITR.434178" diagnostics="DVR.ATO.FITR.434178"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.Superannuation.MarketValueTransfer.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR88] <> NULL AND [FITR88] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR88] = FITR:RP:IncomeTax.Superannuation.MarketValueTransfer.Amount IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
        -->
        <assert id="VR.ATO.FITR.434179" diagnostics="DVR.ATO.FITR.434179"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.Superannuation.MarketValueTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR89] <> NULL AND [FITR89] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR89] = FITR:RP:IncomeTax.Superannuation.MarketValueTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434180" diagnostics="DVR.ATO.FITR.434180"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.GainsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR134] <> NULL AND [FITR134] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR134] = FITR:RP.TOFA:Income.GainsTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434185" diagnostics="DVR.ATO.FITR.434185"
                test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.LossesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR135] <> NULL AND [FITR135] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR135] = FITR:RP.TOFA:Expense.LossesTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434186" diagnostics="DVR.ATO.FITR.434186"
                test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR136] <> NULL AND [FITR136] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR136] = FITR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434187" diagnostics="DVR.ATO.FITR.434187"
                test="@contextRef != $RP.TOFA.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR32] <> NULL AND [FITR32] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.FITR.434193" diagnostics="DVR.ATO.FITR.434193"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR33] <> NULL AND [FITR33] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR33] = FITR:RP:Income.PartnershipDistributionGross.Amount
        -->
        <assert id="VR.ATO.FITR.434194" diagnostics="DVR.ATO.FITR.434194"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR37] <> NULL AND [FITR37] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [FITR37] = FITR:RP:Income.TrustDistributionUnfranked.Amount
        -->
        <assert id="VR.ATO.FITR.434195" diagnostics="DVR.ATO.FITR.434195"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.TrustDistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR38] <> NULL AND [FITR38] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR38] = FITR:RP:Income.TrustDistributionFranked.Amount
        -->
        <assert id="VR.ATO.FITR.434196" diagnostics="DVR.ATO.FITR.434196"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR39] <> NULL AND [FITR39] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
    
            [FITR39] = FITR:RP:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.FITR.434197" diagnostics="DVR.ATO.FITR.434197"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.00:Income.TrustDistributionOther.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR40] <> NULL AND [FITR40] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR40] = FITR:RP:Income.TrustDistributionOther.Amount
        -->
        <assert id="VR.ATO.FITR.434198" diagnostics="DVR.ATO.FITR.434198"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR41] <> NULL AND [FITR41] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR41] = FITR:RP:SuperannuationContribution.EmployerAssessable.Amount
        -->
        <assert id="VR.ATO.FITR.434199" diagnostics="DVR.ATO.FITR.434199"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>

    </rule>

    <rule context="emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR42] <> NULL AND [FITR42] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR42] = FITR:RP:SuperannuationContribution.PersonalAssessable.Amount
        -->
        <assert id="VR.ATO.FITR.434200" diagnostics="DVR.ATO.FITR.434200"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR43] <> NULL AND [FITR43] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR43] = FITR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
        -->
        <assert id="VR.ATO.FITR.434201" diagnostics="DVR.ATO.FITR.434201"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR44] <> NULL AND [FITR44] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR44] = FITR:RP:SuperannuationContribution.ContributionsExcludedByTrustee.Amount
        -->
        <assert id="VR.ATO.FITR.434202" diagnostics="DVR.ATO.FITR.434202"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>


    <rule context="bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR70] <> NULL AND [FITR70] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            END IF
            
            [FITR70] = FITR:RP:Income.Interest.EarlyPaymentCredit.Amount
        -->
        <assert id="VR.ATO.FITR.434220" diagnostics="DVR.ATO.FITR.434220"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR45] <> NULL AND [FITR45] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR45] = FITR:RP:SuperannuationContribution.ReducedContributions.Amount
        -->
        <assert id="VR.ATO.FITR.434203" diagnostics="DVR.ATO.FITR.434203"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR61] <> NULL AND [FITR61] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR61] = FITR:RP:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434067" diagnostics="DVR.ATO.FITR.434067"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.Investment.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR59] <> NULL AND [FITR59] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR59] = FITR:RP:Expense.Investment.Amount
        -->
        <assert id="VR.ATO.FITR.434097" diagnostics="DVR.ATO.FITR.434097"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR25] <> NULL AND [FITR25] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR25] = FITR:RP:Income.Interest.Gross.Amount
        -->
        <assert id="VR.ATO.FITR.434037" diagnostics="DVR.ATO.FITR.434037"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR26] <> NULL AND [FITR26] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR26] = FITR:RP:Income.ForestryManagedInvestmentScheme.Amount     
        -->
        <assert id="VR.ATO.FITR.434038" diagnostics="DVR.ATO.FITR.434038"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.09:Income.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR28] <> NULL AND [FITR28] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [FITR28] = FITR:RP.JForeign:Income.Net.Amount
        -->
        <assert id="VR.ATO.FITR.434040" diagnostics="DVR.ATO.FITR.434040"
                test="@contextRef != $RP.JFOREIGN.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>

    </rule>

    <rule context="bafpr1.02.05:Income.DividendsUnfranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR34] <> NULL AND [FITR34] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR34] = FITR:RP:bafpr1.xx.xx:Income.DividendsUnfranked.Amount
        -->
        <assert id="VR.ATO.FITR.434048" diagnostics="DVR.ATO.FITR.434048.FITR"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR68] <> NULL AND [FITR68] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            END IF

            [FITR68] = FITR:RP:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434219" diagnostics="DVR.ATO.FITR.434219"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR71] <> NULL AND [FITR71] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR71] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        -->
        <assert id="VR.ATO.FITR.434221" diagnostics="DVR.ATO.FITR.434221"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="pyid.02.00:Identifiers.TaxAgentClientReference.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR119] <> NULLORBLANK AND [FITR119] <> TEXT(12)
              RETURN VALIDATION MESSAGE
            ENDIF
            [FITR119] = FITR:INT:Identifiers.TaxAgentClientReference.Text
        -->
        <assert id="VR.ATO.FITR.434137" diagnostics="DVR.ATO.FITR.434137"
                test="@contextRef != $INT.ContextId or @i:nil='true' or @i:nil='1' or string-length(.) &lt; 13"/>
    </rule>

    <rule context="emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR46] <> NULL AND [FITR46] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR46] = FITR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        -->
        <assert id="VR.ATO.FITR.434204" diagnostics="DVR.ATO.FITR.434204"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR47] <> NULL AND [FITR47] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR47] = FITR:RP:Income.Other.Amount
        -->
        <assert id="VR.ATO.FITR.434205" diagnostics="DVR.ATO.FITR.434205"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR49] <> NULL AND [FITR49] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR49] = FITR:RP:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
        -->
        <assert id="VR.ATO.FITR.434206" diagnostics="DVR.ATO.FITR.434206"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR50] <> NULL AND [FITR50] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR50] = FITR:RP:Income.NonArmsLengthOtherNet.Amount
        -->
        <assert id="VR.ATO.FITR.434207" diagnostics="DVR.ATO.FITR.434207"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.00:Expense.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR52] <> NULL AND [FITR52] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR52] = FITR:RP.JAus:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.FITR.434209" diagnostics="DVR.ATO.FITR.434209"
                test="@contextRef != $RP.JAUS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR56] <> NULL AND [FITR56] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR56] = FITR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434211" diagnostics="DVR.ATO.FITR.434211"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR78] <> NULL AND [FITR78] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            END  IF
            
            [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
        -->
        <assert id="VR.ATO.FITR.434091" diagnostics="DVR.ATO.FITR.434091"
                test="@contextRef != $RP.CFCLC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>

        <!--
            IF [FITR80] <> NULL AND [FITR80] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
        -->
        <assert id="VR.ATO.FITR.434096" diagnostics="DVR.ATO.FITR.434096"
                test="@contextRef != $RP.CFCUC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>

        <!--
            IF [FITR79] <> NULL AND [FITR79] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR79] = FITR:RP.s404andUnlisted:Income.InternationalDealings.Attributed.Amount
        -->
        <assert id="VR.ATO.FITR.434175" diagnostics="DVR.ATO.FITR.434175"
                test="@contextRef != $RP.CFC404.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
          IF [FITR53] <> NULL AND [FITR53] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
          ENDIF
       	     
        [FITR53] = FITR:RP.JForeign:Expense.Interest.Amount   
        -->
        <assert id="VR.ATO.FITR.434061" diagnostics="DVR.ATO.FITR.434061"
                test="not(
                            @contextRef = $RP.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
          IF [FITR54] <> NULL AND [FITR54] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
          ENDIF

          [FITR54] = FITR:RP:Remuneration.WagesandSalaries.Payments.Amount
        -->
        <assert id="VR.ATO.FITR.434063" diagnostics="DVR.ATO.FITR.434063"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR55] <> NULL AND [FITR55] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR55] = FITR:RP:Expense.CapitalWorksDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434064" diagnostics="DVR.ATO.FITR.434064"
                test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"/>

    </rule>

    <rule context="rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
             IF [FITR73] <> NULL AND [FITR73] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
             ENDIF

             [FITR73] = FITR:RP:IncomeTax.FrankingCredits.Refundable.Amount
         -->
        <assert id="VR.ATO.FITR.434170" diagnostics="DVR.ATO.FITR.434170"
                test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule abstract="true" id="vr-format-money-u-11-0">
        <!--
            IF a <> NULL AND a <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.FORMAT.MONEY.u.11.0" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR57] <> NULL AND [FITR57] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [FITR57] = FITR:RP:Expense.PremiumsDeathOrDisability.Amount
        -->
        <assert id="VR.ATO.FITR.434212" diagnostics="DVR.ATO.FITR.434212"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                          )"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR58] <> NULL AND [FITR58] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [FITR58] = FITR:RP:Expense.DeathBenefitLumpSumIncrease.Amount
        -->
        <assert id="VR.ATO.FITR.434213" diagnostics="DVR.ATO.FITR.434213"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR62] <> NULL AND [FITR62] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR62] = FITR:RP:Expense.DeductibleOther.Amount    
        -->
        <assert id="VR.ATO.FITR.434215" diagnostics="DVR.ATO.FITR.434215"
                test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR64] <> NULL AND [FITR64] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR64] = FITR:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->
        <assert id="VR.ATO.FITR.434216" diagnostics="DVR.ATO.FITR.434216"
                test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR65] <> NULL AND [FITR65] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR65] = FITR:RP:Income.Taxable.Amount
        -->
        <assert id="VR.ATO.FITR.434217" diagnostics="DVR.ATO.FITR.434217"
                test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR66] <> NULL AND [FITR66] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR66] = FITR:RP:IncomeTax.TaxableGross.Amount
        -->
        <assert id="VR.ATO.FITR.434218" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR72] <> NULL AND [FITR72] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR72] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount-->
        <assert id="VR.ATO.FITR.434169" diagnostics="DVR.ATO.FITR.434169"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR74] <> NULL AND [FITR74] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR74] = FITR:RP:IncomeTax.LiabilityInstalmentsTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434171" diagnostics="DVR.ATO.FITR.434171"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR75] <> NULL AND [FITR75] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR75] = FITR:RP:IncomeTax.PayableOrRefundableTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434172" diagnostics="DVR.ATO.FITR.434172"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [FITR76] <> NULL AND [FITR76] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [FITR76] = FITR:RP.Closing:rvctc3.xx.xx:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->

        <assert id="VR.ATO.FITR.434173" diagnostics="DVR.ATO.FITR.434173"
                test="@contextRef != $RP.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR77] <> NULL AND [FITR77] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR77] = FITR:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount-->
        <assert id="VR.ATO.FITR.434174" diagnostics="DVR.ATO.FITR.434174"
                test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr1.02.00:Income.DividendsFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR35] <> NULL AND [FITR35] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR35] = FITR:RP:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.FITR.434049" diagnostics="DVR.ATO.FITR.434049"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="pyde.02.03:Party.Type.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR14] <> NULL AND [FITR14] <> SET("009","010","022","053","085","118","138","168","198") 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR14] = FITR:RP:Party.Type.Code
        -->
        <assert id="VR.ATO.FITR.434017" diagnostics="DVR.ATO.FITR.434017"
                test="not(@contextRef = $RP.ContextId) or 
                      . = '009' or 
                      . = '010' or 
                      . = '022' or 
                      . = '053' or 
                      . = '085' or 
                      . = '118' or                       
                      . = '138' or 
                      . = '168' or
                      . = '198'
                      "/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.FrankingCredits.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR36] <> NULL AND [FITR36] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF   

            [FITR36] = FITR:RP:IncomeTax.FrankingCredits.Amount
        -->
        <assert id="VR.ATO.FITR.434052" diagnostics="DVR.ATO.FITR.434052"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410194" diagnostics="DVR.ATO.GEN.410194"
                test="string-length(normalize-space(.)) &lt; 39"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (pyde.xx.xx:AddressDetails.Line2.Text > LENGTH(38))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410195" diagnostics="DVR.ATO.GEN.410195"
                test="string-length(normalize-space(.)) &lt; 39"/>

        <!--
            IF (pyde.xx.xx:AddressDetails.Line2.Text = FOUND("C/-","C/O","C/","Care Of","CO"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428241" diagnostics="DVR.ATO.GEN.428241"
                test="not(regexp:test(.,'^(.*)(C\/O|C\/ |Care Of|CO)(.*)$'))"/>

    </rule>

    <rule context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR67] <> NULL AND [FITR67] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR67] = FITR:RP:Income.InternationalDealings.TaxOffset.Amount
        -->
        <assert id="VR.ATO.FITR.434078" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [FITR175] <> NULL AND [FITR175] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR175] = FITR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.FITR.434239" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR181] <> NULL AND [FITR181] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR181] = FITR:RP:rvctc1.xx.xx:IncomeTax.TFNNotQuotedContributionsTax.Amount
        -->
        <assert id="VR.ATO.FITR.434242" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR69] <> NULL AND [FITR69] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR69] = FITR:RP:rvctc4.xx.xx:InternationalDealings.AAMInterestSection102.Amount
        -->
        <assert id="VR.ATO.FITR.434241" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
              IF [FITR202] <> NULLORBLANK AND LENGTH([FITR202]) > 3000
                 RETURN VALIDATION MESSAGE
               ENDIF


            [FITR202] = FITR:RP:bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        -->
        <assert id="VR.ATO.FITR.434277" diagnostics="DVR.ATO.FITR.434277"
                test="not(
                         @contextRef = $RP.ContextId and string-length(normalize-space(.)) &gt; 3000
                         )" />
    </rule>

    <rule context="rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR189] <> NULL AND [FITR189] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR189] = FITR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        -->
        <assert id="VR.ATO.FITR.434255" diagnostics="DVR.ATO.FITR.434255"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR183] <> NULL AND [FITR183] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
        -->
        <assert id="VR.ATO.FITR.434256" diagnostics="DVR.ATO.FITR.434256"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR184] <> NULL AND [FITR184] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR184] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
        -->
        <assert id="VR.ATO.FITR.434257" diagnostics="DVR.ATO.FITR.434257"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>
    <rule context="rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        
    <!--
            IF [FITR201] <> NULL AND [FITR201] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [FITR201] = FITR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->
    
        <assert id="VR.ATO.FITR.434259" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.09:Income.ForeignExchangeGains.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR186] <> NULL AND [FITR186] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR186] = FITR:RP:bafpr1.02.09:Income.ForeignExchangeGains.Amount

        -->
        <assert id="VR.ATO.FITR.434252" diagnostics="DVR.ATO.FITR.434252"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.09:Income.ForeignExchangeLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR187] <> NULL AND [FITR187] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR187] = FITR:RP:bafpr1.02.09:Income.ForeignExchangeLosses.Amount
        -->
        <assert id="VR.ATO.FITR.434253" diagnostics="DVR.ATO.FITR.434253"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR183] <> NULL AND [FITR183] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
        -->
        <assert id="VR.ATO.FITR.434254" diagnostics="DVR.ATO.FITR.434254"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR188] <> NULL AND [FITR188] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR188] = FITR:RP:bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount
        -->
        <assert id="VR.ATO.FITR.434248" diagnostics="DVR.ATO.FITR.434248"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>

    <rule context="rvctc1.02.01:IncomeTax.Payable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR199] <> NULL AND [FITR199] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
        -->
        <assert id="VR.ATO.FITR.434258" diagnostics="DVR.ATO.FITR.434258"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>

    </rule>


    <rule
            context="rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [FITR31] <> NULL AND [FITR31] <> SET (0-999)
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR31] = FITR:RP:rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count            
        -->

        <assert id="VR.ATO.FITR.434275" diagnostics="DVR.ATO.FITR.434275" test="not(@contextRef = $RP.ContextId and not(regexp:test(., '^([0-9]|[1-9][0-9]|[0-9][0-9][0-9])$')))"/>
    </rule>    

    <rule context="rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [FITR185] <> NULL AND [FITR185] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR185] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->

        <assert id="VR.ATO.FITR.434260" diagnostics="DVR.ATO.FITR.434260"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>

    </rule>

    <rule context="gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        
        <!--
            IF [FITR200] <> NULL AND [FITR200] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR200] = FITR:RP:gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434246" diagnostics="DVR.ATO.FITR.434246"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>

    <rule context="bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR190] <> NULL AND [FITR190] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR190] = FITR:RP:bafpr2.02.10:Expense.Operating.ManagementExpense.Amount
        -->
        <assert id="VR.ATO.FITR.434247" diagnostics="DVR.ATO.FITR.434247"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FITR205] <> NULL AND [FITR205] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR205] = FITR:RP:rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount
        -->
        <assert id="VR.ATO.FITR.434289" diagnostics="DVR.ATO.FITR.434289"
                test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$')"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.DeductibleOther.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
           IF [FITR63] <> NULL AND [FITR63] <> SET("A", "B", "C", "E","I", "N", "O", "R", "S", "T")
            RETURN VALIDATION MESSAGE
         ENDIF 
        [FITR63] = FITR:RP:bafpr1.02.04:Expense.DeductibleOther.Code  
        -->
        <assert id="VR.ATO.FITR.434290" diagnostics="DVR.ATO.FITR.434290"
                 test=" not( @contextRef = $RP.ContextId 
                          and not(regexp:test(exslt:uppercase(.),'^(A|B|C|E|I|N|O|R|S|T)$'))
                        )" />

    </rule>

    <rule context="bafpr1.02.05:Income.Other.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [FITR48] <> NULL AND [FITR48] <> SET("B", "C", "O", "R", "T", "W" )
            RETURN VALIDATION MESSAGE
        ENDIF
        [FITR48] = FITR:RP:bafpr1.02.05:Income.Other.Code
        -->
        <assert id="VR.ATO.FITR.434291" diagnostics="DVR.ATO.FITR.434291"
                 test=" not( @contextRef = $RP.ContextId 
                          and not(regexp:test(exslt:uppercase(.),'^(B|C|O|R|T|W)$'))
                        )" />

    </rule>
    
</pattern>
