﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Organisation" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Organisation Common Validations</title>

    <rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (organisationname1.xx.xx:OrganisationNameDetails/pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                = FOUND("The trustee","The Exec","exec","The TTE"))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206"
                test="not(
                          regexp:test(.,'^(?i)(The trustee |The Exec |exec |The TTE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( The trustee | The Exec | exec | The TTE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( The trustee| The Exec| exec| The TTE)$') or
                          regexp:test(.,'^(?i)(The trustee|The Exec|exec|The TTE)$')
                      )"/>

        <!-- 
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428260" diagnostics="DVR.ATO.GEN.428260"
                test="not(regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$'))"/>

        <!-- 
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.428258"
                test="not(regexp:test(.,'^(.*)\ - (.*)$'))"/>

        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259"
                test="not(regexp:test(.,'^(.*)(?i)P\/L(.*)$'))"/>

        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND 
               (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038.FITR"
                test="not(
                        regexp:test(.,'^(?i)(T\/A )(.*)$') and regexp:test(.,'^(.*)(?i)( Pship| P\x27ship| P\/ship)$')
                      )"/>
    </rule>

    <rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = NULLORBLANK) 
               RETURN VALIDATION MESSAGE
            ENDIF       
        -->
        <assert id="VR.ATO.GEN.410147" diagnostics="DVR.ATO.GEN.410147"
                test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--Rule VR.ATO.GEN.436003
            WHERE IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410215" diagnostics="DVR.ATO.GEN.410215"
                test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
        <!--      
          IF (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
            (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039"
                test=" (
                    pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     and  (regexp:test(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text,'^(.*)[a-zA-Z0-9](.*)$'))
              )"/>

        <!-- 
            IF pyde.xx.xx:OrganisationNameDetails.Currency.Code <> NULLORBLANK
            AND pyde.xx.xx:OrganisationNameDetails.Currency.Code <> SET ("C", "P")
             RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430850" diagnostics="DVR.ATO.GEN.430850"
                test="not(
                        pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='false' or @i:nil='0') and string-length(normalize-space(.)) != 0
                         and not(regexp:test(.,'(?i)(C|P)'))] 
                       )" />

        <!--        
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428261" diagnostics="DVR.ATO.GEN.428261"
                test="not(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and regexp:test(.,'^(.*)(?i)( T\/A| T\/A P\x27ship| T\/A Pship| T\/A P\/Ship| T\/A Partnership)$')]
                  )"/>

        <!--
            IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.Currency.Code = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410140" diagnostics="DVR.ATO.GEN.410140"
                test="pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    </rule>
</pattern>
