﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF INT <> NULLORBLANK AND INT:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408168" diagnostics="DVR.ATO.FTER.408168"
                test="not(  
                            count($INT.ContextId) &gt; 0
                            and
                            not(declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )"/>

        <!--
            IF COUNT (TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)) > 120
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408151" diagnostics="DVR.ATO.FTER.408151"
                test=" not(
                            count(fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]) &gt; 120
                         )"/>

        <!--
            IF [FTER95] = "V" AND (([FTER40] = NULL AND [FTER43] = NULL) OR COUNT (TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)) = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
            [FTER43] = FTER:RP:Elections.Commencement.Date
        -->
        <assert id="VR.ATO.FTER.408030" diagnostics="DVR.ATO.FTER.408030"
                test="not(
                          rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^V$')]
                          and
                          (
                            ( not(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                              and 
                             not(rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                            or count(fter.0001.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')])=0
                          )
                       )"/>
        <!--
            IF [FTER95] = "V" AND ( [FTER16] <> NULL OR [FTER17] <> NULL OR COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails
            WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "ControlOutsideAustraliaPartPeriod")) > 0 OR COUNT (TUPLE(fter.0001.lodge.req.xx.xx:Trustee)) > 0   )
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER16] = FTER:RP:Residency.CentralManagementAndControlOutsideAustralia.Indicator
            [FTER17] = FTER:RP:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator
        -->
        <assert id="VR.ATO.FTER.408031" diagnostics="DVR.ATO.FTER.408031"
                test="not(
                rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^V$')]
                and
                    (
                    pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 0
                    or
                    count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])&gt;0
                    )
                )"/>


        <!--
            IF [FTER95] = "R" AND [FTER57] = NULL AND [FTER96] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER57] = FTER:RP:Elections.Revocation.Date
            [FTER96] = FTER:RP:Elections.FamilyTrustRevocationStatusEffective.Year
        -->
        <assert id="VR.ATO.FTER.408032" diagnostics="DVR.ATO.FTER.408032"
                test="not(
                rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^R$')]
                and
                not(rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                and
                not(rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                )"/>

        <!--
            IF [FTER16] = TRUE AND [FTER17] <> TRUE AND COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "ControlOutsideAustraliaPartPeriod")) = 0
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER16] = FTER:RP:Residency.CentralManagementAndControlOutsideAustralia.Indicator
            [FTER17] = FTER:RP:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator
        
        -->
        <assert id="VR.ATO.FTER.408051" diagnostics="DVR.ATO.FTER.408051"                
                test="not(
                pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                and 
                not(pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                and
                count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                     and child::pyin.02.05:Period.Type.Code[exslt:uppercase(.) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']]) =  0
                 )"/>


        <!--
            IF [FTER16] = FALSE AND ([FTER17] <> NULL OR COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "ControlOutsideAustraliaPartPeriod"))) > 0
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER16] = FTER:RP:Residency.CentralManagementAndControlOutsideAustralia.Indicator
            [FTER17] = FTER:RP:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator
        -->

        <assert id="VR.ATO.FTER.408052" diagnostics="DVR.ATO.FTER.408052"
                test="not(
                pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                and
                (
                pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                or
                count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                        and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) > 0
                )
             
                )"/>

        <!--
            IF [FTER95] = "E" AND ([FTER16] = NULL OR [FTER40] = NULL OR COUNT (TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)) <> 1 OR COUNT (TUPLE(fter.0001.lodge.req.xx.xx:Trustee)) = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER16] = FTER:RP:Residency.CentralManagementAndControlOutsideAustralia.Indicator
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
        -->

        
       
        <assert id="VR.ATO.FTER.408053" diagnostics="DVR.ATO.FTER.408053"
                test="not(
                rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(E|e)$')] 
                and
                (
                not(pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                or
                not(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                or
                count(fter.0001.lodge.req.02.00:SpecifiedIndividual) != 1
                or 
                count(fter.0001.lodge.req.02.00:Trustee) = 0 
                )
             
                )"               
                
                />
 
       
        
        

        <!--
            IF ([FTER16] <> NULL OR [FTER17] <> NULL OR 
                COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails) WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "ControlOutsideAustraliaPartPeriod") > 0 OR 
                COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails) WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") > 0 OR 
                COUNT (TUPLE(fter.0001.lodge.req.xx.xx:Trustee)) > 0 OR 
                [FTER43] <> NULL OR 
                COUNT (TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)) > 0) 
                AND 
                ([FTER57] <> NULL OR [FTER96] <> NULL OR [FTER58] <> NULL OR [FTER60] <> NULLORBLANK OR [FTER61] <> NULL OR 
                COUNT (TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)) > 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER16] = FTER:RP:Residency.CentralManagementAndControlOutsideAustralia.Indicator
            [FTER17] = FTER:RP:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator
            [FTER43] = FTER:RP:Elections.Commencement.Date
            
            [FTER57] = FTER:RP:Elections.Revocation.Date
            [FTER96] = FTER:RP:Elections.FamilyTrustRevocationStatusEffective.Year
            [FTER58] = FTER:RP:Elections.NotificationOfElectionBeingRevoked.Year
            [FTER60] = FTER:RP:Identifiers.TaxFileNumber.Identifier
            [FTER61] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator
        -->

        <assert id="VR.ATO.FTER.408054" diagnostics="DVR.ATO.FTER.408054"
                test="not(
                    (
                    pyde.02.00:Residency.CentralManagementAndControlOutsideAustralia.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 0                     
                    or 
                    count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(pyin.02.05:Period.Type.Code) ='SUBSTITUTEDACCOUNTINGPERIOD']) &gt; 0                     
                    or
                    count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])&gt; 0                    
                    or
                    rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    count(fter.0001.lodge.req.02.00:SpecifiedIndividual) &gt; 0
                    )
                    and
                    (
                    rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                    or
                    pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or 
                    count(fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )
                )"/>


        <!--
            IF [FTER17] = TRUE AND COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "ControlOutsideAustraliaPartPeriod")) > 0
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER17] = FTER:RP:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator
            pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator
        -->

        <assert id="VR.ATO.FTER.408055" diagnostics="DVR.ATO.FTER.408055"
                test="not(
                     pyde.02.00:Residency.CentralManagementAndControlOutsideAustraliaFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')  and regexp:test(.,'^(true|1)$')]
                     and
                    count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(pyin.02.05:Period.Type.Code) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']) &gt; 0                                  
                )"/>
        <!--
            IF [FTER95] = SET(""E"", ""V"") AND [FTER40] <> NULL  
            AND [FTER41] = NULL AND [FTER18] <> NULL 
            AND (ANY OCCURRENCE OF [FTER18] < (([FTER40] - 1)&""-07-01""))
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
            [FTER41] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""SubstitutedAccountingPeriod"") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
            [FTER18] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""ControlOutsideAustraliaPartPeriod"") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
            VR.ATO.FTER.408063	CMN.ATO.FTER.408063
        -->
        <let name="FTER40_year_start" value="concat(number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1,'-07-01')"/>
        <assert id="VR.ATO.FTER.408063" diagnostics="DVR.ATO.FTER.408063"
                test="not(
                        rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                            [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and regexp:test(.,'^(?i)(E|V)(.*)$')]
                        and rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]
                        and not(period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])
                        and period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                    [function:IsDate1GreaterThanDate2($FTER40_year_start, .)
                                     and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                     and exslt:uppercase(../pyin.02.05:Period.Type.Code
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']
                      )"/>
        <!--
            IF [FTER61] = TRUE AND [FTER60] <> NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER61] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator
            [FTER60] = FTER:RP:Identifiers.TaxFileNumber.Identifier
        -->
        <assert id="VR.ATO.FTER.408101" diagnostics="DVR.ATO.FTER.408101"
                test="not(
                pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                and
                pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                )"/>

        <!--
            IF [FTER95] = "R" AND [FTER58] = NULL AND [FTER40] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER58] = FTER:RP:Elections.NotificationOfElectionBeingRevoked.Year
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
        -->
        <assert id="VR.ATO.FTER.408102" diagnostics="DVR.ATO.FTER.408102"
                test="not(
                rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^R$')]
                and
                not(rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                and
                not(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                )"/>

        <!--
            IF [FTER58] <> NULL AND [FTER58] < 1998
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER58] = FTER:RP:Elections.NotificationOfElectionBeingRevoked.Year
        -->
        <assert id="VR.ATO.FTER.408113" diagnostics="DVR.ATO.FTER.408113"
                test="not(
                        number (rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]) &lt; 1998

                )"/>
        <!--
            IF FTER95 = ""R"" AND [FTER40] <> NULL AND [FTER40] <  1995)
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
        -->
        <assert id="VR.ATO.FTER.408115" diagnostics="DVR.ATO.FTER.408115"
                test="not( 
                        exslt:uppercase(rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])='R'
                        and 
                        number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])&lt; 1995
                        
                      )"/>

        <!--
            IF [FTER95] = ""R"" AND [FTER58] <> NULL AND [FTER40] > [FTER58]
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER58] = FTER:RP:Elections.NotificationOfElectionBeingRevoked.Year
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
        -->
        <assert id="VR.ATO.FTER.408116" diagnostics="DVR.ATO.FTER.408116"
                test="not( 
                        exslt:uppercase(rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])='R'
                        and rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]        
                        &gt; 
                        rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]
                      )"/>

        <!--
            IF COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""SubstitutedAccountingPeriod"")) > 1
               RETURN VALIDATION  MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408091" diagnostics="DVR.ATO.FTER.408091"
                 test=" not(
                            count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(pyin.02.05:Period.Type.Code) ='SUBSTITUTEDACCOUNTINGPERIOD']) &gt; 1
                            )"/>

        <!--
            IF [FTER95] = SET("E", "V") AND ([FTER57] <> NULL OR [FTER96] <> NULL OR [FTER58] <> NULL OR [FTER60] <> NULLORBLANK OR [FTER61] <> NULL OR (COUNT TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity) > 0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER57] = FTER:RP:Elections.Revocation.Date
            [FTER96] = FTER:RP:Elections.FamilyTrustRevocationStatusEffective.Year
            [FTER58] = FTER:RP:Elections.NotificationOfElectionBeingRevoked.Year
            [FTER60] = FTER:RP:Identifiers.TaxFileNumber.Identifier
            [FTER61] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator
        -->
        <assert id="VR.ATO.FTER.408027" diagnostics="DVR.ATO.FTER.408027"
                test="not(
                rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(E|V)$')]
                and
                (
                    rvctc3.02.00:Elections.Revocation.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or 
                    rvctc3.02.03:Elections.FamilyTrustRevocationStatusEffective.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or 
                    rvctc3.02.00:Elections.NotificationOfElectionBeingRevoked.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or 
                    pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                    or
                    pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or 
                    (count(fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]) &gt; 0))                
                )"/>

        <!--
            IF (RP:pyin.xx.xx.Lodgment.PeriodYear.Year <> NULL) 
              AND (RP:pyin.xx.xx:Lodgment.PeriodYear.Year < 2011)
               RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert  id="VR.ATO.FTER.408161" diagnostics="DVR.ATO.FTER.408161"
                 test="not(
                          number(pyin.02.00:Lodgment.PeriodYear.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt;2011
                          )
                    "/>
        <!--
            IF COUNT (TUPLE(fter.0001.lodge.req.xx.xx:Trustee)) > 10
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.FTER.408064" diagnostics="DVR.ATO.FTER.408064"
                 test="not(
                        count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])&gt;10
                       )"/>

        <!-- 
            WHERE PARENT RETURN DOES NOT EXIST
            IF [FTER95] = "E" AND [FTER40] <> NULL AND [FTER40] <> SET(2005-2011)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
        -->
        <!--<assert id="VR.ATO.FTER.408087" diagnostics="DVR.ATO.FTER.408087"
                test="not(
                            rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and 
                              exslt:uppercase(.) = 'E']
                        and rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and 
                              not(regexp:test(.,'^(2005|2006|2007|2008|2009|2010|2011)$'))]
                      )" />-->

        <!-- 
            IF COUNT(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee) > 10
              RETURN VALIDATION MESSAGE
            ENDIF        
            Context Instance: RP
        -->
        <assert id="VR.ATO.FTER.408154" diagnostics="DVR.ATO.FTER.408154"
                test="not(
                        count(fter.0001.lodge.req.02.00:DeclarationOfTrustee
                              [
                                not(@i:nil='true' or @i:nil='1') and 
                                declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]
                                  /pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                              ])
                        &gt; 10
                      )"/>

        <!-- 
            IF COUNT(INT) = 0 AND [FTER95] = "E" AND COUNT(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee) <> COUNT(fter.0001.lodge.req.xx.xx:Trustee)
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code

         -->
        <assert id="VR.ATO.FTER.408155" diagnostics="DVR.ATO.FTER.408155"
                test="not(
                        count($INT.Context) = 0
                        and
                        rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId and exslt:uppercase(.) = 'E']
                        and 
                        count(fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')])
                        !=
                        count(fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [FTER95] = "R" AND [FTER60] = NULLORBLANK AND [FTER61] <> TRUE
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER95] = FTER:RP:Elections.FamilyTrustElectionRevocation.Code
            [FTER60] = FTER:RP:Identifiers.TaxFileNumber.Identifier
            [FTER61] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator
        -->
        <assert id="VR.ATO.FTER.408114" diagnostics="DVR.ATO.FTER.408114"
                test="not(
                rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^R$')]
                and
                not (pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]) 
                and
                not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                )"/>

        <!--
            IF COUNT (TUPLE(xbrli\perioddetails1.xx.xx.PeriodDetails WHERE TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "ControlOutsideAustraliaPartPeriod")) > 12
                RETURN VALIDATION  MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408056" diagnostics="DVR.ATO.FTER.408056"
                test="not(
                         count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')
                            and ./pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) ='CONTROLOUTSIDEAUSTRALIAPARTPERIOD']
                            ]) &gt;12
                     )"/>

        <!--
            IF [FTER43] <> NULL AND (ANY OCCURRENCE OF [FTER38] <> NULL AND [FTER38] < [FTER43])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER43] = FTER:RP:Elections.Commencement.Date
            [FTER38] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "NonResidentPartPeriod") 
                       IN TUPLE(perioddetails1.xx.xx:PeriodDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert id="VR.ATO.FTER.408085" diagnostics="DVR.ATO.FTER.408085"
                test="not(
                        rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            fter.0001.lodge.req.02.00:Trustee
                                /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                        and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD']
                            and
                            function:IsDate1GreaterThanDate2(rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],
                                                             fter.0001.lodge.req.02.00:Trustee
                                                                /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                                                        and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                                                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD'])
                        )
                      )"/>

        <!--
            IF [FTER40] <> NULL AND [FTER41] = NULL AND [FTER43] = NULL AND (ANY OCCURRENCE OF [FTER38] <> NULL 
               AND [FTER38]) < ([(FTER40] - 1)&"-07-01")
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
            [FTER41] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
            [FTER43] = FTER:RP:Elections.Commencement.Date
            [FTER38] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "NonResidentPartPeriod") IN TUPLE(perioddetails1.xx.xx:PeriodDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)            
        -->
        <let name="FTER40Minus1" value="concat(number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1,'-07-01')"/>
        <assert id="VR.ATO.FTER.408086" diagnostics="DVR.ATO.FTER.408086"
                test="not(
                        rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        not(period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])
                        and
                        not(rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        fter.0001.lodge.req.02.00:Trustee
                                /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                        and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD']
                        and
                        function:IsDate1GreaterThanDate2($FTER40Minus1, 
                                                         fter.0001.lodge.req.02.00:Trustee
                                                            /period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                                                    and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                                                        @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD'])
                                                                        
                      )"/>
        
        <!--
            IF [FTER40] <> NULL AND [FTER43] <> NULL AND [FTER41] = NULL AND [FTER43] < (([FTER40] - 1)&"-07-01")
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
            [FTER43] = FTER:RP:Elections.Commencement.Date
            [FTER41] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") 
                       IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
        -->
        <let name="FTER40MinusOne" value="concat(number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1,'-07-01')"/>
        <assert id="VR.ATO.FTER.408088" diagnostics="DVR.ATO.FTER.408088"
                test="not(                        
                        rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        not(period1.02.01:PeriodDetails
                            /pyin.02.00:Period.Start.Date
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                    @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])
                        and
                        function:IsDate1GreaterThanDate2($FTER40MinusOne, 
                                                         rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [FTER46] <> NULL AND [FTER43] <> NULL AND [FTER46] > [FTER43]
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER46] = FTER:RP:PersonDemographicDetails.Birth.Date IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            [FTER43] = FTER:RP:Elections.Commencement.Date
        -->        
        <assert id="VR.ATO.FTER.408097" diagnostics="DVR.ATO.FTER.408097"
                test="not(                        
                        fter.0001.lodge.req.02.00:SpecifiedIndividual
                            /pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        function:IsDate1GreaterThanDate2(fter.0001.lodge.req.02.00:SpecifiedIndividual
                                                            /pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')], 
                                                         rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
    </rule>

    <!--
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">


            WHERE PARENT RETURN DOES NOT EXISTS
            IF (COUNT(INT) = 0 OR INT:entity.identifier.ABN <> NULLORBLANK) AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
               RETURN VALIDATION MESSAGE
            ENDIF

        <assert id="VR.ATO.FTER.408165" diagnostics="DVR.ATO.FTER.408165"
                test="not(
                            (
                                count($INT.Context) = 0
                                or
                                (
                                    ../../@id = $INT.ContextId
                                    and
                                    exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'
                                    and
                                    string-length(normalize-space(.)) != 0 
                                )
                            )
                            and
                            ../../../pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]
                        )
                    "/>

    </rule>
    -->

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            IF [FTER36] = TRUE AND ( ([FTER37] = NULL OR [FTER37] = FALSE) AND COUNT (TUPLE(perioddetails1.xx.xx:PeriodDetails)) = 0)
              RETURN VALIDATION MESSAGE
            ENDIF
            [FTER36] = FTER:RP:Residency.TaxPurposesPersonStatus.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            [FTER37] = FTER:RP:Residency.NonResidentFullPeriod.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert  id="VR.ATO.FTER.408078" diagnostics="DVR.ATO.FTER.408078"
                 test="not(
                            regexp:test(pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(true|1)$')
                            and
                            (
                               not (pyde.02.00:Residency.NonResidentFullPeriod.Indicator
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               or
                               regexp:test(pyde.02.00:Residency.NonResidentFullPeriod.Indicator
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(false|0)$')
                            )
                            and
                            count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')])=0
                       )"/>
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:Trustee)
            IF COUNT (TUPLE(perioddetails1.xx.xx.PeriodDetails)) > 4
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408080" diagnostics="DVR.ATO.FTER.408080"
                test="not(
                        count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 4
                      )"/>
        <!--
            IF [FTER41] <> NULL AND (ANY OCCURRENCE OF [FTER38] <> NULL AND [FTER38] < [FTER41])
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER41] = FTER:RP:Period.Start.Date 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""SubstitutedAccountingPeriod"") 
            IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
            [FTER38] = FTER:RP:Period.Start.Date 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""NonResidentPartPeriod"") 
            IN TUPLE(perioddetails1.xx.xx:PeriodDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert id="VR.ATO.FTER.408084" diagnostics="DVR.ATO.FTER.408084"
                test="not(
                         ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']
                             and
                            period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD']
                            and
                            function:IsDate1GreaterThanDate2(
                                    ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                         and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                         @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'],
                                    period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                        and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                        @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='NONRESIDENTPARTPERIOD'])
                      )"/>
        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            IF ([FTER21] = NULL OR [FTER21] = FALSE) AND [FTER20] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            [FTER21] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            [FTER20] = FTER:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert  id="VR.ATO.FTER.408066" diagnostics="DVR.ATO.FTER.408066"
                test="not(
                        (not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                          or pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and regexp:test(.,'^(false|0)$')]
                        ) and not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                       )"/>
        <!--
          WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:Trustee)
          IF COUNT (TUPLE(personstructuredname3.xx.xx:PersonNameDetails)) > 0 AND COUNT (TUPLE(organisationname2.xx.xx:OrganisationNameDetails)) > 0
             RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert  id="VR.ATO.FTER.408071" diagnostics="DVR.ATO.FTER.408071"
                 test="not(
                         count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')])&gt;0
                         and count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])&gt;0
                       )"/>

        <!--
          WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
          IF [FTER21] = TRUE AND [FTER20] <> NULLORBLANK
              RETURN VALIDATION MESSAGE
          ENDIF
          
          [FTER21] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
          [FTER20] = FTER:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert  id="VR.ATO.FTER.408065" diagnostics="DVR.ATO.FTER.408065"
                 test="not(
                         pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                         and
                         pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]  
                       )"/>

        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:Trustee)
            IF (COUNT (TUPLE(personstructuredname3.xx.xx:PersonNameDetails)) = 0 AND 
                COUNT (TUPLE(organisationname2.xx.xx:OrganisationNameDetails)) = 0) OR 
                COUNT (TUPLE(address2.xx.xx:AddressDetails)) = 0
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.FTER.408003" diagnostics="DVR.ATO.FTER.408003"
                 test="not(
                         (count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')])=0
                         and count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])=0)
                         or
                         count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')])=0
                       )"/>

        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:Trustee)
            IF COUNT (TUPLE(address2.xx.xx.AddressDetails)) <> 1
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.FTER.408004" diagnostics="DVR.ATO.FTER.408004"
                 test="not(
                         count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')])!=1
                       )"/>

        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:Trustee)
            IF [FTER36] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER36] = FTER:RP:Residency.TaxPurposesPersonStatus.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert  id="VR.ATO.FTER.408005" diagnostics="DVR.ATO.FTER.408005"
                 test="not(
                         not(pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                       )"/>

        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee\address2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Usage.Code <> "POS") OR (pyde.xx.xx:AddressDetails.Currency.Code <> "C")
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.FTER.408075" diagnostics="DVR.ATO.FTER.408075"
                 test="not(
                         address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/
                         pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') 
                                                              and not(regexp:test(.,'^(?i)(POS)(.*)$'))]
                         or
                          ../pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') 
                                                                     and not(regexp:test(.,'^(?i)(C)(.*)$'))]
                       )"/>

        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            IF [FTER37] = TRUE AND COUNT (TUPLE(perioddetails1.xx.xx:PeriodDetails)) > 0
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER37] = FTER:RP:Residency.NonResidentFullPeriod.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert  id="VR.ATO.FTER.408079" diagnostics="DVR.ATO.FTER.408079"
                 test="not
                      (
                         pyde.02.00:Residency.NonResidentFullPeriod.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                         and
                         count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                      )"/>

        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            IF [FTER36] = FALSE AND ([FTER37] <> NULL OR COUNT (TUPLE(perioddetails1.xx.xx:PeriodDetails)) > 0)
              RETURN VALIDATION MESSAGE
            ENDIF
            [FTER36] = FTER:RP:Residency.TaxPurposesPersonStatus.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            [FTER37] = FTER:RP:Residency.NonResidentFullPeriod.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert id="VR.ATO.FTER.408077" diagnostics="DVR.ATO.FTER.408077"
                test="not(
                            pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                            and
                            (
                                pyde.02.00:Residency.NonResidentFullPeriod.Indicator[not(@i:nil='true' or @i:nil='1')]
                                or
                                count(period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 0                        
                            )
                      )"/>
        <!--
            IF [FTER86] <> NULLORBLANK AND [FTER29] <> NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
            [FTER86] = FTER:RP:Identifiers.AustralianCompanyNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
            [FTER29] = FTER:RP:Identifiers.AustralianRegisteredBodyNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee)
        -->
        <assert id="VR.ATO.FTER.408121" diagnostics="DVR.ATO.FTER.408121"
                test="not(
                            pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0 ]
                            and pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0 ]
                         )"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
        WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:Trustee) IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
        IF pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK AND pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK
            RETURN VALIDATION MESSAGE 
        ENDIF
      -->
        <assert  id="VR.ATO.FTER.408072" diagnostics="DVR.ATO.FTER.408072"
                 test="not(
                         pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]
                        and not(pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                       )"/>
        <!--
        WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:Trustee/personstructuredname3.xx.xx:PersonNameDetails)
        IF (PersonNameDetails.PersonNameType.Code <> "LGL") OR (OrganisationNameDetails.Usage.Code <> "Contact") OR (OrganisationNameDetails.Currency.Code <> "C")
           RETURN VALIDATION MESSAGE
        ENDIF
      -->
        <assert  id="VR.ATO.FTER.408157" diagnostics="DVR.ATO.FTER.408157"
                 test="not(
                        not( pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')and exslt:uppercase(.)='LGL'])
                        or not(pyde.02.05:PersonNameDetails.Usage.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='CONTACT'])
                        or not(pyde.02.00:PersonNameDetails.Currency.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C'])
                       )"/>


    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:Trustee\organisationname2.xx.xx:OrganisationNameDetails)
            IF (OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (OrganisationNameDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
           ENDIF
        -->
        <assert  id="VR.ATO.FTER.408007" diagnostics="DVR.ATO.FTER.408007"
                 test="not(
                        not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN'])
                        or not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C'])
                       )"/>
    </rule>

    <rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) IN TUPLE(declaration2.xx.xx:Declaration)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "DeclarationSignatory"
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279"
                test="not((@contextRef = $INT.ContextId or @contextRef = $RP.ContextId) and exslt:uppercase(.)!='DECLARATIONSIGNATORY')"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FTER18] <> NULL AND [FTER41] <> NULL AND (ANY OCCURRENCE OF [FTER18]) < [FTER41]
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER18] = FTER:RP:Period.Start.Date 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""ControlOutsideAustraliaPartPeriod"") 
            IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
            [FTER41] = FTER:RP:Period.Start.Date 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""SubstitutedAccountingPeriod"") 
            IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
        -->
        <assert id="VR.ATO.FTER.408061" diagnostics="DVR.ATO.FTER.408061"
                test="not(
                        @contextRef=$RP.ContextId 
                        and 
                        exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='CONTROLOUTSIDEAUSTRALIAPARTPERIOD'
                        and ../../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                                         and exslt:uppercase(../pyin.02.05:Period.Type.Code[
                                                         @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']
                        and
                        function:IsDate1GreaterThanDate2(../../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date
                                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                                         and exslt:uppercase(../pyin.02.05:Period.Type.Code
                                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'],.)
                      )"/>
    </rule>
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/period1.02.01:PeriodDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [FTER18] <> NULL AND [FTER43] <> NULL AND (ANY OCCURRENCE OF [FTER18]) < [FTER43]
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER18] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = ""ControlOutsideAustraliaPartPeriod"") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
            [FTER43] = FTER:RP:Elections.Commencement.Date
        -->
        <assert id="VR.ATO.FTER.408062" diagnostics="DVR.ATO.FTER.408062"
                test="not(
                            pyin.02.00:Period.Start.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            ../rvctc3.02.00:Elections.Commencement.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            exslt:uppercase(pyin.02.05:Period.Type.Code[not(@i:nil='true' or @i:nil='1')])='CONTROLOUTSIDEAUSTRALIAPARTPERIOD'
                            and
                            function:IsDate1GreaterThanDate2(../rvctc3.02.00:Elections.Commencement.Date[not(@i:nil='true' or @i:nil='1')], pyin.02.00:Period.Start.Date[not(@i:nil='true' or @i:nil='1')])

                      )"/>
        <!--
          IF [FTER43] <> NULL AND [FTER41] <> NULL AND [FTER43] < [FTER41]
             RETURN VALIDATION MESSAGE
          ENDIF
          [FTER43] = FTER:RP:Elections.Commencement.Date
          [FTER41] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
        -->
        <assert id="VR.ATO.FTER.408096" diagnostics="DVR.ATO.FTER.408096"
                  test=" not(
                          (
                           pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           and pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]='SubstitutedAccountingPeriod'
                           and ../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          )
                           and function:IsDate1GreaterThanDate2(pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
    </rule>
    <rule context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410031" diagnostics="DVR.ATO.GEN.410031.0"
                test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTFN(.))
                      )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]">


        <!--
            ([FTER43] <> NULL AND [FTER46] > [FTER43]) OR ([FTER43] = NULL AND [FTER41] <> NULL AND [FTER46] > [FTER41])
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER43] = FTER:RP:Elections.Commencement.Date
            [FTER46] = FTER:RP:PersonDemographicDetails.Birth.Date IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            [FTER41] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
        -->
        
        <assert id="VR.ATO.FTER.408098" diagnostics="DVR.ATO.FTER.408098"
                test="not(
                    (
                    ../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                    )
                    or
                    (
                    not(../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                    and ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                        and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']
                   and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                       and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']) 
                    
                    )
                    
                    
                )"/>        
        
        

        <!--    
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
                IF PersonDemographicDetails.Birth.Date = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408099" diagnostics="DVR.ATO.FTER.408099"
                test="pyde.02.00:PersonDemographicDetails.Birth.Date[not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            IF COUNT (TUPLE personstructuredname3.xx.xx.PersonNameDetails WHERE TUPLE ELEMENT EXPLICIT PersonNameDetails.PersonNameType.Code = ""LGL"" AND WHERE TUPLE ELEMENT EXPLICIT PersonNameDetails.Usage.Code = ""Contact"" AND WHERE TUPLE ELEMENT EXPLICIT PersonNameDetails.Currency.Code = ""C"") <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.FTER.408089" diagnostics="DVR.ATO.FTER.408089"
                 test="not(
                            count(
                                    prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')='LGL'
                                    and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'CONTACT'
                                    and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C']                                   
                                  ) != 1
                          )"/>
        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            IF [FTER44] = NULLORBLANK AND [FTER45] <> TRUE
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER44] = FTER:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            [FTER45] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
        -->
        <assert  id="VR.ATO.FTER.408107" diagnostics="DVR.ATO.FTER.408107"
                 test="not(
                        not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                   )"/>
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            IF [FTER45] = TRUE AND [FTER44] <> NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER45] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            [FTER44] = FTER:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
        -->
        <assert  id="VR.ATO.FTER.408100" diagnostics="DVR.ATO.FTER.408100"
                 test="not(
                        pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                     )"/>
        <!--
            IF [FTER46] <> NULL AND [FTER41] <> NULL AND [FTER46] > [FTER41]
                RETURN VALIDATION MESSAGE
            ENDIF
            [FTER46] = FTER:RP:PersonDemographicDetails.Birth.Date IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            [FTER41] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
        -->
        <assert id="VR.ATO.FTER.408095" diagnostics="DVR.ATO.FTER.408095"
                test=" not(
                           (
                            pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          and ../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                               and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']
                           )
                           and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                               and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD']) 
                        )"/>
        <!--
            IF [FTER40] <> NULL AND [FTER46] <> NULL AND [FTER41] = NULL AND [FTER43] = NULL AND [FTER46] > (([FTER40] - 1)&"-07-01")
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER40] = FTER:RP:Elections.FamilyTrustElectionStatus.Year
            rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year
            [FTER46] = FTER:RP:PersonDemographicDetails.Birth.Date IN TUPLE(fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            [FTER41] = FTER:RP:Period.Start.Date WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Period.Type.Code = "SubstitutedAccountingPeriod") IN TUPLE(perioddetails1.xx.xx:PeriodDetails)
            [FTER43] = FTER:RP:Elections.Commencement.Date
            rvctc3.02.00:Elections.Commencement.Date
        -->

        <let name="ElectionStatusYear"
             value="number(../rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1"/>
        <assert id="VR.ATO.FTER.408090" diagnostics="DVR.ATO.FTER.408090"
                test=" not(
                           ( 
                               ../rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and  pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and   not(../period1.02.01:PeriodDetails/pyin.02.00:Period.Start.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                     and exslt:uppercase(../pyin.02.05:Period.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])='SUBSTITUTEDACCOUNTINGPERIOD'])
                              and not(../rvctc3.02.00:Elections.Commencement.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])    
                           )
                           and function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],concat($ElectionStatusYear,'-07-01') )
                        )"/>
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:SpecifiedIndividual)
            IF COUNT (TUPLE(address2.xx.xx.AddressDetails)) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.FTER.408150" diagnostics="DVR.ATO.FTER.408150"
                test="not(
                        count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]) != 1
                      )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:SpecifiedIndividual[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--    
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:SpecifiedIndividual\address2.xx.xx.AddressDetails)
            IF (AddressDetails.Usage.Code <> "RES") OR (AddressDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408108" diagnostics="DVR.ATO.FTER.408108"
                test="not(
                        exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'RES'
                        or
                        exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                     )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [FTER87] <> NULLORBLANK AND [FTER67] <> NULLORBLANK
                    RETURN VALIDATION MESSAGE
            ENDIF
            [FTER87] = FTER:RP:Identifiers.AustralianCompanyNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
            [FTER67] = FTER:RP:Identifiers.AustralianRegisteredBodyNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
        -->
        <assert id="VR.ATO.FTER.408122" diagnostics="DVR.ATO.FTER.408122"
                test=" not(
                            pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                            and pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) !=0]
                         )"/>

        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:InterposedEntity)
            IF [FTER63] = TRUE AND [FTER64] <> NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER63] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
            [FTER64] = FTER:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
        -->
        <assert id="VR.ATO.FTER.408118" diagnostics="DVR.ATO.FTER.408118"
                test="not(
                        pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                    )"/>

        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
            IF [FTER64] = NULLORBLANK AND [FTER63] <> TRUE
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FTER64] = FTER:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
            [FTER63] = FTER:RP:Identifiers.TaxFileNumberInexistent.Indicator IN TUPLE(fter.0001.lodge.req.xx.xx:InterposedEntity)
        -->
        <assert id="VR.ATO.FTER.408119" diagnostics="DVR.ATO.FTER.408119"
                test="not(
                        not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                        and
                        not(pyid.02.00:Identifiers.TaxFileNumberInexistent.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                    )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:InterposedEntity\organisationname2.xx.xx:OrganisationNameDetails) 
            IF (OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (OrganisationNameDetails.Currency.Code <> "C")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408120" diagnostics="DVR.ATO.FTER.408120"
                test="not(
                        not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) ='MN'])
                        or
                        not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(C)$')])
                      )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(xbrli\organisationname2.xx.xx:OrganisationNameDetails)
            IF pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN" 
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.FTER.408009" diagnostics="DVR.ATO.FTER.408009"
                test="not(
                        pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId
                          and exslt:uppercase(.) != 'MN']
                      )"/>
    </rule>


    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fter.0001.lodge.req.02.00:InterposedEntity[not(@i:nil='true' or @i:nil='1')]/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:InterposedEntity\address2.xx.xx.AddressDetails)
            IF (AddressDetails.Usage.Code <> "POS") OR (AddressDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408123" diagnostics="DVR.ATO.FTER.408123"
                test=" not(                
                            not(exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'POS')
                            or not(exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C')
                         )"/>

    </rule>

    <rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
            IF pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL
            OR pyde.xx.xx:ElectronicContact.Telephone.Usage.Code <> ""03"" 
            OR pyde.xx.xx:Electronic Contact.Telephone.ServiceLine.Code <> SET (""01"", ""02"")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.432016" diagnostics="DVR.ATO.GEN.432016"
                          test="count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[ not(@i:nil='true' or @i:nil='1')]) != 0
                         and ( pyde.02.00:ElectronicContact.Telephone.Usage.Code[ not(@i:nil='true' or @i:nil='1')] ='03')
                         and ( pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[ not(@i:nil='true' or @i:nil='1') and (regexp:test(.,'^(01|02)$'))])
                         "></assert>
    </rule>

    <rule context="fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:DeclarationOfTrustee) 
            IF [FTER75] = NULLORBLANK AND [FTER79] = NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            [FTER75] = FTER:RP:PersonNameDetails.FamilyName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""DeclarationSignatory"")) 
                IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
            [FTER79] = FTER:RP:OrganisationNameDetails.OrganisationalName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"")) 
            IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
        -->
        <assert id="VR.ATO.FTER.408130" diagnostics="DVR.ATO.FTER.408130"
                test="not(
                        not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text
                         [@contextRef=$RP.ContextId
                          and string-length(normalize-space(.)) != 0
                          and not(@i:nil='true' or @i:nil='1') 
                          and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL'] 
                          and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']])
                        and 
                        not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                         [@contextRef=$RP.ContextId
                          and string-length(normalize-space(.)) != 0
                          and not(@i:nil='true' or @i:nil='1') 
                          and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN'] 
                          and ../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']])
                    )"/>

        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
            IF ([FTER79] <> NULL) AND ([FTER75] <> NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [FTER79] = FTER:RP:OrganisationNameDetails.OrganisationalName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"")) 
            IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
            [FTER75] = FTER:RP:PersonNameDetails.FamilyName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""DeclarationSignatory"")) 
            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
        -->
        <assert id="VR.ATO.FTER.408135" diagnostics="DVR.ATO.FTER.408135"
                test="not(
                        orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                             [@contextRef=$RP.ContextId
                              and string-length(normalize-space(.)) != 0
                              and not(@i:nil='true' or @i:nil='1') 
                              and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN'] 
                              and ../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']]
                        and
                        prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text
                             [@contextRef=$RP.ContextId
                              and string-length(normalize-space(.)) != 0
                              and not(@i:nil='true' or @i:nil='1') 
                              and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL'] 
                              and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']]
                      )"/>


        <!--
            WHERE IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
            IF [FTER75] <> NULL AND [FTER77] = NULL
              RETURN VALIDATION MESSAGE 
            ENDIF
            [FTER75] = FTER:RP:PersonNameDetails.FamilyName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND 
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "DeclarationSignatory")) 
                IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
            [FTER77] = FTER:RP:PersonNameDetails.GivenName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND 
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "DeclarationSignatory")) 
                IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IN TUPLE(fter.0001.lodge.req.xx.xx:DeclarationOfTrustee)
        -->
        <assert id="VR.ATO.FTER.408136" diagnostics="DVR.ATO.FTER.408136"
                test="not(
                       prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text
                             [@contextRef=$RP.ContextId
                              and string-length(normalize-space(.)) != 0
                              and not(@i:nil='true' or @i:nil='1') 
                and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL'] 
                              and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']
                              ]
                        and
                        not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text
                             [@contextRef=$RP.ContextId
                              and string-length(normalize-space(.)) != 0
                              and not(@i:nil='true' or @i:nil='1')
                              and ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL'] 
                              and ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']
                              ])
                        
                      )"/>        
        
        
        
        
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:DeclarationOfTrustee\organisationname2.xx.xx:OrganisationNameDetails)
            IF (OrganisationNameDetails.OrganisationalNameType.Code <> ""MN"") OR (OrganisationNameDetails.Currency.Code <> ""C"")
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.FTER.408137	CMN.ATO.FTER.408137
        -->
        <!--<asser id="VR.ATO.FTER.408137" diagnostics="DVR.ATO.FTER.408137"
               test=""/>-->

    </rule>

    <rule context="fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:DeclarationOfTrustee\personstructuredname3.xx.xx:PersonNameDetails)
            IF (PersonNameDetails.PersonNameType.Code <> ""LGL"") 
            OR (PersonNameDetails.Usage.Code <> ""DeclarationSignatory"") 
            OR (PersonNameDetails.Currency.Code <> ""C"")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408131" diagnostics="DVR.ATO.FTER.408131"
                test="not(
                        not(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL'])
                        or not(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY'])
                        or not(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C'])
                      )"/>
    </rule>

    <rule context="fter.0001.lodge.req.02.00:DeclarationOfTrustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (fter.0001.lodge.req.xx.xx:DeclarationOfTrustee\organisationname2.xx.xx:OrganisationNameDetails)
            IF (OrganisationNameDetails.OrganisationalNameType.Code <> ""MN"") OR (OrganisationNameDetails.Currency.Code <> ""C"")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408137" diagnostics="DVR.ATO.FTER.408137"
               test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']
                 and 
                 pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']
                "/>
    </rule>

    <rule context="xbrli:xbrl/address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
           WHERE IN TUPLE (xbrli\address2.xx.xx.AddressDetails)
            IF (AddressDetails.Usage.Code <> "POS")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408008" diagnostics="DVR.ATO.FTER.408008"
                test="pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')and exslt:uppercase(.)='POS']"/>
    </rule>
    
    <rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]">
       
        <!--
            WHERE IN TUPLE(Declaration2.xx.xx:Declaration)
            IF pyin.xx.xx:Declaration.StatementAccepted.Indicator <> true OR 
            Declaration.SignatoryIdentifier.Text = NULLORBLANK OR 
            Declaration.Signature.Date = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FTER.408166" diagnostics="DVR.ATO.FTER.408166"
                test="not(
                        not(pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        or not(pyin.02.00:Declaration.SignatoryIdentifier.Text [not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        or not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])
                      )                
                 "/>

        <!--
            IF ([FTER159] <> NULLORBLANK) AND ([FTER159] <> "TrueAndCorrect" )
               RETURN VALIDATION MESSAGE
            ENDIF
            [FTER159] = FTER:INT:Declaration.StatementType.Code IN TUPLE(declaration2.xx.xx:Declaration)
        -->
        <assert id="VR.ATO.FTER.408167" diagnostics="DVR.ATO.FTER.408167"
                test="not(
                           pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.ContextId and  not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and exslt:uppercase(.)!='TRUEANDCORRECT']                    
                       )"/>

    </rule>

</pattern>

