﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [PTR64] > 0 AND [PTR64] > ([PTR38] *0.50) + 1
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR38] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR64] = PTR:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount      
        -->
        <assert id="VR.ATO.PTR.430027" diagnostics="DVR.ATO.PTR.430027"
                test="not(
                        sum(common:node-set($PTR64)) > 0
                        and 
                        round(100 * sum(common:node-set($PTR64)))
                        &gt;            
                        round(100 * ((sum(common:node-set($PTR38)) * 0.50) + 1))
                     )"/>
        
          <!--
        Rule ID: VR.ATO.PTR.430001
            
        IF ([PTR54] < ([PTR141] + [PTR142]))
        RETURN VALIDATION MESSAGE
        ENDIF

        [PTR54] = PTR:RP.JAUS:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
        [PTR141] = PTR:RP.LowCost:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        [PTR142] = PTR:RP.GeneralPool:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
         -->

          <assert  id="VR.ATO.PTR.430001" diagnostics="DVR.ATO.PTR.430001"
                   test="not( 
                         round(100 * sum(common:node-set($PTR54)))
                        &lt; 
                        round(100 *sum(common:node-set($PTR141 | $PTR142)))
                        )"/>
        <!--
              VR.ATO.PTR.431007
              IF [PTR72] > 0 AND ([PTR69] = NULL AND [PTR70] = NULL)
              RETURN VALIDATION MESSAGE
              ENDIF

              [PTR69] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
              [PTR70] = PTR:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
              [PTR72] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
          -->
        <assert id="VR.ATO.PTR.431007" diagnostics="DVR.ATO.PTR.431007"
       test="not(
                             sum(common:node-set($PTR72)) &gt;0 
                             and not($PTR69)
                             and not($PTR70)
                         )"/>
        <!--
              IF [PTR70] > 0 AND [PTR327] = NULL
                RETURN VALIDATION MESSAGE
              ENDIF

              [PTR70] = PTR:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
              [PTR327] = PTR:RP.JAUS.NonPrim:pyde.02.05:Party.TrustType.Code                                    
          -->
        <assert id="VR.ATO.PTR.431006" diagnostics="DVR.ATO.PTR.431006"
          test="not(
                             sum(common:node-set($PTR70)) &gt;0 
                             and not($PTR327)
                         )"/>
        <!--
              IF [PTR66] > 0 AND [PTR299] = NULL
              RETURN VALIDATION MESSAGE
              ENDIF

              [PTR66] = PTR:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
              [PTR299] = PTR:RP.JAUS.Prim:pyde.02.05:Party.TrustType.Code
          -->
        <assert id="VR.ATO.PTR.431009" diagnostics="DVR.ATO.PTR.431009"
                test="not(
                             sum(common:node-set($PTR66)) &gt; 0 
                             and not($PTR299)
                         )"/>
        <!--
              IF ([PTR105] = NULL OR [PTR105] = 0) AND (([PTR66] + [PTR70] + [PTR322] + [PTR98] + [PTR99] + [PTR100] + [PTR106] + [PTR107]) < 0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR66] = PTR:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [PTR70] = PTR:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [PTR98] = PTR:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [PTR105] = PTR:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount                                  
            [PTR106] = PTR:RP.JFOREIGN:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount
            [PTR107] = PTR:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [PTR322] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
        -->

        <assert id="VR.ATO.PTR.431031" diagnostics="DVR.ATO.PTR.431031"
                test="not(
                             sum(common:node-set($PTR105)) = 0 
                            and sum(common:node-set($PTR66|$PTR70|$PTR322|$PTR98|$PTR99|$PTR100|$PTR106|$PTR107)) &lt; 0
                            )"/>


        <!--
              VR.ATO.PTR.431030
              IF [PTR299] <> NULL AND ([PTR66] = NULL OR [PTR66] <= 0)
                 RETURN VALIDATION MESSAGE
              ENDIF

              [PTR66] = PTR:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount                                       
              [PTR299] = PTR:RP.JAUS.Prim:pyde.02.05:Party.TrustType.Code   
                                      
           -->
        <assert id="VR.ATO.PTR.431030" diagnostics="DVR.ATO.PTR.431030"
             test="not(                        
                         $PTR299
                          and(
                            not($PTR66)
                           or 
                             sum(common:node-set($PTR66)) &lt;=0
                           )
                      )" />

        <!--
           
            IF ([PTR38] > 0) AND [PTR64] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR38] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR64] = PTR:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount

        -->
        <assert id="VR.ATO.PTR.430059" diagnostics="DVR.ATO.PTR.430059"
                test="not(
                            sum(common:node-set(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            and not(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"/>

        <!--
            IF ([PTR77] + [PTR78] + [PTR79] + [PTR80] > 0) 
            AND ([PTR255] = NULL) AND ((ANY OCCURRENCE OF([PTR257])) = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
            [PTR255] = PTR:RP:Income.RentalIncomeOrLossNet.Amount
            [PTR257] = PTR:RP:Income.RentalIncomeOrLossNet.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
        -->
        <assert id="VR.ATO.PTR.430212" diagnostics="DVR.ATO.PTR.430212"
                test="not(
                        sum(common:node-set(
                        bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )) &gt; 0
                        and(not(bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])
                            and common:node-set(not(ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]))
                        )
                      )"/>

        <!--
            IF (([PTR81] > 0 OR [PTR84] > 0 OR [PTR85] > 0 OR [PTR86] > 0 OR (([PTR82] = NULL OR [PTR82] = 0) AND [PTR90] > 0) OR [PTR91] > 0) AND [PTR254] = NULL AND ANY OCCURRENCE OF([PTR256]) = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF 
           
            [PTR81] = PTR:RP.JAus:Income.ForestryManagedInvestmentScheme.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
            [PTR86] = PTR:RP.JAus:IncomeTax.FrankingCredits.Amount
            [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
            [PTR90] = PTR:RP.JAus:Expense.AustralianInvestmentAllowableDeduction.Amount
            [PTR91] = PTR:RP.JAus:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            [PTR254] = PTR:RP:Income.Investment.FinancialIncomeOrLossNet.Amount
            [PTR256] = PTR:RP:Income.Investment.FinancialIncomeOrLossNet.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
        -->
        <assert id="VR.ATO.PTR.430213" diagnostics="DVR.ATO.PTR.430213"
                test="not(
                           ( sum(common:node-set(bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0        
                             or  sum(common:node-set(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0 
                             or sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0 
                             or sum(common:node-set(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0 
                             or (
                                 (sum(common:node-set(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))=0 
                                   or not(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                                  )
                                 and sum(common:node-set(bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0 
                                )
                             or sum(common:node-set(bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0 
                           )
                           and
                           not(bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                           and
                           count(ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                      )"/>
        <!--
            Rule ID: VR.ATO.PTR.430144

            IF SUM([PTR158]) > ([PTR61] + [PTR65] + [PTR66] - [PTR68])
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR61] = PTR:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [PTR65] = PTR:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [PTR66] = PTR:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [PTR68] = PTR:RP.JAUS.Prim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [PTR158] = PTR:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
        -->

        <assert id="VR.ATO.PTR.430144" diagnostics="DVR.ATO.PTR.430144"
                test = "not(
                            round(100* sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/
                            bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef = $RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt; 
                            (
                            round(100* sum(common:node-set(
                            bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            -
                            round(100* sum(common:node-set(
                            bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            )                            
                            
                        
                       )"/>


        <!--
            IF (
                ([PTR35] <> NULL OR [PTR36] <> NULL OR [PTR307] <> NULL 
                OR [PTR38] <> NULL OR [PTR39] <> NULL OR [PTR41] <> NULL 
                OR [PTR43] <> NULL OR [PTR44] <> NULL) 
                
                AND ([PTR116] = NULLORBLANK OR [PTR117] = NULLORBLANK)
               )
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR307] = PTR:RP.JAUS.Prim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR38] = PTR:RP.JAUS.NonPrim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.JAUS.Prim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.JAUS.NonPrim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.JAUS.Prim:Income.Other.Amount
            [PTR44] = PTR:RP.JAUS.NonPrim:Income.Other.Amount
            [PTR116] = PTR:RP:OrganisationNameDetails.OrganisationalName.Text 
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MTR"") 
                                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"")) 
                                    IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)
            [PTR117] = PTR:RP:AddressDetails.Line1.Text 
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = ""BUS"") 
                                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) 
                                    IN TUPLE(addressdetails2.xx.xx:AddressDetails)
         -->

        <assert id="VR.ATO.PTR.430129" diagnostics="DVR.ATO.PTR.430129"
                test="not(
                            (
                                (lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                    or
                                (lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                    or
                                (lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                    or
                                (lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                    or
                                (gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                    or                        
                                (gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                    or
                                (bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                    or                        
                                (bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )     
                            and
                            (
                                (
                                    orgname2.02.00:OrganisationNameDetails
                                    [
                                    exslt:uppercase(pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='C'
                                    and
                                    exslt:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='MTR'
                                    and
                                    not(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                    ]
                                )
                                or
                                (
                                    address2.02.02:AddressDetails
                                    [
                                    exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code)='BUS'
                                    and
                                    exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code)='C'
                                    and
                                    not(pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                    ]                                
                                )

                            )                            
                         )"/>

        <!-- 
            IF ([PTR35] <> NULL OR [PTR307] <> NULL OR [PTR39] <> NULL OR [PTR43] <> NULL) AND [PTR61] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR307] = PTR:RP.JAUS.Prim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.JAUS.Prim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.JAUS.Prim:Income.Other.Amount
            [PTR61] = PTR:RP.JAUS.Prim:Income.Net.Amount
        -->
        <assert id="VR.ATO.PTR.430049" diagnostics="DVR.ATO.PTR.430049"
                test="not((lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                           or lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                           or gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                           or bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])                        
                      )"/>


        <!--
            IF COUNT(ptr.0003.lodge.req.xx.xx:OtherAustralianIncome) > 99
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430249" diagnostics="DVR.ATO.PTR.430249"
                test="not(
                        count(ptr.0003.lodge.req.02.00:OtherAustralianIncome) &gt; 99
                      )"/>


        <!--
            IF (ANY OCCURRENCE OF([PTR158]) > 0) AND ([PTR61] = NULL AND [PTR65] = NULL AND [PTR66] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR158] = PTR:RP.Prim:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution )
            [PTR61] = PTR:RP.JAUS.Prim:Income.Net.Amount
            [PTR65] = PTR:RP.JAUS.Prim:Income.PartnershipDistributionGross.Amount
            [PTR66] = PTR:RP.JAUS.Prim:Income.TrustDistributionGross.Amount\
        -->

        <assert id="VR.ATO.PTR.430052" diagnostics="DVR.ATO.PTR.430052"
                test="not(
                            sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/
                            bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef = $RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and (
                                not (bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                                and
                                not (bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                                and
                                not (bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                              
                         )"/>
        <!-- 
            IF [PTR55] > 0 AND [PTR56] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR55] = PTR:RP.JAus:Expense.Operating.MotorVehicleTotal.Amount
            [PTR56] = PTR:RP.JAus:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code
        -->
        <assert id="VR.ATO.PTR.430046" diagnostics="DVR.ATO.PTR.430046"
                test="not(
                        sum(common:node-set(bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and not(bafpr2.02.04:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF ([PTR35] + [PTR36] + [PTR307] + [PTR38] + [PTR39] + [PTR41] + [PTR43] + [PTR44]) 
                - 
               ([PTR45] + [PTR46] + [PTR47] + [PTR48] + [PTR49] + [PTR50] + 
                [PTR51] + [PTR52] + [PTR53] + [PTR54] + [PTR55] + [PTR57] + [PTR58])
        
                + [PTR59] + [PTR328] 
                <> ([PTR61] + [PTR62])
        RETURN VALIDATION MESSAGE
        ENDIF
        [PTR35] = PTR:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        [PTR36] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        [PTR38] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
        [PTR39] = PTR:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        [PTR41] = PTR:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        [PTR43] = PTR:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
        [PTR44] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
        [PTR45] = PTR:RP.JAUS:bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
        [PTR46] = PTR:RP.JAUS:lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount
        [PTR47] = PTR:RP.JAUS:emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
        [PTR48] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount
        [PTR49] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount
        [PTR50] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.LeaseTotal.Amount
        [PTR51] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.RentTotal.Amount
        [PTR52] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.InterestTotal.Amount
        [PTR53] = PTR:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
        [PTR54] = PTR:RP.JAUS:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
        [PTR55] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount
        [PTR57] = PTR:RP.JAUS:bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount
        [PTR58] = PTR:RP.JAUS:bafpr1.02.04:Expense.DeductibleOtherTotal.Amount
        [PTR59] = PTR:RP.JAUS:bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount
        [PTR61] = PTR:RP.JAUS.Prim:bafpr1.02.02:Income.Net.Amount
        [PTR62] = PTR:RP.JAUS.NonPrim:bafpr1.02.02:Income.Net.Amount
        [PTR307] = PTR:RP.JAUS.Prim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
        [PTR328] = PTR:RP.JAUS:bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount-->
        <assert id="VR.ATO.PTR.430050" diagnostics="DVR.ATO.PTR.430050"
                test="not(
                        round(100* sum(common:node-set(
                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            
                )))
                        -round(100*sum(common:node-set(
                             bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.04:Expense.Operating.LeaseTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.04:Expense.Operating.RentTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr1.02.04:Expense.DeductibleOtherTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=round(100*sum(common:node-set(
                             bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            |bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])))
                     )"/>

        <!--
            IF ([PTR63] <> NULL OR [PTR64] <> NULL) AND ([PTR61] = NULL AND [PTR62] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF 
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [PTR64] = PTR:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
            [PTR61] = PTR:RP.JAUS.Prim:Income.Net.Amount
            [PTR62] = PTR:RP.JAUS.NonPrim:Income.Net.Amount        
        -->

        <assert id="VR.ATO.PTR.430051" diagnostics="DVR.ATO.PTR.430051"
                test="not(
                            (
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            (
                            not (bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and 
                            not (bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
 
                         )"/>

        <!--          
            IF [PTR258] = TRUE AND ([PTR39] = 0 OR [PTR39] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR258] = PTR:RP.JAUS.Prim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
            [PTR39] = PTR:RP.JAUS.Prim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount            
        -->
        <assert id="VR.ATO.PTR.430030" diagnostics="DVR.ATO.PTR.430030"
                test="not(
                        gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and
                        (
                            number(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            or
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.JAUS.Prim.ContextId])
                        )
                    )"/>

        <!--
            IF [PTR138] > 0 AND [PTR138] > [PTR53] 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR138] = PTR:RP.JForeign:Expense.Royalties.Amount
            [PTR53] = PTR:RP.JAus:Expense.Operating.RoyaltiesTotal.Amount
        -->
        <assert id="VR.ATO.PTR.430040" diagnostics="DVR.ATO.PTR.430040"
                test="not(
                        sum(common:node-set(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                        and 
                        (
                            round(100*sum(common:node-set(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt; 
                            round(100*sum(common:node-set(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )
                      )"/>

        <!--
            IF ([PTR35] > 0 OR [PTR36] > 0) AND [PTR63] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        -->
        <assert id="VR.ATO.PTR.430058" diagnostics="DVR.ATO.PTR.430058"
                test="not( 
                       not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[ @contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                       and (sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                         or sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                      ))"/>

        <!--
            IF [PTR63] <> NULL AND 
                [PTR35] = NULL AND 
                [PTR36] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.PTR.430057" diagnostics="DVR.ATO.PTR.430057"
                test="not(
                           rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                           and not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                           and not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [PTR31] <> NULL AND
            (([PTR30] = NULLORBLANK) OR
            ([PTR35] = NULL AND [PTR36] = NULL AND [PTR38] = NULL AND [PTR39] = NULL AND [PTR41] = NULL AND [PTR43] = NULL AND [PTR44] = NULL)) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR30] = PTR:RP:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
            [PTR31] = PTR:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [PTR35] = PTR:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [PTR44] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
        -->
        <assert id="VR.ATO.PTR.430015" diagnostics="DVR.ATO.PTR.430015"
                test="not(
                        $PTR31
                        and 
                        (
                            not($PTR30[string-length(normalize-space(.)) != 0])
                            or
                            (not($PTR35) and not($PTR36) and not($PTR38) and not($PTR39) and not($PTR41) and not($PTR43) and not($PTR44))
                        )    
                     )"/>

        <!--
            IF [PTR61] <> NULL AND 
               ([PTR35] = NULL AND [PTR307] = NULL AND [PTR39] = NULL AND [PTR43] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR61] = PTR:RP.JAUS.Prim:Income.Net.Amount
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR307] = PTR:RP.JAUS.Prim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.JAUS.Prim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.JAUS.Prim:Income.Other.Amount
        -->
        <assert id="VR.ATO.PTR.430017" diagnostics="DVR.ATO.PTR.430017"
                test="not(
                        bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF ([PTR116] <> NULLORBLANK OR [PTR117] <> NULLORBLANK) AND 
            (
                [PTR35] = NULL AND [PTR36] = NULL AND [PTR307] = NULL AND [PTR38] = NULL AND 
                [PTR39] = NULL AND [PTR41] = NULL AND [PTR43] = NULL AND [PTR44] = NULL
             )
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR116] = PTR:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
                        ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MTR"") 
                        AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = ""C"")) 
                        IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)
            [PTR117] = PTR:RP:AddressDetails.Line1.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = ""BUS"") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) 
                IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR307] = PTR:RP.JAUS.Prim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR38] = PTR:RP.JAUS.NonPrim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.JAUS.Prim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.JAUS.NonPrim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.JAUS.Prim:Income.Other.Amount
            [PTR44] = PTR:RP.JAUS.NonPrim:Income.Other.Amount
        -->
        <assert id="VR.ATO.PTR.430018" diagnostics="DVR.ATO.PTR.430018"
                test="not((orgname2.02.00:OrganisationNameDetails[exslt:uppercase(pyde.02.00:OrganisationNameDetails.Currency.Code
                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='C' and 
                             exslt:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code
                                [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='MTR']
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or address2.02.02:AddressDetails[exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code)='BUS' 
                                                       and exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code)='C']
                      /pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      and(
                        not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                        not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                        not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                        not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                        not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                        not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                        not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                        not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])))"/>

        <!--
            IF [PTR62] <> NULL AND ([PTR36] = NULL AND [PTR38] = NULL AND [PTR41] = NULL AND [PTR44] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR62] = PTR:RP.JAUS.NonPrim:Income.Net.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.JAUS.NonPrim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR41] = PTR:RP.JAUS.NonPrim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR44] = PTR:RP.JAUS.NonPrim:Income.Other.Amount
        -->
        <assert id="VR.ATO.PTR.430022" diagnostics="DVR.ATO.PTR.430022"
                test="not(
                        bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [PTR62] = NULL AND ([PTR36] <> NULL OR [PTR38] <> NULL OR [PTR41] <> NULL OR [PTR44] <> NULL)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR62] = PTR:RP.JAUS.NonPrim:Income.Net.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.JAUS.NonPrim:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR41] = PTR:RP.JAUS.NonPrim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR44] = PTR:RP.JAUS.NonPrim:Income.Other.Amount
        -->
        <assert id="VR.ATO.PTR.430023" diagnostics="DVR.ATO.PTR.430023"
                test="not(
                          not(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and ( lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                               or lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                               or gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                               or bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                              )
                        )"/>

        <!--
            IF [PTR97] <> NULL AND [PTR97] <> SUM([PTR158]) + SUM([PTR159]) + SUM([PTR324])
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR97] = PTR:RP.JAUS:bafpr1.02.02:Income.Net.Amount
            [PTR158] = PTR:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR159] = PTR:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR324] = PTR:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
        -->
        <assert id="VR.ATO.PTR.430145" diagnostics="DVR.ATO.PTR.430145"
                test="not(  
                            bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and                            
                            round( 100 * (sum(common:node-set(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                            !=
                            round(100 * (sum(common:node-set(
                            ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef = $RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef = $RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))))                            
                         )"/>
        <!--           
            IF [PTR63] > 0 AND [PTR63] > (([PTR35] + [PTR36]) *0.50) + 1 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [PTR35] = PTR:RP.JAUS.Prim:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.PTR.430056" diagnostics="DVR.ATO.PTR.430056"
                test="not(
                           sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 0            
                          and
                          (
                           round(100 * sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt;
                               (round (100 * ( 0.50 * sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                               lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                  ) + 1 ))
                           )
                      )"/>

        <!--
            IF ([PTR61] <> NULL OR [PTR62] <> NULL) 
                AND (([PTR111]  = 0 OR [PTR111] = NULL) 
                AND ([PTR112]  = 0 OR [PTR112] = NULL) 
                AND ([PTR113]  = 0 OR [PTR113] = NULL) 
                AND ([PTR114]  = 0 OR [PTR114] = NULL) 
                AND [PTR115] = NULL 
                AND ([PTR121] = 0 OR [PTR121] = NULL) 
                AND ([PTR122] = 0 OR [PTR122] = NULL) 
                AND ([PTR123]  = 0 OR [PTR123] = NULL) 
                AND ([PTR125]  = 0 OR [PTR125] = NULL) 
                AND ([PTR126]  = 0 OR [PTR126] = NULL) 
                AND ([PTR127]  = 0 OR [PTR127] = NULL) 
                AND ([PTR129]  = 0 OR [PTR129] = NULL) 
                AND ([PTR130]  = 0 OR [PTR130] = NULL) 
                AND ([PTR131]  = 0 OR [PTR131] = NULL) 
                AND ([PTR132]  = 0 OR [PTR132] = NULL) 
                AND ([PTR133]  = 0 OR [PTR133] = NULL) 
                AND ([PTR134]  = 0 OR [PTR134] = NULL) 
                AND ([PTR135]  = 0 OR [PTR135] = NULL) 
                AND ([PTR136]  = 0 OR [PTR136] = NULL) 
                AND ([PTR137]  = 0 OR [PTR137] = NULL) 
                AND ([PTR138]  = 0 OR [PTR138] = NULL) 
                AND ([PTR139]  = 0 OR [PTR139] = NULL) 
                AND ([PTR247]  = 0 OR [PTR247] = NULL)) 
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR61] = PTR:RP.JAUS.Prim:Income.Net.Amount
            [PTR62] = PTR:RP.JAUS.NonPrim:Income.Net.Amount
            [PTR111] = PTR:RPI.Closing:Assets.CurrentTotal.Amount
            [PTR112] = PTR:RPI.Closing:Assets.Total.Amount
            [PTR113] = PTR:RPI.Closing:Liabilities.CurrentTotal.Amount
            [PTR114] = PTR:RPI.Closing:Liabilities.Total.Amount
            [PTR115] = PTR:RP:Equity.ProprietorsFundsNet.Amount
            [PTR121] = PTR:RPI.Opening:Assets.Inventories.Total.Amount
            [PTR122] = PTR:RP:Expense.Purchases.AndOtherCosts.Amount
            [PTR123] = PTR:RPI.Closing:Assets.Inventories.Total.Amount
            [PTR125] = PTR:RPI.Closing:Assets.TradeandReceivablesOther.Amount
            [PTR126] = PTR:RPI.Closing:Liabilities.TradeAndOtherPayablesTotal.Amount
            [PTR127] = PTR:RP:Remuneration.WagesAndSalaries.Total.Amount
            [PTR129] = PTR:RP:Remuneration.PaymentToRelatedPartiesGross.Amount
            [PTR130] = PTR:RP:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
            [PTR131] = PTR:RP:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
            [PTR132] = PTR:RP:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
            [PTR133] = PTR:RP:Assets.DepreciatingAssets.OtherTerminationValue.Amount
            [PTR134] = PTR:RP:Expense.ProjectPoolAllowableDeduction.Amount
            [PTR135] = PTR:RP:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
            [PTR136] = PTR:RP:Remuneration.FringeBenefits.EmployeeContribution.Amount
            [PTR137] = PTR:RP.JForeign:Expense.Interest.Amount
            [PTR138] = PTR:RP.JForeign:Expense.Royalties.Amount
            [PTR139] = PTR:RP:Expense.EnvironmentalProtectionDeduction.Amount
            [PTR247] = PTR:RP:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount
        -->
        <assert id="VR.ATO.PTR.430130" diagnostics="DVR.ATO.PTR.430130"
                test ="not(
                    (
                    bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or 
                    bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ) 
                    and 
                    (
                        (
                        sum(common:node-set(bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (   
                        sum(common:node-set(bafpo1.02.00:Assets.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(bafpo1.02.00:Liabilities.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        )
                        and 
                        (
                        not(bafpo1.02.04:Equity.ProprietorsFundsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                        and 
                        (
                        sum(common:node-set(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Opening.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (   
                        sum(common:node-set(bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and
                        (
                        sum(common:node-set(lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (
                        sum(common:node-set(bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[@contextRef = $RP.ContextId and not (@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and 
                        (   
                        sum(common:node-set(bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and
                        (
                        sum(common:node-set(bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and
                        (
                        sum(common:node-set(bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and
                        (
                        sum(common:node-set(bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        ) 
                        and
                        (
                        sum(common:node-set(lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef = $RP.ContextId and not (@i:nil='true' or @i:nil='1')])) = 0
                        )
                        and
                        (
                        sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        )
                        and
                        (
                        sum(common:node-set(bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        )
                        and
                        (
                        sum(common:node-set(bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        )
                        and
                        (
                        sum(common:node-set(gfagc.02.01:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        )
                        )                 
                )"/>

        <!--
            IF [PTR137] > 0 AND [PTR137] > [PTR52] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR137] = PTR:RP.JForeign:Expense.Interest.Amount
            [PTR52] = PTR:RP.JAus:Expense.Operating.InterestTotal.Amount
        -->
        <assert id="VR.ATO.PTR.430133" diagnostics="DVR.ATO.PTR.430133"
                test="not(
                        sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                        and 
                        (
                            round(100 * sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt; 
                            round(100 * sum(common:node-set(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )
                      )"/>

        <!--
            IF [PTR255] <> SUM([PTR257])
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR255] = PTR:RP:Income.RentalIncomeOrLossNet.Amount
            [PTR257] = PTR:RP:Income.RentalIncomeOrLossNet.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution )
        -->
        <assert id="VR.ATO.PTR.430171" diagnostics="DVR.ATO.PTR.430171"
                test="not(
                      round(100 * sum(common:node-set(bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])))
                      != 
                      round(100 *sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])))
                      )"
                />

        <!--
            IF [PTR26] <> NULL AND ([PTR26] < 1995 OR [PTR26] > [PTR1])
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR1] = PTR:RP:pyin.02.00:Report.TargetFinancial.Year
            [PTR26] = PTR:RP:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
        -->
        <assert id="VR.ATO.PTR.430177" diagnostics="DVR.ATO.PTR.430177"
                test="not(
                        rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            number(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1995
                            or
                            (
                                round(100 * sum(common:node-set(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt;
                                round(100 * sum(common:node-set(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            )
                        )
                     )"/>

        <!--
            IF [PTR104] < [PTR105] 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR104] = PTR:RP.JForeign:Income.Other.Amount
            [PTR105] = PTR:RP.JForeign:Income.Net.Amount
        -->
        <assert id="VR.ATO.PTR.430120" diagnostics="DVR.ATO.PTR.430120"
                test="not(
                             round(100 *sum(common:node-set(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt; round(100 *sum(common:node-set(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!--
            IF [PTR254] <> SUM([PTR256])
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR254] = PTR:RP:Income.Investment.FinancialIncomeOrLossNet.Amount
            [PTR256] = PTR:RP:Income.Investment.FinancialIncomeOrLossNet.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution )
        -->
        <assert id="VR.ATO.PTR.430172" diagnostics="DVR.ATO.PTR.430172"
                test="not(
                      round(100 * sum(common:node-set(bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])))
                      != 
                      round(100 * sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId])))
                      )"/>

        <!--
            IF ([PTR27] <> NULLORBLANK) AND ([PTR27] <> ""R"")
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR27] = PTR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->
        <assert id="VR.ATO.PTR.430179" diagnostics="DVR.ATO.PTR.430179"
                test="not(
                        rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(.) != 0]
                        and not(rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(.) != 0 and regexp:test(.,'^(?i)(R)$')])
                      )
                      "/>

        <!--
            IF [PTR323] > 0 AND [PTR322] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR322] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [PTR323] = PTR:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
        -->
        <assert id="VR.ATO.PTR.430705" diagnostics="DVR.ATO.PTR.430705"
                test="not(sum(common:node-set(rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                      and not(bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        <!--
            IF [PTR97] <> NULL AND [PTR97] <> ([PTR61] + [PTR62] + [PTR65] + [PTR66] - [PTR68] + [PTR69] + [PTR70] - [PTR72] + [PTR322] - [PTR323] + [PTR77] - [PTR78] - [PTR79] - [PTR80] + [PTR81] + [PTR82] + [PTR84] + [PTR85] + [PTR86] + SUM([PTR89])) - ([PTR90] + [PTR91] + SUM([PTR96])) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR61] = PTR:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [PTR62] = PTR:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
            [PTR65] = PTR:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [PTR66] = PTR:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [PTR68] = PTR:RP.JAUS.Prim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [PTR69] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [PTR70] = PTR:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [PTR72] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [PTR77] = PTR:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAUS:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAUS:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
            [PTR81] = PTR:RP.JAUS:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
            [PTR82] = PTR:RP.JAUS:bafpr2.02.02:Income.Interest.Gross.Amount
            [PTR84] = PTR:RP.JAUS:bafpr1.02.05:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
            [PTR86] = PTR:RP.JAUS:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
            [PTR89] = PTR:RP.JAUS:bafpr1.02.04:Income.Other.Amount IN TUPLE(ptr.0003.lodge.req.02.00:OtherAustralianIncome)
            [PTR90] = PTR:RP.JAUS:bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount
            [PTR91] = PTR:RP.JAUS:bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            [PTR96] = PTR:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Amount IN TUPLE(ptr.0003.lodge.req.02.00:OtherDeductions)
            [PTR97] = PTR:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [PTR322] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [PTR323] = PTR:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount


        -->
        <assert id="VR.ATO.PTR.430112" diagnostics="DVR.ATO.PTR.430112"
                test="not(
                          $PTR97 and round(sum(common:node-set($PTR97)) * 100) 
                          != (round(sum(common:node-set($PTR61)) * 100) + round(sum(common:node-set($PTR62)) * 100) + round(sum(common:node-set($PTR65)) * 100) + round(sum(common:node-set($PTR66)) * 100) - round(sum(common:node-set($PTR68)) * 100) + round(sum(common:node-set($PTR69)) * 100) + round(sum(common:node-set($PTR70)) * 100) - round(sum(common:node-set($PTR72)) * 100) + round(sum(common:node-set($PTR322)) * 100) - round(sum(common:node-set($PTR323)) * 100) + round(sum(common:node-set($PTR77)) * 100) - round(sum(common:node-set($PTR78)) * 100) - round(sum(common:node-set($PTR79)) * 100) - round(sum(common:node-set($PTR80)) * 100) + round(sum(common:node-set($PTR81)) * 100) + round(sum(common:node-set($PTR82)) * 100) + round(sum(common:node-set($PTR84)) * 100) + round(sum(common:node-set($PTR85)) * 100) + round(sum(common:node-set($PTR86)) * 100) + round(sum(common:node-set($PTR89)) * 100)) 
                           - (round(sum(common:node-set($PTR90)) * 100) + round(sum(common:node-set($PTR91)) * 100) + round(sum(common:node-set($PTR96)) * 100))                      
                         )"
                />

        <!--
            IF [PTR90] > 0 AND ([PTR82] = NULL AND [PTR84] = NULL AND [PTR85] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR90] = PTR:RP.JAus:Expense.AustralianInvestmentAllowableDeduction.Amount
            [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.PTR.430106" diagnostics="DVR.ATO.PTR.430106"
                test="not(
                        sum(common:node-set(bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and(not(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>
        <!--
            IF COUNT(ptr.0003.lodge.req.xx.xx:OtherDeductions) > 99
            RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.PTR.430109" diagnostics="DVR.ATO.PTR.430109"
                test="not(
                        count(ptr.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]) &gt; 99
                      )"/>
        <!--
            IF ([PTR98] > 0 OR [PTR99] > 0 OR [PTR100] > 0) AND [PTR102] <> TRUE
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR98] = PTR:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
            [PTR102] = PTR:RP.JForeign:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        -->
        <assert id="VR.ATO.PTR.430116" diagnostics="DVR.ATO.PTR.430116"
                test="not(
                        (sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.JFOREIGN.CFCLC.ContextId])) &gt; 0
                        or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.JFOREIGN.CFC404.ContextId])) &gt; 0
                        or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.JFOREIGN.CFCUC.ContextId])) &gt; 0)
                        and
                        not(bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
                        [@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                      )"/>

        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator = TRUE 
            AND (pyin.xx.xx:Report.AmendmentSequence.Number = NULL 
            OR pyin.xx.xx:Report.AmendmentType.Code = NULLORBLANK 
            OR pyin.xx.xx:Report.AmendmentReason.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028"
                test="not(
                        pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and(
                        not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')])
                        or not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                        or not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                    ))"/>

        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator <> TRUE 
            AND 
                (   pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                    OR pyin.xx.xx:Report.AmendmentType.Code <> NULLORBLANK 
                    OR pyin.xx.xx:Report.AmendmentReason.Text <> NULLORBLANK
                )
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029"
             test="not(
                        not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and(
                            pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                            or pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                            or pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                            ))"/>

        <!--
            Rule ID: VR.ATO.GEN.010030
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE CMN.ATO.GEN.010030
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030"
             test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not (regexp:test(pyin.02.08:Report.AmendmentSequence.Number,'^(|1|2|3|4|5|6|7|8|9)$'))
                   )"/>

        <!-- 
            IF CONTEXT(INT) <> NULL AND INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.GEN.430312" diagnostics="DVR.ATO.GEN.430312"
                test="not(
                        $INT.Context and
                        count(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                          [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                      )"/>

        <!--
            IF [PTR77] > 0 AND ([PTR78] = NULL AND [PTR79] = NULL AND [PTR80] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.PTR.430080" diagnostics="DVR.ATO.PTR.430080"
                test="not(
                        sum(common:node-set(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and(not(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]) and 
                        not(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]) and 
                        not(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                      )"/>

        <!--
          IF ([PTR78] > 0 OR [PTR79] > 0 OR [PTR80] > 0) AND [PTR77] = NULL 
            RETURN VALIDATION MESSAGE
          endif  
          [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
          [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
          [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
          [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount  
        -->
        <assert id="VR.ATO.PTR.430079" diagnostics="DVR.ATO.PTR.430079"
                test="not( 
                       not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[ @contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                       and (sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                         or sum(common:node-set(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                         or sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                      ))"/>

        <!--
          IF [PTR83] > 0 AND ([PTR82] = 0 OR [PTR82] = NULL)
          RETURN VALIDATION MESSAGE CMN.ATO.GEN.430092
          [PTR83] = PTR:RP.JAus: rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
          [PTR82] = PTR:RP.JAus:  bafpr2.02.02:Income.Interest.Gross.Amount
        -->
        <assert id="VR.ATO.PTR.430092" diagnostics="DVR.ATO.PTR.430092"
                test="not(
                        sum(common:node-set(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                        and sum(common:node-set(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                      )"/>

        <!--
          IF [PTR83] > 0 AND ([PTR82] * 0.5) <= [PTR83]
          RETURN VALIDATION MESSAGE CMN.ATO.GEN.430093
          [PTR83] = PTR:RP.JAus:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
          [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
        -->
        <assert id="VR.ATO.PTR.430093" diagnostics="DVR.ATO.PTR.430093"
                test="not(sum(common:node-set(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                          and
                          ( round(100*0.5*sum(common:node-set(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                            &lt;= round(100*sum(common:node-set(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                          )
                      )"/>

        <!--
          IF [PTR87] > 0 AND ([PTR84] = 0 OR [PTR84] = NULL) AND ([PTR85] = 0 OR [PTR85] = NULL)
          RETURN VALIDATION MESSAGE CMN.ATO.GEN.430095
          [PTR87] = PTR:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
          [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
          [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.PTR.430095" diagnostics="DVR.ATO.PTR.430095"
                test="not(
                        sum(common:node-set(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and sum(common:node-set(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        and sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))= 0
                      )"/>

        <!--
            IF ([PTR87] > 0 AND [PTR84] > 0 AND [PTR85] > 0) AND ([PTR84] + (([PTR85]*0.5) + 1)) < [PTR87] 
                RETURN VALIDATION MESSAGE
            ENDIF
                        
            [PTR87] = PTR:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount  rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount bafpr1.02.05:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount   bafpr1.02.00:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.PTR.430096" diagnostics="DVR.ATO.PTR.430096"
                test="not(  (sum(common:node-set(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                         and sum(common:node-set(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                         and sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                        ) and 
                       ( 
                         round(
                          (sum(common:node-set(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          + 0.5* sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          +1)*100) &lt;
                        round(sum(common:node-set(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
                       )
                      )"/>

        <!--
            IF [PTR128] <> NULL AND ([PTR127] = 0 OR [PTR127] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR128] = PTR:RP:Remuneration.WagesAndSalariesAction.Code
            [PTR127] = PTR:RP:Remuneration.WagesAndSalaries.Total.Amount            
        -->
        <assert id="VR.ATO.PTR.430131" diagnostics="DVR.ATO.PTR.430131"
                test="not(
                        lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            not(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )
                      )"/>

        <!--
            IF [PTR86] > 0 AND (([PTR85] * 0.48) < ([PTR86] - 1)) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            NOTE:
            [PTR86] = PTR:RP.JAus:IncomeTax.FrankingCredits.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.PTR.430098" diagnostics="DVR.ATO.PTR.430098"
                test="not(
                        number(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                            (
                                round(100* sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.48)
                                &lt; round(100* (sum(common:node-set(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) - 1))
                            )
                      )"/>

        <!-- 
          IF [PTR250] = FALSE AND ([PTR251] > 0 or [PTR252] > 0 or ([PTR253] <> 0 AND [PTR253] <> NULL) OR [PTR301] > 0) 
             RETURN VALIDATION MESSAGE CMN.ATO.GEN.430168
          ENDIF
          
          [PTR250] = PTR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
          [PTR251] = PTR:RP.TOFA:Income.GainsTotal.Amount
          [PTR252] = PTR:RP.TOFA:Expense.LossesTotal.Amount
          [PTR253] = PTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
          [PTR301] = PTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.PTR.430168" diagnostics="DVR.ATO.PTR.430168"
                test="not(     
                        not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        (sum(common:node-set(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                         or sum(common:node-set(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                         or sum(common:node-set(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]))!= 0
                         or sum(common:node-set(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                        )
                      )"/>

        <!--
            IF [PTR127] > 0 AND [PTR128] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR127] = PTR:RP:Remuneration.WagesAndSalaries.Total.Amount
            [PTR128] = PTR:RP:Remuneration.WagesAndSalariesAction.Code            
        -->
        <assert id="VR.ATO.PTR.430132" diagnostics="DVR.ATO.PTR.430132"
                test="not(
                        number(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
            IF [PTR250] = TRUE AND 
                ([PTR251] = NULL OR [PTR251] = 0) AND 
                ([PTR252] = NULL or [PTR252] = 0) AND 
                ([PTR253] = NULL OR [PTR253] = 0) AND 
                ([PTR301] = NULL OR [PTR301] = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR250] = PTR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [PTR251] = PTR:RP.TOFA:Income.GainsTotal.Amount
            [PTR252] = PTR:RP.TOFA:Expense.LossesTotal.Amount
            [PTR253] = PTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [PTR301] = PTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
           CMN.ATO.GEN.430215
        -->
        <assert id="VR.ATO.PTR.430215" diagnostics="DVR.ATO.PTR.430215"
                test="not(
                        rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and regexp:test(.,'^(true|1)$')]
                        and sum(common:node-set(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        and sum(common:node-set(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        and sum(common:node-set(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        and sum(common:node-set(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        )"/>

        <!--
            Rule ID: VR.ATO.PTR.430200
            
            IF [PTR113] < [PTR126]
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR113] = PTR:RPI.Closing:Liabilities.CurrentTotal.Amount
            [PTR126] = PTR:RPI.Closing:Liabilities.TradeAndOtherPayablesTotal.Amount
        -->
        <assert  id="VR.ATO.PTR.430200" diagnostics="DVR.ATO.PTR.430200"
                 test="not(
                 round(100* sum(common:node-set(bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                 &lt;
                 round(100* sum(common:node-set(bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                 )"/>


        <!--
            Rule ID: VR.ATO.PTR.430194
            IF  [PTR112] < [PTR111]
           RETURN VALIDATION MESSAGE CMN.ATO.GEN.430194
           [PTR112] = PTR:RPI.Closing:Assets.Total.Amount
           [PTR111] = PTR:RPI.Closing:Assets.CurrentTotal.Amount
        -->
        <assert  id="VR.ATO.PTR.430194" diagnostics="DVR.ATO.PTR.430194"
                 test="not( round(100* sum(common:node-set(bafpo1.02.00:Assets.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                         &lt; round(100* sum(common:node-set(bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )"/>
        <!--
            Rule ID: VR.ATO.PTR.430195
            IF  [PTR112] < [PTR111]
           RETURN VALIDATION MESSAGE CMN.ATO.GEN.430195
           [PTR112] = PTR:RPI.Closing:Assets.Total.Amount
           [PTR111] = PTR:RPI.Closing:Assets.CurrentTotal.Amount
        -->
        <assert  id="VR.ATO.PTR.430195" diagnostics="DVR.ATO.PTR.430195"
                 test="not( round(100* sum(common:node-set(bafpo1.02.00:Liabilities.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                         &lt; round(100* sum(common:node-set(bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )"/>
        <!--
            Rule ID: VR.ATO.PTR.430197
            IF ([PTR124] <> NULLORBLANK) AND ([PTR123] = NULL)
          RETURN VALIDATION MESSAGE CMN.ATO.GEN.430197
          [PTR124] = PTR:RPI.Closing:Assets.Inventories.ValuationMethod.Code
          [PTR123] = PTR:RPI.Closing:Assets.Inventories.Total.Amount
           test="not(rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(.) != 0]
        -->
        <assert  id="VR.ATO.PTR.430197" diagnostics="DVR.ATO.PTR.430197"
                 test="not( bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                         and not(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"/>
        <!--
            Rule ID: VR.ATO.PTR.430198
            IF ([PTR124] = NULLORBLANK) AND ([PTR123] >0)
             RETURN VALIDATION MESSAGE
            [PTR124] = PTR:RPI.Closing:Assets.Inventories.ValuationMethod.Code
            [PTR123] = PTR:RPI.Closing:Assets.Inventories.Total.Amount
        -->
        <assert  id="VR.ATO.PTR.430198" diagnostics="DVR.ATO.PTR.430198"
                 test="   not (not(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                         and sum(common:node-set(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                        )"/>
        <!--
            Rule ID: VR.ATO.PTR.430199
            IF ([PTR111] < [PTR125])
           RETURN VALIDATION MESSAGE
          [PTR111] = PTR:RPI.Closing:Assets.CurrentTotal.Amount
          [PTR125] = PTR:RPI.Closing:Assets.TradeandReceivablesOther.Amount
        -->
        <assert  id="VR.ATO.PTR.430199" diagnostics="DVR.ATO.PTR.430199"
                 test="not( round(100* sum(common:node-set(bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                         &lt; round(100* sum(common:node-set(bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )"/>

  

        <!--
            IF CONTEXT(INT) = NULL AND 
                RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432417" diagnostics="DVR.ATO.GEN.432417.PTR"
                test="$INT.ContextId or                      
                        pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    "/>

        <!--
           IF [PTR32] <> NULL AND ([PTR31] = NULL OR [PTR30] = NULLORBLANK) 
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [PTR32] = PTR:RP:OrganisationDetails.ActivityEvent.Code
          [PTR31] = PTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
          [PTR30] = PTR:RP:OrganisationDetails.MainIncomeActivity.Description
        -->
        <assert  id="VR.ATO.PTR.430016" diagnostics="DVR.ATO.PTR.430016"
                 test="not(pyde.02.10:OrganisationDetails.ActivityEvent.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           and (not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                or not(pyde.02.05:OrganisationDetails.MainIncomeActivity.Description [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))!=0])
                                )
                           )"/>


        <!--
            IF ([PTR35] <> NULL OR [PTR36] <> NULL OR [PTR38] <> NULL OR [PTR39] <> NULL OR [PTR41] <> NULL OR [PTR43] <> NULL OR [PTR44] <> NULL) AND [PTR31] = NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR31] = PTR:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [PTR35] = PTR:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [PTR44] = PTR:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
        -->
        <assert id="VR.ATO.PTR.430207" diagnostics="DVR.ATO.PTR.430207"
                test="not(
                        count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))!=0])=0
                        and 
                        ( 
                         count(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                          or count(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                          or count(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                          or count(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                          or count(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                          or count(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                          or count(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
            ) 
                      )"/>
        <!-- 
            Rule ID: VR.ATO.PTR.430046       
            IF [PTR55] > 0 AND [PTR56] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR55] = PTR:RP.JAus:Expense.Operating.MotorVehicleTotal.Amount
            [PTR56] = PTR:RP.JAus:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code
        -->
        <assert id="VR.ATO.PTR.430046" diagnostics="DVR.ATO.PTR.430046"
                test="not(
                        sum(common:node-set(bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and not(bafpr2.02.04:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!-- 
            Rule ID: VR.ATO.PTR.430044        
            IF [PTR56] <> NULL AND ([PTR55] = 0 OR [PTR55 = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR56] = PTR:RP.JAus:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code
            [PTR55] = PTR:RP.JAus:Expense.Operating.MotorVehicleTotal.Amount
        -->
        <assert id="VR.ATO.PTR.430044" diagnostics="DVR.ATO.PTR.430044"
                test="not(
                         (sum(common:node-set(bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                          or not(bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                          )
                          and bafpr2.02.04:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                       )"/>
        <!--
            Rule ID: VR.ATO.PTR.430100        
            IF [PTR85] > 0 AND [PTR86] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
            [PTR86] = PTR:RP.JAus:IncomeTax.FrankingCredits.Amount
        -->
        <assert id="VR.ATO.PTR.430100" diagnostics="DVR.ATO.PTR.430100"
                test="not( 
                        sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                        and not(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                       )"/>

        <!--
            Rule ID: VR.ATO.PTR.430102
            
            IF [PTR87] > 0 AND (([PTR84]*0.5) + 1) < [PTR87] 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR87] = PTR:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
        -->
        <assert id="VR.ATO.PTR.430102" diagnostics="DVR.ATO.PTR.430102"
                test="not( 
                           sum(common:node-set(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                           and ( 
                                round( 100 * (0.5*sum(common:node-set(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))+1))
                                &lt; 
                                 round( 100 * sum(common:node-set(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                               )
                         )"/>
        <!--
                    
            IF [PTR248] <> SUM([PTR249]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR248] = PTR:RP:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
            [PTR249] = PTR:RP:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
        -->
        <assert id="VR.ATO.PTR.430166" diagnostics="DVR.ATO.PTR.430166"
                test="not( 
                           round(100*sum(common:node-set(gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                           != 
                           round(100*sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                         )"/>
        <!--
            IF COUNT(ptr.0003.lodge.req.xx.xx:StatementOfDistribution) > 160
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430248" diagnostics="DVR.ATO.PTR.430248"
                test="not(count(ptr.0003.lodge.req.02.00:StatementOfDistribution) &gt; 160)"/>
        <!--                    
            IF SUM([PTR160]) <> [PTR63] + [PTR73] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR160] = PTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [PTR73] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.PTR.430151" diagnostics="DVR.ATO.PTR.430151"
                test="not( 
                           round(100*sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                           != 
                           round(100*sum(common:node-set(
                                          rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                          rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                             ))) 
                        )"/>
        <!--                    
            IF SUM([PTR161]) <> [PTR74] + [PTR86] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR161] = PTR:RP:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
            [PTR74] = PTR:RP.JAus:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [PTR86] = PTR:RP.JAus:IncomeTax.FrankingCredits.Amount         
            
        -->
        <assert id="VR.ATO.PTR.430153" diagnostics="DVR.ATO.PTR.430153"
                test="not(
                           round(sum(common:node-set($PTR161)) * 100) !=  round(sum(common:node-set($PTR74|$PTR86)) * 100)                 
                        )"
                
                test_old="not( 
                           round(100*sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                           != 
                           round(100*sum(common:node-set(
                                          rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                          rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                             ))) 
                        )"/>
        <!--                    
            IF SUM([PTR163]) <> [PTR64] + [PTR76] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR163] = PTR:RP:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
            [PTR64] = PTR:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
            [PTR76] = PTR:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.PTR.430158" diagnostics="DVR.ATO.PTR.430158"
                test="not( 
                           round(100*sum(common:node-set(
                                          rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                          rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                             ))) != 
                           round(100*sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                         )"/>

        <!--
            IF [PTR320] <> SUM([PTR321])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR320] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
            [PTR321] = PTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementofDistribution )
        -->
        <assert id="VR.ATO.PTR.430314" diagnostics="DVR.ATO.PTR.430314"
                test="not(       
                            round(100* sum(common:node-set(rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            != round(100* sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                         )"/>

        <!--
            Rule ID: VR.ATO.PTR.430032

            IF [PTR259] = TRUE AND ([PTR41] = 0 OR [PTR41] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR259] = PTR:RP.JAUS.NonPrim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
            [PTR41] = PTR:RP.JAUS.NonPrim:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->
        <assert  id="VR.ATO.PTR.430032" diagnostics="DVR.ATO.PTR.430032"
                 test="not(
                            gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and sum(common:node-set(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.JAUS.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                      )"/>


        <!--
            Rule ID: VR.ATO.PTR.430155

            IF SUM([PTR162]) <> [PTR75] + [PTR83] + [PTR87] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR162] = PTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution  )
            [PTR75] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
            [PTR83] = PTR:RP.JAus:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
            [PTR87] = PTR:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
        -->
        <assert  id="VR.ATO.PTR.430155" diagnostics="DVR.ATO.PTR.430155"
                 test="not( 
                           round(100*sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                           != 
                           round(100*sum(common:node-set(
                                         rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                         rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                         rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                           ))) 
                      )"/>

        <!-- 
            Rule ID: VR.ATO.PTR.430242
            
            IF CONTEXT(INT) <> NULL AND [PTR171] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR171] = PTR:INT:PersonUnstructuredName.FullName.Text 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonUnstructuredName.Usage.Code = "Contact") 
                    IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName )        
        -->
        <assert id="VR.ATO.PTR.430242" diagnostics="DVR.ATO.PTR.430242"
                test="not(
                            $INT.Context 
                            and
                            not(
                                prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]
                                    /pyde.02.00:PersonUnstructuredName.FullName.Text
                                    [
                                     not (@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId 
                                     and string-length(normalize-space(.)) != 0 
                                     and
                                     ../pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') 
                                     and @contextRef = $INT.ContextId and exslt:uppercase(.) = 'CONTACT']
                                    ]                                
                               )
                      )"/>



        <!--    
            IF (RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator = TRUE) 
            AND ((RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount = NULL) 
                  OR (RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount = NULL) 
                  OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator = NULL) 
                  OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator = NULL)
                )
              RETURN VALIDATION MESSAGE
            ENDIF
            
        -->

        <assert id="VR.ATO.GEN.438010" diagnostics="DVR.ATO.GEN.438010"
                test="not(
                            ($PTR110[regexp:test(.,'^(true|1)$')]) 
                                and (
                                       (not($PTR265)) 
                                    or (not($PTR266)) 
                                    or (not($PTR268)) 
                                    or (not($PTR271))
                                     )
                          )" />


        <!-- 
        IF (RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator = FALSE)
            AND (
                    (RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> NULL) 
                 OR (RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL) 
                 OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator <> NULL) 
                 OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator <> NULL) 
                 OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator <> NULL) 
                 OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator <> NULL) 
                 OR (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator <> NULL)
                )
          RETURN VALIDATION MESSAGE
        ENDIF        
      -->
        <assert id="VR.ATO.GEN.438011" diagnostics="DVR.ATO.GEN.438011"
                test="not(
                             ($PTR110[regexp:test(.,'^(false|0)$')]) 
                                and 
                                (
                                   ($PTR265) 
                                or ($PTR266) 
                                or ($PTR268) 
                                or ($PTR271)
                                or ($PTR276) 
                                or ($PTR272)
                                or ($PTR275)
                                )
                          )" />



        <!--
                IF SUM([PTR164]) > [PTR107]
                    RETURN VALIDATION MESSAGE
                ENDIF

                [PTR107] = PTR:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
                [PTR164] = PTR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            -->
        <assert id="VR.ATO.PTR.431008" diagnostics="DVR.ATO.PTR.431008"
                test="not(              
                        round(100* sum(common:node-set(ptr.0003.lodge.req.02.00:StatementOfDistribution/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &gt; round(100* sum(common:node-set(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!--   
            IF [PTR327] <> NULL AND ([PTR70] = NULL OR [PTR70] = 0) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR70] = PTR:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [PTR327] = PTR:RP.JAUS.NonPrim:pyde.02.05:Party.TrustType.Code
        -->
        <assert id="VR.ATO.PTR.431043" diagnostics="DVR.ATO.PTR.431043"
                test="not(
                            $PTR327
                        and
                        (
                            not($PTR70)
                            or
                            sum(common:node-set($PTR70)) = 0
                        )
                      )"/>

    </rule>

    <rule context="ptr.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherDeductions)
            IF [PTR95] <> NULLORBLANK AND ([PTR96] = 0 OR [PTR96] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR95] = PTR:RP.JAus:Expense.DeductibleOther.Text IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherDeductions )
            [PTR96] = PTR:RP.JAus:Expense.DeductibleOther.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherDeductions )
        -->
        <assert id="VR.ATO.PTR.430110" diagnostics="DVR.ATO.PTR.430110"
             test="not((bafpr1.02.04:Expense.DeductibleOther.Text[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and(not (bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or sum(common:node-set(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                            )
                            )"/>
        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherDeductions)
            IF (bafpr1.xx.xx:Expense.DeductibleOther.Amount > 0) AND (bafpr1.xx.xx:Expense.DeductibleOther.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR95] = PTR:RP.JAus:Expense.DeductibleOther.Text IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherDeductions )
            [PTR96] = PTR:RP.JAus:Expense.DeductibleOther.Amount IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherDeductions )
        -->
        <assert id="VR.ATO.PTR.430108" diagnostics="DVR.ATO.PTR.430108"
                test="not(
                        sum(common:node-set(bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and not(bafpr1.02.04:Expense.DeductibleOther.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"/>
    </rule>


    <rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID :VR.ATO.GEN.432016

           "WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
            IF pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL
            OR pyde.xx.xx:ElectronicContact.Telephone.Usage.Code <> ""03"" 
            OR pyde.xx.xx:Electronic Contact.Telephone.ServiceLine.Code <> SET (""01"", ""02"")
               RETURN VALIDATION MESSAGE
            ENDIF
            "

            
        -->
        <assert  id="VR.ATO.GEN.432016" diagnostics="DVR.ATO.GEN.432016"
                          test="count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[ not(@i:nil='true' or @i:nil='1')]) != 0
                         and ( pyde.02.00:ElectronicContact.Telephone.Usage.Code[ not(@i:nil='true' or @i:nil='1')] ='03')
                         and ( pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[ not(@i:nil='true' or @i:nil='1') and (regexp:test(.,'^(01|02)$'))])
                         "></assert>
    </rule>

    <!--
        pyin.02.00:Report.CompletionHours.Number
    -->
    <rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.GEN.430206    
    
            IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) 
                AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206"
                test=". &gt;='1' and . &lt;='999'"/>
    </rule>

    <rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF ([PTR160] <> NULL
                OR [PTR161] <> NULL
                OR [PTR162] <> NULL
                OR [PTR163] <> NULL)
                AND [PTR159] = NULL AND [PTR324] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR159] = PTR:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount
            IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR160] = PTR:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR161] = PTR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
            IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR162] = PTR:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
            IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR163] = PTR:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
            IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR324] = PTR:RP:bafpr1.02.09:Income.DistributionFranked.Amount
            IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
        -->
        <assert id="VR.ATO.PTR.430148" diagnostics="DVR.ATO.PTR.430148"
                test="not(
                           (
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount [not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                            or 
                            rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                            or
                            rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                            or 
                            rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                           )
                           and
                           not(bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.NonPrim.ContextId])
                           and
                           not(bafpr1.02.09:Income.DistributionFranked.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])
                         )"/>

        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF ([PTR146] <> NULLORBLANK OR [PTR147] <> NULLORBLANK OR [PTR148] <> NULLORBLANK OR [PTR149] <> NULLORBLANK OR [PTR151] <> NULLORBLANK OR [PTR152] <> NULLORBLANK OR [PTR153] <> NULLORBLANK OR [PTR154] <> NULLORBLANK OR [PTR155] <> NULLORBLANK OR [PTR156] <> NULLORBLANK OR [PTR157] <> NULLORBLANK) AND ([PTR158] = NULL AND [PTR159] = NULL AND [PTR324] = NULL AND [PTR161] = NULL AND [PTR162] = NULL AND [PTR164] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR146] = PTR:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR147] = PTR:RP:pyde.02.00:PersonNameDetails.GivenName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR148] = PTR:RP:pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR149] = PTR:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR151] = PTR:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = "POS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR152] = PTR:RP:pyde.02.00:AddressDetails.Line2.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = "POS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR153] = PTR:RP:pyde.02.00:AddressDetails.LocalityName.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = "POS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR154] = PTR:RP:pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE (pyde.02.01:AddressDetails.Usage.Code = "POS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR155] = PTR:RP:pyde.02.00:AddressDetails.Postcode.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = "POS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR156] = PTR:RP:pyde.02.08:AddressDetails.CountryName.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = "POS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR157] = PTR:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR158] = PTR:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR159] = PTR:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR161] = PTR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR162] = PTR:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR164] = PTR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR324] = PTR:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
        -->
        <assert id="VR.ATO.PTR.430146" diagnostics="DVR.ATO.PTR.430146"
                test="not(
                            (
                                prsnstrcnm3.02.01:PersonNameDetails
                                [
                                    not(@i:nil='true' or @i:nil='1')
                                    and
                                    pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'LGL']
                                    and 
                                    pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'Contact']
                                    and
                                    (
                                        pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]
                                        or
                                        pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]
                                        or
                                        pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]
                                    )

                                ]
                                or
                                orgname2.02.00:OrganisationNameDetails
                                [
                                    not(@i:nil='true' or @i:nil='1')
                                    and
                                    pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'MN']
                                    and 
                                    pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'C']
                                    and 
                                    pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]
                                ]
                                or
                                address2.02.02:AddressDetails
                                [
                                exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code)='POS'
                                and
                                exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code)='C'
                                and
                                (
                                    pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    or
                                    pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    or
                                    pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    or
                                    pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    or
                                    pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    or
                                    pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                )
                                ]  
                                or
                                pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                not(bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Prim.ContextId])
                                and
                                not(bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.NonPrim.ContextId])
                                and
                                not(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount [not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])
                                and
                                not(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])
                                and
                                not(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])
                                and
                                not(bafpr1.02.09:Income.DistributionFranked.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])
                            )
                         )"/>

        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
              IF (rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount > 0) 
              AND (RP.Prim:bafpr1.xx.xx:Income.BeneficiaryShare.Amount = NULL) 
              AND (RP.NonPrim:bafpr1.xx.xx:Income.BeneficiaryShare.Amount = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF [PTR160] > 0 AND [PTR158] = NULL AND [PTR159] = NULL AND [PTR324] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR158] = PTR:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR159] = PTR:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR160] = PTR:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR324] = PTR:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
        -->
        <assert id="VR.ATO.PTR.430143" diagnostics="DVR.ATO.PTR.430143"
                test="not(
                        sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])) &gt; 0
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Prim.ContextId])
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.NonPrim.ContextId])
                        and not(bafpr1.02.09:Income.DistributionFranked.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])
                      )"/>
        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier = NULLORBLANK) AND COUNT (TUPLE(address2.xx.xx:AddressDetails)) = 0
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430141" diagnostics="DVR.ATO.PTR.430141"
                test="not (not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      and  count(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]) = 0)"/>
        <!--
            Rule ID: VR.ATO.PTR.430142

            IF (ANY OCCURRENCE OF[PTR157]) = RP:entity.identfier.TFN
                RETURN VALIDATION MESSAGE
            [PTR157] = PTR:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution )
        -->

        <assert id="VR.ATO.PTR.430142" diagnostics="DVR.ATO.PTR.430142"
                test=" not( count(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])!=0
                and (pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = $RP.Identifier.TFN)
                )
                "/>
        <!--    
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK) 
            AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430136" diagnostics="DVR.ATO.PTR.430136"
                test="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/
                        pyde.02.00:PersonNameDetails.FamilyName.Text[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]
                        or
                        orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                        pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF (lrla.xx.xx:Remuneration.PartnerWithNoControlAndShareDisposalInPartnershipIncome.Indicator = TRUE) AND COUNT TUPLE (prsnstrcnm3.xx.xx:PersonNameDetails) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430280" diagnostics="DVR.ATO.PTR.430280"
                test="not(
                        lrla.02.00:Remuneration.PartnerWithNoControlAndShareDisposalInPartnershipIncome.Indicator[ not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and count(prsnstrcnm3.02.01:PersonNameDetails)!=1
                      )"/>

        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND 
               (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430139" diagnostics="DVR.ATO.PTR.430139"
                test="not(                  
                          prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/
                            pyde.02.00:PersonNameDetails.FamilyName.Text
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                          and
                          orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                      )"/>

        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF [PTR163] > 0 AND [PTR158] = NULL AND [PTR159] = NULL AND [PTR324] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR158] = PTR:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR159] = PTR:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR163] = PTR:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
            [PTR324] = PTR:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(ptr.0003.lodge.req.02.00:StatementOfDistribution)
        -->
        <assert id="VR.ATO.PTR.430149" diagnostics="DVR.ATO.PTR.430149"
                test="not(
                        sum(common:node-set(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Prim.ContextId])
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.NonPrim.ContextId])
                        and not(bafpr1.02.09:Income.DistributionFranked.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])
                      )"/>

    </rule>

    <rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@nil='true' or @nil='1')]">
        <!-- 
            WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE (ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> ""LGL"") OR (pyde.xx.xx:PersonNameDetails.Currency.Code <> ""C"") OR (pyde.xx.xx:PersonNameDetails.Usage.Code <> ""Contact"")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430311" diagnostics="DVR.ATO.PTR.430311"
                test="not(  
                            not (exslt:uppercase(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'LGL')
                            or not (exslt:uppercase(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C')
                            or not (exslt:uppercase(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'CONTACT')
                          )"/>
    </rule>

    <rule context="ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            WHERE IN TUPLE(address2.xx.xx:AddressDetails) IN TUPLE (ptr.0003.lodge.req.xx.xx:StatementOfDistribution)
            IF (pyde.xx.xx:AddressDetails.Usage.Code <> ""POS"") OR (pyde.xx.xx:AddressDetails.Currency.Code <> ""C"") 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430309" diagnostics="DVR.ATO.PTR.430309"
                test="not(  
                            not(exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'POS')
                            or not(exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C')
                         )"/>
    </rule>

    <rule context="ptr.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF [PTR25] <> NULLORBLANK AND [PTR24] = NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR25] = PTR:RP:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(ptr.0003.lodge.req.xx.xx:MailRecipient)
            [PTR24] = PTR:RP:OrganisationNameDetails.OrganisationalName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                    AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                        IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails ) 
                            IN TUPLE(ptr.0003.lodge.req.xx.xx:MailRecipient)        
        -->
        <assert id="VR.ATO.PTR.430013" diagnostics="DVR.ATO.PTR.430013"
                test="not(
                        pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]
                        and 
                        not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                        [
                        not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0
                        and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'MN']
                        and ../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'C']
                        ])
                      )" />




        <!--
            IF [PTR24] <> NULLORBLANK AND [PTR20] <> NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR24] = PTR:RP:OrganisationNameDetails.OrganisationalName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
	            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
		            IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails ) 
			            IN TUPLE(ptr.0003.lodge.req.xx.xx:MailRecipient)

            [PTR20] = PTR:RP:PersonNameDetails.FamilyName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
	            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "MailRecipient")) 
		            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) 
			            IN TUPLE(ptr.0003.lodge.req.xx.xx:MailRecipient)
        -->
        <assert id="VR.ATO.PTR.430010" diagnostics="DVR.ATO.PTR.430010"
                test="not(
                        (orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'MN']
                            and orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'C']
                            and orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0])
                        and
                        (prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'LGL']
                            and prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'MAILRECIPIENT']
                            and prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0])
                      )" />

        <!--
            IF [PTR20] = NULLORBLANK AND [PTR24] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            [PTR20] = PTR:RP:PersonNameDetails.FamilyName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "MailRecipient")) 
                    IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) 
                        IN TUPLE(ptr.0003.lodge.req.xx.xx:MailRecipient)
            [PTR24] = PTR:RP:OrganisationNameDetails.OrganisationalName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                    IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails ) 
                        IN TUPLE(ptr.0003.lodge.req.xx.xx:MailRecipient)        
        -->
        <assert id="VR.ATO.PTR.430012" diagnostics="DVR.ATO.PTR.430012"
                test="not(
                        (prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'LGL']
                            and prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'MAILRECIPIENT']
                            and not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]))
                        and
                        (orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'MN']
                            and orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'C']
                            and not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]))
                      )" />

    </rule>

    <rule context="ptr.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE (ptr.0003.lodge.req.xx.xx:MailRecipient)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> ""LGL"") OR (pyde.xx.xx:PersonNameDetails.Currency.Code <> ""C"") OR (pyde.xx.xx:PersonNameDetails.Usage.Code <> ""MailRecipient"")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430310" diagnostics="DVR.ATO.PTR.430310"
                test="not(  
                            not (exslt:uppercase(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'LGL')
                            or not (exslt:uppercase(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C')
                            or  not (exslt:uppercase(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'MAILRECIPIENT')
                         )" />
    </rule>



    <rule context="ptr.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--

            WHERE IN TUPLE (Organisationname2.xx.xx:OrganisationNameDetails) 
            IN TUPLE (ptr.0003.lodge.req.xx.xx:MailRecipient)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
            ENDIF
        
        -->
        <assert id="VR.ATO.PTR.430304" diagnostics="DVR.ATO.PTR.430304"
                test="not(
                            not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(MN)$')])
                            or not(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(C)$')])
                      
                        )"/>





    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--
              Rule ID: VR.ATO.GEN.436279
        
              WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) 
                IN TUPLE(declaration2.xx.xx:Declaration)
                IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "DeclarationSignatory"
                    RETURN VALIDATION MESSAGE
                ENDIF
           -->
        <assert id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279.PTR"
                test="pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='DECLARATIONSIGNATORY']
                   "/>

    </rule>

    <rule context="ptr.0003.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(ptr.0003.lodge.req.xx.xx:OtherAustralianIncome)
            IF (bafpr1.xx.xx:Income.Other.Description <> NULLORBLANK OR bafpr1.xx.xx:Income.Other.Amount <> NULL)
            AND (bafpr1.xx.xx:Income.Other.Description = NULLORBLANK OR bafpr1.xx.xx:Income.Other.Amount  = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430104" diagnostics="DVR.ATO.PTR.430104"
                test="not(
                          (bafpr1.02.00:Income.Other.Description[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                           or bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')])
                          and
                          (not(bafpr1.02.00:Income.Other.Description[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                           or not(bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')]))
                      )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--  
            WHERE IN TUPLE (xbrli\personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> ""Contact""
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432391" diagnostics="DVR.ATO.GEN.432391.PTR"
                test="not(
                        pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')
                          and (@contextRef = $INT.ContextId and exslt:uppercase(.) != 'CONTACT')]
                      )"/>

    </rule>

</pattern>
