﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.PTR.430218
                
            IF COUNT TUPLE (xbrli/Organisationname2.xx.xx:OrganisationNameDetails 
               WHERE TUPLE ELEMENT 
               (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
               AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C") 
               AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK)) <> 1
                    RETURN VALIDATION MESSAGE
            ENDIF
         -->

        <assert  id="VR.ATO.PTR.430218" diagnostics="DVR.ATO.PTR.430218"
                 test="not(
                            count(
                                    orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')
                                    and pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']
                                    and pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']
                                    and pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]]
                                 ) != 1
                      )"/>
        
        <!-- 
            Rule ID: VR.ATO.PTR.430221

            IF COUNT TUPLE (xbrli/address2.xx.xx:AddressDetails 
                WHERE TUPLE ELEMENT (pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") 
                AND (pyde.xx.xx:AddressDetails.Currency.Code = ""C"") 
                AND (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
            

        -->
        <assert  id="VR.ATO.PTR.430221" diagnostics="DVR.ATO.PTR.430221" 
                 test="not
	                   (
                           count(
                               address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                   /pyde.02.00:AddressDetails.Line1.Text
                                   [not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                    and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                                    and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code) = 'C']
                                )!= 1                            
	                    )"/>
        
        <!-- 
            Rule ID: VR.ATO.PTR.430216

            IF (PTR:RP:pyin.xx.xx:Report.TargetFinancial.Year = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.PTR.430216" diagnostics="DVR.ATO.PTR.430216"
                test="pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.PTR.430217
            
            IF [PTR29] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR29] = PTR:RP:Lodgment.FinalReturn.Indicator
        -->
        <assert id="VR.ATO.PTR.430217" diagnostics="DVR.ATO.PTR.430217"
                test="pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            Rule ID: VR.ATO.PTR.430219
            
            IF [PTR109] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR109] = PTR:RP:InternationalDealings.TransactionswithTaxHavenCountries.Indicator
        -->
        <assert id="VR.ATO.PTR.430219" diagnostics="DVR.ATO.PTR.430219"
                test="rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
        <!--
            Rule ID: VR.ATO.PTR.430222
            
            IF [PTR97] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR97] = PTR:RP.JAus:Income.Net.Amount
        -->
        <assert id="VR.ATO.PTR.430222" diagnostics="DVR.ATO.PTR.430222"
                test="bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
        <!--
            Rule ID: VR.ATO.PTR.430223
            
            IF [PTR102] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [PTR102] = PTR:RP.JForeign:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        -->
        <assert id="VR.ATO.PTR.430223" diagnostics="DVR.ATO.PTR.430223"
                test="bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
        <!--
            Rule ID: VR.ATO.430240
            
            IF [PTR108] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR108] = PTR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        -->
        <assert id="VR.ATO.PTR.430240" diagnostics="DVR.ATO.PTR.430240"
                test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
        <!--
            Rule ID: VR.ATO.PTR.430247
            
            IF [PTR250] = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR250] = PTR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
        -->
        <assert id="VR.ATO.PTR.430247" diagnostics="DVR.ATO.PTR.430247"
                test="rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        <!--
            IF [PTR110] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [PTR110] = PTR:RP:bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator
        -->
        <assert id="VR.ATO.PTR.431033" diagnostics="DVR.ATO.PTR.431033"
                test="bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
    </rule>
</pattern>
