﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Context Id variables that are applicable accross all of the PTR services.</title>

    <!-- RP Context -->
    <let name="RP.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />

    <!-- RP Context Id -->
    <let name="RP.ContextId" value="$RP.Context/@id" />
   <let
		name="RP.Identifier.TFN"
		value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                    and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')
                    and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]/
                    ../../xbrli:identifier[exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']" />

    <!-- INT Context -->
    <let name="INT.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]" />

    <!-- INT Context Id -->
    <let name="INT.ContextId" value="$INT.Context/@id" />

    <!-- RP.JFOREIGN Context -->
    <let name="RP.JFOREIGN.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]
            ]" />

    <!-- RP.JFOREIGN Context Id -->
    <let name="RP.JFOREIGN.ContextId" value="$RP.JFOREIGN.Context/@id" />

    <!-- RP.JAUS Context -->
    <let name="RP.JAUS.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]
            ]" />

    <!-- RP.JAUS Context Id -->
    <let name="RP.JAUS.ContextId" value="$RP.JAUS.Context/@id" />

    <!-- RP.Prim Context Variables -->
    <let name="RP.Prim.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and regexp:test(., '^IndustryProductionType\.\d\d\.\d\d:PrimaryProduction$')]) = 1]
           ]" />
    
    <let name="RP.Prim.ContextId" value="$RP.Prim.Context/@id" />

    <!-- RP.NonPrim Context Variables -->
    <let name="RP.NonPrim.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and regexp:test(., '^IndustryProductionType\.\d\d\.\d\d:NonPrimaryProduction$')]) = 1]
           ]" />
    
    <let name="RP.NonPrim.ContextId" value="$RP.NonPrim.Context/@id" />

    <!-- RP.TOFA Context -->
    <let name="RP.TOFA.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and regexp:test(., '^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
            ]" />

     <!--RP.TOFA Context Id--> 
    <let name="RP.TOFA.ContextId" value="$RP.TOFA.Context/@id" />

    <!-- RPI.Opening Context -->
    <let name="RPI.Opening.Context" 
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1]
           ]" />

    <!-- RPI.Opening Context Id -->
    <let name="RPI.Opening.ContextId" value="$RPI.Opening.Context/@id" />

    <!-- RPI.Closing Context -->
    <let name="RPI.Closing.Context" 
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
           ]" />

    <!-- RPI.Closing Context Id -->
    <let name="RPI.Closing.ContextId" value="$RPI.Closing.Context/@id" />

    <!-- RP.LowCost Context -->
    <let name="RP.LowCost.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^SmallBusinessDepreciatingAsset.\d\d\.\d\d:SmallBusinessDepreciatingAssetTypeDimension$') and regexp:test(., '^SmallBusinessDepreciatingAsset\.\d\d\.\d\d:LowCost$')]) = 1]
           ]" />

    <!-- RP.LowCost Context Id -->
    <let name="RP.LowCost.ContextId" value="$RP.LowCost.Context/@id" />

    <!-- RP.GeneralPool Context -->
    <let name="RP.GeneralPool.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^SmallBusinessDepreciatingAsset.\d\d\.\d\d:SmallBusinessDepreciatingAssetTypeDimension$') and regexp:test(., '^SmallBusinessDepreciatingAsset\.\d\d\.\d\d:GeneralPool$')]) = 1]
           ]" />

    <!-- RP.GeneralPool Context Id -->
    <let name="RP.GeneralPool.ContextId" value="$RP.GeneralPool.Context/@id" />
    
    <!--Triple Dimension Context Variables-->
    
    <!-- RP.JAUS.Prim.Context Variables -->
    <let name="RP.JAUS.Prim.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and regexp:test(., '^IndustryProductionType\.\d\d\.\d\d:PrimaryProduction$')]) = 1]
           ]" />
    
    <let name="RP.JAUS.Prim.ContextId" value="$RP.JAUS.Prim.Context/@id" />

    <!-- RP.JAUS.NonPrim Context Variables -->
    <let name="RP.JAUS.NonPrim.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and regexp:test(., '^IndustryProductionType\.\d\d\.\d\d:NonPrimaryProduction$')]) = 1]
           ]" />
    
    <let name="RP.JAUS.NonPrim.ContextId" value="$RP.JAUS.NonPrim.Context/@id" />

    <!-- RP.JFOREIGN.CFCLC.Context Variables -->
    <let name="RP.JFOREIGN.CFCLC.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
    
    <let name="RP.JFOREIGN.CFCLC.ContextId" value="$RP.JFOREIGN.CFCLC.Context/@id" />

    <!-- RP.JFOREIGN.CFC404.Context Variables -->
    <let name="RP.JFOREIGN.CFC404.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
    
    <let name="RP.JFOREIGN.CFC404.ContextId" value="$RP.JFOREIGN.CFC404.Context/@id" />

    <!-- RP.JFOREIGN.CFCUC.Context Variables -->
    <let name="RP.JFOREIGN.CFCUC.Context"
         value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
    
    <let name="RP.JFOREIGN.CFCUC.ContextId" value="$RP.JFOREIGN.CFCUC.Context/@id" />

</pattern>