﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>RDTIS Field Pattern Validations</title>

    <rule context="bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount <> NULL 
            AND bafpr3.xx.xx:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.RDTIS.438011" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount <> NULL
            AND bafpr3.xx.xx:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.RDTIS.438016" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="regexp:test(.,'^[0-9]{1,11}$')"/>
    </rule>
        
    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.BalancingLosses.Amount <> NULL 
            AND bafpr3.xx.xx:Expense.ResearchAndDevelopment.BalancingLosses.Amount <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.RDTIS.438018" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="regexp:test(.,'^[0-9]{1,11}$')
                      "/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount <> NULL 
            AND bafpr3.xx.xx:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.RDTIS.438019" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="regexp:test(.,'^[0-9]{1,11}$')
                      "/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        
            <!--IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.AllocatedTotal.Amount <> NULL 
            AND bafpr3.xx.xx:Expense.ResearchAndDevelopment.AllocatedTotal.Amount <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF-->

        
        <assert id="VR.ATO.RDTIS.438020" diagnostics="DVR.ATO.MONEY.U.11.0"
                test=" regexp:test(.,'^[0-9]{1,11}$')
                      "/>
    </rule>

    <rule context="bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockRevenueTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS25] <> NULL AND [RDTIS25] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS25] = RDTIS:RP:bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockRevenueTotal.Amount
        -->
        <assert id="VR.ATO.RDTIS.438027" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>
    
    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.FeedstockInput.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS26] <> NULL AND [RDTIS26] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS26] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.FeedstockInput.Amount
        -->
        <assert id="VR.ATO.RDTIS.438028" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS27] <> NULL AND [RDTIS27] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS27] = RDTIS:RP:bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockNet.Amount
        -->
        <assert id="VR.ATO.RDTIS.438029" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagg.02.03:ResearchAndDevelopment.GovernmentGrantsAndRecoupments.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS28] <> NULL AND [RDTIS28] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS28] = RDTIS:RP:gfagg.02.03:ResearchAndDevelopment.GovernmentGrantsAndRecoupments.Amount
        -->
        <assert id="VR.ATO.RDTIS.438030" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.RecoupmentRelated.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS29] <> NULL AND [RDTIS29] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS29] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.RecoupmentRelated.Amount
        -->
        <assert id="VR.ATO.RDTIS.438031" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.GrantRelated.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS30] <> NULL AND [RDTIS30] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS30] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.GrantRelated.Amount
        -->
        <assert id="VR.ATO.RDTIS.438032" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS32] <> NULL AND [RDTIS32] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS32] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount
        -->
        <assert id="VR.ATO.RDTIS.438034" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS33] <> NULL AND [RDTIS33] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS33] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount
        -->
        <assert id="VR.ATO.RDTIS.438035" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS34] <> NULL AND [RDTIS34] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS34] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount
        -->
        <assert id="VR.ATO.RDTIS.438036" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS43] <> NULL AND [RDTIS43] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS43] = RDTIS:RP:gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount

        -->
        <assert id="VR.ATO.RDTIS.438047" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS44] <> NULL AND [RDTIS44] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS44] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount

        -->
        <assert id="VR.ATO.RDTIS.438048" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS46] <> NULL AND [RDTIS46] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS46] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
        -->
        <assert id="VR.ATO.RDTIS.438054" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                         )"/>
    </rule>

    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS47] <> NULL AND [RDTIS47] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS47] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount
        -->
        <assert id="VR.ATO.RDTIS.438056" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>

    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS48] <> NULL AND [RDTIS48] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS48] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        -->
        <assert id="VR.ATO.RDTIS.438058" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                         )"/>
    </rule>

    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount <> NULL AND gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.RDTIS.438042" diagnostics="DVR.ATO.MONEY.U.11.0"
                 test="not(
                            not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>
    
    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS31] <> NULL AND [RDTIS31] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS31] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount

        -->
        <assert id="VR.ATO.RDTIS.438033" diagnostics="DVR.ATO.MONEY.U.13.2"
                 test="not(
                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))

                         )"/>
    </rule>

    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS3] <> NULL AND [RDTIS3] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS3] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount
        -->
        <assert id="VR.ATO.RDTIS.438010" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>

    <!--<rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        --><!--
            IF [RDTIS24] <> NULL AND [RDTIS24] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS24] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount

        --><!--
        <assert id="VR.ATO.RDTIS.438023" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>-->
    
    <rule context="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RDTIS45] <> NULL AND [RDTIS45] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS45] = RDTIS:RP:gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount

        -->
        <assert id="VR.ATO.RDTIS.438051" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>

   
    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
             IF [RDTIS35] <> NULL AND [RDTIS35] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
             ENDIF

             [RDTIS35] = RDTIS:RP:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount
        -->
            <assert id="VR.ATO.RDTIS.438038" diagnostics="DVR.ATO.MONEY.U.11.0"
                    test="not(
                            @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>

        <!--
            IF [RDTIS51] <> NULL AND [RDTIS51] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS51] = RDTIS:RP.YPrevious:bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount
        -->
        <assert id="VR.ATO.RDTIS.438061" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                          @contextRef = $RP.YPrevious.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>
   
    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[not(@i:nil='true' or @i:nil='1')]">
            <!--
              IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount <> NULL AND
              bafpr3.xx.xx:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
               ENDIF
        -->
            <assert id="VR.ATO.RDTIS.438017" diagnostics="DVR.ATO.MONEY.U.11.0"
                    test="regexp:test(.,'^[0-9]{1,11}$')
                         "/>
    </rule>
    
    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.Feedstock.Amount <> NULL 
            AND bafpr3.xx.xx:Expense.ResearchAndDevelopment.Feedstock.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.RDTIS.438015" diagnostics="DVR.ATO.MONEY.U.11.0"
                  test="regexp:test(.,'^[0-9]{1,11}$')
                   "/>
    </rule>
   
    <rule context="bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount <> NULL 
            AND bafpr3.xx.xx:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.RDTIS.438014" diagnostics="DVR.ATO.MONEY.U.11.0"
                  test="regexp:test(.,'^[0-9]{1,11}$')
                   "/>
    </rule>


    <rule context="lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF lrla.xx.xx:Remuneration.WagesAndSalaries.Salary.Amount <> NULL AND lrla.xx.xx:Remuneration.WagesAndSalaries.Salary.Amount <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.RDTIS.438013" diagnostics="DVR.ATO.MONEY.U.11.0"
                  test="not(
                            not(regexp:test(.,'^[0-9]{1,11}$'))
                         )
                   "/>
    </rule>


    <rule context="bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr3.xx.xx:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount <> NULL AND
                    bafpr3.xx.xx:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.RDTIS.438012" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            not(regexp:test(.,'^[0-9]{1,11}$'))
                         )"/>
    </rule>

    <rule context="gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount[not(@i:nil='true' or @i:nil='1')]" >

        <!--
            IF [RDTIS52] <> NULL AND [RDTIS52] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [RDTIS52] = RDTIS:RP:gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount
        -->
        <assert id="VR.ATO.RDTIS.438064" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef=$RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                        )"
                />
    </rule>
    
 


</pattern>
