﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:common="http://exslt.org/common" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:date="http://exslt.org/dates-and-times" xmlns:math="http://exslt.org/math" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:bafpr3.02.08="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.08.data" xmlns:bafpr3.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.09.data" xmlns:gfagc.02.04="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data" xmlns:gfagc.02.05="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.05.data" xmlns:gfagc.02.06="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.06.data" xmlns:gfagg.02.03="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.03.data" xmlns:lrla.02.12="http://sbr.gov.au/icls/lr/lrla/lrla.02.12.data" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" xmlns:gfagc.02.07="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.07.data" xmlns:ConcessionType.02.00="http://sbr.gov.au/dims/ConcessionType.02.00.dims" xmlns:RprtPyType.02.05="http://sbr.gov.au/dims/RprtPyType.02.05.dims" xmlns:rdtis.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/rdtis/rdtis.0002.lodge.request.02.00.report" xmlns:rdtis.0002.prv.02.00="http://sbr.gov.au/rprt/ato/rdtis/rdtis.0002.private.02.00.module"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M43" /><xsl:apply-templates select="/" mode="M44" /><xsl:apply-templates select="/" mode="M47" /><xsl:apply-templates select="/" mode="M48" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN ContextRDTIS Context Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count($RP.Context) != 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.402009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:context[@id=$RP.CTAUS.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']                           !=                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438000</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           xbrli:context[@id=$RP.YPrevious.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']                           !=                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438063</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:context[@id=$RP.CTFOR.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']                           !=                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:context[@id=$GM.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']                           =                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.CTAUS.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.CTFOR.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438005</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:xbrl</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$GM.ContextId]) &gt; 19)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438006</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:xbrl</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.YPrevious.Context) &gt; 1                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438062</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(../../@id = $GM.ContextId and                         not(exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn' and function:ValidateTFN(.)))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M43">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme != 'http://www.ato.gov.au/tfn']                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001021</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                             xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn' and                                                  ../xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[@dimension='RprtPyType.02.05:ReportPartyTypeDimension' and .='RprtPyType.02.05:GroupMember']]                         =                          preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1')]/                             xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                                 xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn' and                                                      ../xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[@dimension='RprtPyType.02.05:ReportPartyTypeDimension' and .='RprtPyType.02.05:GroupMember']]                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438060</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template><xsl:template match="text()" priority="-1" mode="M43" /><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="@*|*" mode="M43" /></xsl:template>

<!--
        PATTERN FieldPatternsRDTIS Field Pattern Validations-->


	<!--
      RULE -->
<xsl:template match="bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1029" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1028" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="regexp:test(.,'^[0-9]{1,11}$')                       " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="regexp:test(.,'^[0-9]{1,11}$')                       " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test=" regexp:test(.,'^[0-9]{1,11}$')                       " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockRevenueTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.FeedstockInput.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagg.02.03:ResearchAndDevelopment.GovernmentGrantsAndRecoupments.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.RecoupmentRelated.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.GrantRelated.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             not(regexp:test(.,'^[0-9]{1,11}$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $RP.YPrevious.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="regexp:test(.,'^[0-9]{1,11}$')                          " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="regexp:test(.,'^[0-9]{1,11}$')                    " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="regexp:test(.,'^[0-9]{1,11}$')                    " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             not(regexp:test(.,'^[0-9]{1,11}$'))                          )                    " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             not(regexp:test(.,'^[0-9]{1,11}$'))                          )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M44">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef=$RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                         )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template><xsl:template match="text()" priority="-1" mode="M44" /><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

<!--
        PATTERN VariablesRDTIS Variables-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="GM.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]             ]" /><xsl:variable name="GM.ContextId" select="$GM.Context/@id" /><xsl:variable name="RP.CTAUS.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1]             ]" /><xsl:variable name="RP.CTAUS.ContextId" select="$RP.CTAUS.Context/@id" /><xsl:variable name="RP.CTFOR.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1]             ]" /><xsl:variable name="RP.YPrevious.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:YPrevious$')]) = 1]            ]" /><xsl:variable name="RP.YPrevious.ContextId" select="$RP.YPrevious.Context/@id" /><xsl:variable name="RP.CTFOR.ContextId" select="$RP.CTFOR.Context/@id" /><xsl:variable name="GM.Identifier.TFN" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                     and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                     and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]/                                                              ../../xbrli:identifier[exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']" /><xsl:template match="text()" priority="-1" mode="M47" /><xsl:template match="@*|node()" priority="-2" mode="M47"><xsl:apply-templates select="@*|*" mode="M47" /></xsl:template>

<!--
        PATTERN AbstractsAbstracts Validations-->
<xsl:template match="text()" priority="-1" mode="M48" /><xsl:template match="@*|node()" priority="-2" mode="M48"><xsl:apply-templates select="@*|*" mode="M48" /></xsl:template></xsl:stylesheet>