﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>

    <rule context="xbrli:xbrl">

        <!--
            Rule ID: VR.ATO.GEN.010030
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE CMN.ATO.GEN.010030
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030"
                test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not (regexp:test(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')],'^(|1|2|3|4|5|6|7|8|9)$'))
                   )"/>
        <!--
            IF pyin.xx.xx:Report.AmendmentType.Code <> NULL AND pyin.xx.xx:Report.AmendmentType.Code <> SET("3", "4")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010031" diagnostics="DVR.ATO.GEN.010031"
                test="not(
                        pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')]
                        and not (regexp:test(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')],'^(3|4)$'))
                      )"/>
        <!--
            IF [SMSFAR41] <> NULL AND [SMSFAR41] <> SET(0-999)
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR41] = SMSFAR:RP:InternationalDealings.ForeignFundTransfers.Count
        -->
        <assert id="VR.ATO.SMSFAR.436050" diagnostics="DVR.ATO.SMSFAR.436050"
                test="not(
                        rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not(
                                regexp:test(rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^([0-9]|[1-9][0-9]|[0-9][0-9][0-9])$')
                            )
                      )"/>

        <!--
            IF [SMSFAR163] <> NULL AND [SMSFAR163] <> SET(""R"",""V"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR163] = SMSFAR:RP:Elections.FamilyTrustElectionRevocation.Code
        -->
        <assert id="VR.ATO.SMSFAR.436195" diagnostics="DVR.ATO.SMSFAR.436195"
                test="not(
                            rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    regexp:test(rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(R|V)$')
                                )
                           )"/>
        <!--
            IF ([SMSFAR165] <> NULL) AND ([SMSFAR165] <> ""R"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR165] = SMSFAR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->
        <assert id="VR.ATO.SMSFAR.436198" diagnostics="DVR.ATO.SMSFAR.436198"
                test="not(
                            rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and not(
                                    regexp:test(rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code
                                    [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(?i)(R)$')
                                )
                           )"/>

    </rule>

    <rule context="email1.02.00:ElectronicContactElectronicMail">
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->
        <assert id="VR.ATO.GEN.430222" diagnostics="DVR.ATO.GEN.430222"
                test="not(
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(@)(.*)$') 
                         or 
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(.*)(?i)(@)$')
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430223" diagnostics="DVR.ATO.GEN.430223"
                test="not(
                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(@)(.*)(@)(.*)$') 
                      )"/>
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430224" diagnostics="DVR.ATO.GEN.430224"
                test="not(
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(\.)(.*)$') 
                         or 
                         regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(.*)(?i)(\.)$')
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->
        <assert id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226"
                test="not(
                           regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                            [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(\.\.)(.*)$') 
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS .@
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227"
                test="not(
                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(\.@)(.*)$')
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228"
                test="not(
                        regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                    [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(@\.)(.*)$') 
                      )"/>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS SET("(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "[")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430229" diagnostics="DVR.ATO.GEN.430229"
                test="not(
                          regexp:test(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                        [not(@i:nil='true' or @i:nil='1')],'^(?i)(.*)(\x28|\x29|\x3C|\x3E|\x2C|\x3B|\x3A|x5C|\x22|\x5D|x5B)(.*)$') 
                      )"/>
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230"
                test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                                 and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(?i)(.*)(@)(.*)$'))]
                      )"/>
        <!--
        IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
        RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231"
                test="not(
                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                                [not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(?i)(.*)(\x20)(.*)$')]
                      )"/>
    </rule>

    <rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) 
                AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206"
                test=". &gt;='1' and . &lt;='999'"/>
    </rule>

    <rule context="pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1')]" >
        <!-- 
        IF [SMSFAR1] <> 2013
           RETURN VALIDATION MESSAGE
        ENDIF

        [SMSFAR1] = SMSFAR:RP:pyin.02.00:Report.TargetFinancial.Year
      
        -->
        <assert id="VR.ATO.SMSFAR.436357" diagnostics="DVR.ATO.SMSFAR.436357"
                test="not( @contextRef = $RP.ContextId and  . != '2013')" />



    </rule>

    <rule context="rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
        <!--
            IF [SMSFAR328] <> NULL AND [SMSFAR328] <> SET (DOMAIN(CGTExemptionOrRolloverCodesSMSF))
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR328] = SMSFAR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->
        <assert id="VR.ATO.SMSFAR.436572" diagnostics="DVR.ATO.SMSFAR.436572"
                test="regexp:test(.,'^A - Small business active asset reduction$') or
                      regexp:test(.,'^B - Small business retirement exemption$') or
                      regexp:test(.,'^C - Small business roll-over$') or
                      regexp:test(.,'^D - Small business 15 year exemption$') or
                      regexp:test(.,'^E - Foreign resident CGT exemption$') or
                      regexp:test(.,'^F - Scrip for scrip roll-over$') or
                      regexp:test(.,'^H - Demerger exemption$') or
                      regexp:test(.,'^J - Capital gains disregarded as a result of the sale of a pre-CGT asset$') or
                      regexp:test(.,'^L - Replacement asset roll-overs$') or
                      regexp:test(.,'^M - Exchange of shares or units$') or
                      regexp:test(.,'^N - Exchange of rights or options$') or
                      regexp:test(.,'^O - Exchange of shares in one company for shares in another company$') or
                      regexp:test(.,'^P - Exchange of units in a unit trust for shares in a company$') or
                      regexp:test(.,'^Q - Trust restructure roll-over$') or
                      regexp:test(.,'^R - Demerger roll-over$') or
                      regexp:test(.,'^S - Same asset roll-overs$') or
                      regexp:test(.,'^X - Other exemptions and roll-overs$') "/>
    </rule>

    <rule context="bafpr1.02.15:Expense.Other.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
           IF [SMSFAR337] <> NULL AND [SMSFAR337] <> SET (DOMAIN(ExpenseOtherAmountCodesSMSFAR))
            RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR337] = SMSFAR:RP.NonDeductible:bafpr1.02.15:Expense.Other.Code
        -->
        <assert id="VR.ATO.SMSFAR.436599" diagnostics="DVR.ATO.SMSFAR.436599"
                test="not(
                          @contextRef = $RP.NonDeductible.ContextId
                          and
                          not(regexp:test(.,'^A - Deductible balancing adjustment$') or
                              regexp:test(.,'^B - Contribution that is a fringe benefit$') or
                              regexp:test(.,'^C - Exclusion of personal contributions$') or
                              regexp:test(.,'^E - Environment protection expenditure$') or
                              regexp:test(.,'^F - Foreign exchange losses$') or
                              regexp:test(.,'^I - Listed investment company capital gain amount$') or
                              regexp:test(.,'^N - Deduction relating to foreign non-assessable non-exempt income$') or
                              regexp:test(.,'^R - Return of contributions by non-complying funds$') or
                              regexp:test(.,'^T - TOFA losses or deductible TOFA balancing adjustment$') or
                              regexp:test(.,'^O - Other expenses not listed elsewhere$')
                          )
                     )" />

        <!--
            IF [SMSFAR71] <> NULL AND [SMSFAR71] <> SET (DOMAIN(ExpenseOtherAmountCodesSMSFAR))
                RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR71] = SMSFAR:RP.Deductible:bafpr1.02.15:Expense.Other.Code
        -->
        <assert id="VR.ATO.SMSFAR.436597" diagnostics="DVR.ATO.SMSFAR.436597"
                test="not(
                          @contextRef = $RP.Deductible.ContextId
                          and
                          not(regexp:test(.,'^A - Deductible balancing adjustment$') or
                              regexp:test(.,'^B - Contribution that is a fringe benefit$') or
                              regexp:test(.,'^C - Exclusion of personal contributions$') or
                              regexp:test(.,'^E - Environment protection expenditure$') or
                              regexp:test(.,'^F - Foreign exchange losses$') or
                              regexp:test(.,'^I - Listed investment company capital gain amount$') or
                              regexp:test(.,'^N - Deduction relating to foreign non-assessable non-exempt income$') or
                              regexp:test(.,'^R - Return of contributions by non-complying funds$') or
                              regexp:test(.,'^T - TOFA losses or deductible TOFA balancing adjustment$') or
                              regexp:test(.,'^O - Other expenses not listed elsewhere$')
                          )
                     )" />


    </rule>

    <rule context="smsfar.0003.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR354] <> SET("Open" ,"Closed")
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR354] = SMSFAR:RP:emsup.02.09:SuperannuationFundDetails.MemberAccountStatus.Code IN TUPLE(smsfar.0003.lodge.req.02.00:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436642" diagnostics="DVR.ATO.SMSFAR.436642"
                test="not(
                        not(regexp:test(.,'^(Open|Closed)$')) and @contextRef = $RP.ContextId
                    )"/>
    </rule>

</pattern>