﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Organisation" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Organisation Common Validations</title>

    <rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--            
            WHERE IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = NULLORBLANK) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.436002" diagnostics="DVR.ATO.GEN.436002"
                test="not(
                          not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"/>

        <!--            
            WHERE IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.436003" diagnostics="DVR.ATO.GEN.436003"
                test="not(
                          not(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"/>

        <!--               
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND 
               (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039.RSPT"
                test="not(
                          pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') 
                          and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z0-9](.*)$'))]
                      )"/>

        <!-- 
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.000413.RSPT"
                 test="not(
                           pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[regexp:test(.,'^(.*)\ - (.*)$') and not(@i:nil='true' or @i:nil='1')]
                       )"/>

        <!-- 
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259.RSPT"
                 test="not(
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[regexp:test(.,'^(.*)(?i)P\/L(.*)$') and not(@i:nil='true' or @i:nil='1')]
                       )"/>
    </rule>

    <rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.428260" diagnostics="DVR.ATO.GEN.428260.0"
                 test="not(
                           regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$')
                       )"/>

        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206"
                 test="not(
                          regexp:test(.,'^(?i)(The trustee |The Exec |exec |The TTE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( The trustee | The Exec | exec | The TTE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( The trustee| The Exec| exec| The TTE)$') or
                          regexp:test(.,'^(?i)(The trustee|The Exec|exec|The TTE)$')
                       )"/>
    </rule>
</pattern>
