﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="CrossFormRSPT" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>RSPT Cross Form Variables and RSPT CrossForm Validations</title>

    <let
        name="RSPT.Context"
        value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rspt/rspt_0001/rspt.0001.lodge.request.02.00.report.xsd']]" />
    <let
        name="RP.RSPT.Context"
        value="$RSPT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
    <let
        name="RP.RSPT.ContextId"
        value="$RP.RSPT.Context/@id" />
    <let
        name="INT.RSPT.Context"
        value="$RSPT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]
           ]" />
    <let
        name="INT.RSPT.ContextId"
        value="$INT.RSPT.Context/@id" />

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rspt/rspt_0001/rspt.0001.lodge.request.02.00.report.xsd']]">

        <!-- *** NOTE: Only add CrossForm rules from the RSPT AP360 here that are applicable to TRT. *** -->

        <!--
            IF [RSPT12] <> NULL AND 
            ([RSPT12] <  ((PARENT RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year) -1)&""-07-01"") 
            OR [RSPT12] > ((PARENT    RETURN:RP:pyin.xx.xx:Report.TargetFinancial.Year)&""-06-30"")
            RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT12] = RSPT:RP:RealEstateProperty.Disposal.Date
        -->
        <let name="prev_year" value="number($TRT.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])-1"/>
        <let name="curr_year" value="number($TRT.Context/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
        <let name="year_begin" value="date:date(concat($prev_year, '-07-01'))"/>
        <let name="year_end" value="date:date(concat($curr_year, '-06-30'))"/>
        <let name="disposal_date" value="bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef=$RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <assert id="VR.ATO.RSPT.420010" diagnostics="DVR.ATO.RSPT.420010"
                test="not(
                        bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef=$RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          and(function:IsDate1GreaterThanDate2($year_begin, date:date($disposal_date))
                            or function:IsDate1GreaterThanDate2(date:date($disposal_date), $year_end))
                      )"/>
        <!--
          IF RP:period.startDate <> PARENT RETURN:RP:period.startDate
          RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert id="VR.ATO.GEN.001027" diagnostics="DVR.ATO.GEN.001027"
                test="not(
                        xbrli:context[@id=$RP.RSPT.ContextId]/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRT.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                      )"/>
        <!--
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001028" diagnostics="DVR.ATO.GEN.001028"
               test="not(
                        xbrli:context[@id=$RP.RSPT.ContextId]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.TRT.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>
        <!--
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.TRT"
                test="not(
                            xbrli:context[@id=$RP.RSPT.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.TRT.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"/>

        <!--
            IF [RSPT41] <> PARENT RETURN(pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                           (IN TUPLE(xbrli\organisationame2.xx.xx:OrganisationNameDetails) 
                           WHERE (pyde.xx.xx:OrganisationNameDetails.OrganisationalType.Code = "MN") 
                           AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT41] = RSPT:RP:OrganisationNameDetails.OrganisationalName.Text 
                       WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                       IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails )
        -->
        <assert id="VR.ATO.RSPT.420060" diagnostics="DVR.ATO.RSPT.420060"
                test="not(                    
                            (
                                exslt:uppercase(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'MN'])
                            )
                            !=
                            (
                                exslt:uppercase($TRT.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                                and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'MN'
                                and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C'])
                            )
                      )"/>

    </rule>


</pattern>