﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

    
    <rule context="rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
        IF  (rvctc1.xx.xx:IncomeTax.TaxOffsetRefundableOther.Amount <> NULL) AND
            (rvctc1.xx.xx:IncomeTax.TaxOffsetRefundableOther.Amount <> MONETARY(U,13,2))
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.GEN.438014" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                         not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>
    
    
    

    <rule context="bafpo7.02.02:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        
         <!--
         IF (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> NULL) AND (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> MONETARY(U,11,0))
          RETURN VALIDATION MESSAGE
        ENDIF
         -->
        <assert id="VR.ATO.GEN.438014" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                         not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
        
        
    </rule>

    <rule context="bafpr3.02.11:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
         IF (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> NULL) AND (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> MONETARY(U,11,0))
          RETURN VALIDATION MESSAGE
        ENDIF
         -->
        <assert id="VR.ATO.GEN.438015" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>
    
    <rule context="bafpr3.02.11:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
         IF (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> NULL) AND (bafpo7.xx.xx:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount <> MONETARY(U,11,0))
          RETURN VALIDATION MESSAGE
        ENDIF
         -->
        <assert id="VR.ATO.GEN.438016" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                       not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>   
    
    <rule context="bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL) AND (bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438013" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>


    </rule>


    <rule context="bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> NULL) AND (bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> MONETARY(U,11,0))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.438012" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>


    </rule>



    <rule context="trt.0003.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')]">


    <!--IF [TRT121] <> NULL AND [TRT121] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT121] = TRT:RP.JAus:Income.Other.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:OtherAustralianIncome )-->


    <assert id="VR.ATO.TRT.432166" diagnostics="DVR.ATO.MONEY.S.11.0"
            test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
  </rule>

    <rule context="rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT144] <> NULL AND [TRT144] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT144] = TRT:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->
        <assert id="VR.ATO.TRT.432209" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT145] <> NULL AND [TRT145] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT145] = TRT:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432211" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT146] <> NULL AND [TRT146] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT146] = TRT:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.TRT.432214" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT167] <> NULL AND [TRT167] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT167] = TRT:RP:Expense.Purchases.AndOtherCosts.Amount
        -->
        <assert id="VR.ATO.TRT.432237" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo7.02.04:Assets.Inventories.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT168] <> NULL AND [TRT168] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT168] = TRT:RPI.Closing:Assets.Inventories.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432239" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF [TRT166] <> NULL AND [TRT166] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT166] = TRT:RPI.Opening:Assets.Inventories.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432236" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Opening.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT170] <> NULL AND [TRT170] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT170] = TRT:RPI.Closing:Assets.TradeandReceivablesOther.Amount
        -->
        <assert id="VR.ATO.TRT.432242" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT171] <> NULL AND [TRT171] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT171] = TRT:RPI.Closing:Liabilities.TradeAndOtherPayablesTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432244" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT172] <> NULL AND [TRT172] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT172] = TRT:RP:Remuneration.WagesAndSalaries.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432246" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT174] <> NULL AND [TRT174] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT174] = TRT:RP:Remuneration.PaymentToRelatedPartiesGross.Amount
        -->
        <assert id="VR.ATO.TRT.432248" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT175] <> NULL AND [TRT175] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT175] = TRT:RP:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
        -->
        <assert id="VR.ATO.TRT.432249" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT176] <> NULL AND [TRT176] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT176] = TRT:RP:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
        -->
        <assert id="VR.ATO.TRT.432250" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT177] <> NULL AND [TRT177] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT177] = TRT:RP:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
        -->
        <assert id="VR.ATO.TRT.432251" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT178] <> NULL AND [TRT178] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT178] = TRT:RP:Assets.DepreciatingAssets.OtherTerminationValue.Amount
        -->
        <assert id="VR.ATO.TRT.432252" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT179] <> NULL AND [TRT179] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT179] = TRT:RP:Expense.ProjectPoolAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.TRT.432253" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT180] <> NULL AND [TRT180] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT180] = TRT:RP:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.TRT.432254" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT181] <> NULL AND [TRT181] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT181] = TRT:RP:Remuneration.FringeBenefits.EmployeeContribution.Amount
        -->
        <assert id="VR.ATO.TRT.432255" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT182] <> NULL AND [TRT182] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT182] = TRT:RP.JForeign:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.TRT.432257" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF [TRT90] <> NULL AND [TRT90] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT90] = TRT:RP.JAus:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.TRT.432123" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>

    <rule context="rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT186] <> NULL AND [TRT186] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT186] = TRT:RPI.Closing:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
        -->
        <assert id="VR.ATO.TRT.432264" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT184] <> NULL AND [TRT184] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT184] = TRT:RP:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount
        -->
        <assert id="VR.ATO.TRT.432261" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.Royalties.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT183] <> NULL AND [TRT183] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT183] = TRT:RP.JForeign:Expense.Royalties.Amount
        -->
        <assert id="VR.ATO.TRT.432260" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.MedicareLevy.BeneficiarySpouseTaxableIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT194] <> NULL AND [TRT194] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT194] = TRT:RP:IncomeTax.MedicareLevy.BeneficiarySpouseTaxableIncome.Amount
        -->
        <assert id="VR.ATO.TRT.432275" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP:rvctc2.xx.xx:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount <> NULL 
            AND TRT:RP:rvctc2.xx.xx:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432299" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

        <!--
            IF [TRT143] <> NULL AND [TRT143] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT143] = TRT:RP.JForeign:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        -->
        <assert id="VR.ATO.TRT.432206" diagnostics="DVR.ATO.MONEY.U.11.0"
              test="not(
                        @contextRef = $RP.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                   )"/>
    </rule>

    <rule context="rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT74] <> NULL AND [TRT74] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT74] = TRT:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
        -->
        <assert id="VR.ATO.TRT.432094" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
        <!-- 
            IF [TRT215] <> NULL AND [TRT215] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT215] = TRT:RP:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
        -->
        <assert id="VR.ATO.TRT.432297" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT46] <> NULL AND [TRT46] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT46] = TRT:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.TRT.432047" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Prim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF [TRT47] <> NULL AND [TRT47] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT47] = TRT:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.TRT.432049" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.DeductibleOtherTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT68] <> NULL AND [TRT68] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
           [TRT68] = TRT:RP.JAus:Expense.DeductibleOtherTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432074" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF [TRT49] <> NULL AND [TRT49] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT49] = TRT:RP.NonPrim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
        -->
        <assert id="VR.ATO.TRT.432050" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT50] <> NULL AND [TRT50] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT50] = TRT:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->
        <assert id="VR.ATO.TRT.432053" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Prim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF [TRT52] <> NULL AND [TRT52] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT52] = TRT:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->
        <assert id="VR.ATO.TRT.432056" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [TRT65] <> NULL AND [TRT65] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [TRT65] = TRT:RP.JAus:Expense.DepreciationandAmortisation.Amount
    -->
        <assert id="VR.ATO.TRT.432071" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [TRT66] <> NULL AND [TRT66] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF^^
        [TRT66] = TRT:RP.JAus:Expense.Operating.MotorVehicleTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432072" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [TRT67] <> NULL AND [TRT67] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [TRT67] = TRT:RP.JAus:Expense.Operating.RepairsAndMaintenanceTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432073" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT60] <> NULL AND [TRT60] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT60] = TRT:RP.JAus:Expense.Operating.BadDebtsTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432063" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT69] <> NULL AND [TRT69] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT69] = TRT:RP.JAus:Income.ReconciliationAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432075" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT89] <> NULL AND [TRT89] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT89] = TRT:RP.JAus:Income.Operating.RentalIncomeGross.Amount
        -->
        <assert id="VR.ATO.TRT.432121" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT87] <> NULL AND [TRT87] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT87] = TRT:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.TRT.432114" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT76] <> NULL AND [TRT76] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT76] = TRT:RP.Prim.JAus:Income.PartnershipDistributionGross.Amount
        -->
        <assert id="VR.ATO.TRT.432099" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.Prim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF [TRT86] <> NULL AND [TRT86] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT86] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.TRT.432113" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
           IF [TRT79] <> NULL AND [TRT79] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT79] = TRT:RP.Prim.JAus:Expense.DistributionDeductionsOther.Amount
        -->
        <assert id="VR.ATO.TRT.432102" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Prim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

        <!--
            IF [TRT83] <> NULL AND [TRT83] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT83] = TRT:RP.NonPrim.JAus:Expense.DistributionDeductionsOther.Amount
        -->
        <assert id="VR.ATO.TRT.432108" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.09:Income.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT130] <> NULL AND [TRT130] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [TRT130] = TRT:RP.JAus:Income.Net.Amount
        -->
        <assert id="VR.ATO.TRT.432188" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
        
        <!-- 
            IF [TRT71] <> NULL AND [TRT71] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT71] = TRT:RP.Prim.JAus:Income.Net.Amount
        -->
        <assert id="VR.ATO.TRT.432082" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.Prim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF [TRT72] <> NULL AND [TRT72] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT72] = TRT:RP.NonPrim.JAus:Income.Net.Amount
        -->
        <assert id="VR.ATO.TRT.432084" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
        <!-- 
            IF [TRT141] <> NULL AND [TRT141] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [TRT141] = TRT:RP.JForeign:Income.Net.Amount
        -->
        <assert id="VR.ATO.TRT.432204" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.JForeign.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF [TRT84] <> NULL AND [TRT84] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT84] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.TRT.432109" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT54] <> NULL AND [TRT54] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT54] = TRT:RP.Prim.JAus:Income.Other.Amount
        -->
        <assert id="VR.ATO.TRT.432057" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.Prim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF [TRT55] <> NULL AND [TRT55] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT55] = TRT:RP.NonPrim.JAus:Income.Other.Amount
        -->
        <assert id="VR.ATO.TRT.432058" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF [TRT140] <> NULL AND [TRT140] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT140] = TRT:RP.JForeign:Income.Other.Amount
        -->
        <assert id="VR.ATO.TRT.432431" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>


    </rule>

    <rule context="bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT56] <> NULL AND [TRT56] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT56] = TRT:RP.JAus:Expense.ForeignResidentWithholding.Amount
        -->
        <assert id="VR.ATO.TRT.432059" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT57] <> NULL AND [TRT57] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT57] = TRT:RP.JAus:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount
        -->
        <assert id="VR.ATO.TRT.432060" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT58] <> NULL AND [TRT58] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT58] = TRT:RP.JAus:SuperannuationContribution.EmployerContributions.Amount
        -->
        <assert id="VR.ATO.TRT.432061" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT59] <> NULL AND [TRT59] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT59] = TRT:RP.JAus:Expense.Operating.CostOfSalesTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432062" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT85] <> NULL AND [TRT85] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT85] = TRT:RP.JAus:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.TRT.432111" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT80] <> NULL AND [TRT80] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT80] = TRT:RP.NonPrim.JAus:Income.PartnershipDistributionLessForeignIncome.Amount
        -->
        <assert id="VR.ATO.TRT.432104" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT358] <> NULL AND [TRT358] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT358] = TRT:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432363" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.TOFA.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT73] <> NULL AND [TRT73] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT73] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        -->
        <assert id="VR.ATO.TRT.432090" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

        <!-- 
            IF TRT:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount <> NULL 
            AND TRT:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432306" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="pyid.02.00:Identifiers.TaxAgentClientReference.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT251] > LENGTH(12)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT251] = TRT:INT:Identifiers.TaxAgentClientReference.Text
        -->
        <assert id="VR.ATO.TRT.432594" diagnostics="DVR.ATO.TRT.432594"
                test="not(
                        @contextRef = $INT.ContextId and string-length(normalize-space(.)) &gt; 12
                      )"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF TRT:RP:pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK AND TRT:RP:pyde.xx.xx:AddressDetails.LocalityName.Text > LENGTH(60)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432561" diagnostics="DVR.ATO.TRT.432561"
                test="not(
                        @contextRef = $RP.ContextId and string-length(normalize-space(.)) &gt; 60
                      )"/>
    </rule>

    <rule context="rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT246] <> NULL AND [TRT246] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT246] = TRT:RP:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount
        -->
        <assert id="VR.ATO.TRT.432338" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP:gfati.xx.xx:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount <> NULL 
            AND TRT:RP:gfati.xx.xx:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432343" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP:rvctc2.xx.xx:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount <> NULL 
            AND TRT:RP:rvctc2.xx.xx:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432308" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount <> NULL 
            AND TRT:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432309" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP:rvctc1.xx.xx:IncomeTax.AttributedForeignIncome.Amount <> NULL 
            AND TRT:RP:rvctc1.xx.xx:IncomeTax.AttributedForeignIncome.Amount <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432312" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP:bafpr3.xx.xx:Income.InternationalDealings.TaxOffset.Amount <> NULL 
            AND TRT:RP:bafpr3.xx.xx:Income.InternationalDealings.TaxOffset.Amount <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432316" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>

        <!-- 
            IF [TRT142] <> NULL AND [TRT142] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT142] = TRT:RP.JForeign:Income.InternationalDealings.TaxOffset.Amount
        -->
        <assert id="VR.ATO.TRT.432205" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>

    </rule>

    <rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT228] <> NULL AND [TRT228] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT228] = TRT:RP:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432319" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT229] <> NULL AND [TRT229] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT229] = TRT:RP:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432320" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT359] <> NULL AND [TRT359] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT359] = TRT:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.TRT.432364" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.TOFA.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT345] <> NULL AND [TRT345] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT345] = TRT:RP:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432349" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT346] <> NULL AND [TRT346] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT346] = TRT:RP:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432350" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.GainsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT356] <> NULL AND [TRT356] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT356] = TRT:RP.TOFA:Income.GainsTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432360" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.TOFA.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.LossesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT357] <> NULL AND [TRT357] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT357] = TRT:RP.TOFA:Expense.LossesTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432361" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.TOFA.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF LENGTH(bafot.xx.xx:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text) > 3000
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432577" diagnostics="DVR.ATO.TRT.432577"
                test="not(
                        string-length(normalize-space(.)) &gt; 3000
                      )"/>
    </rule>

    <rule context="bafpo1.02.00:Assets.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT156] <> NULL AND [TRT156] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT156] = TRT:RPI.Closing:Assets.CurrentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432228" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo1.02.00:Assets.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT157] <> NULL AND [TRT157] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT157] = TRT:RPI.Closing:Assets.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432229" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo1.02.00:Liabilities.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT158] <> NULL AND [TRT158] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT158] = TRT:RPI.Closing:Liabilities.CurrentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432231" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpo1.02.00:Liabilities.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT159] <> NULL AND [TRT159] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT159] = TRT:RPI.Closing:Liabilities.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432232" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.Closing.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>


    <rule context="bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT75] <> NULL AND [TRT75] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT75] = TRT:RP.JAus:Income.Interest.EarlyPaymentCredit.Amount
        -->
        <assert id="VR.ATO.TRT.432096" diagnostics="DVR.ATO.MONEY.U.13.2"
               test="not(
                       @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>


    <rule context="bafpr2.02.04:Expense.Operating.LeaseTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT61] <> NULL AND [TRT61] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT61] = TRT:RP.JAus:Expense.Operating.LeaseTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432064" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.04:Expense.Operating.RentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT62] <> NULL AND [TRT62] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT62] = TRT:RP.JAus:Expense.Operating.RentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432065" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT418] <> NULL AND [TRT418] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT418] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.TRT.432579" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.04:Expense.Operating.InterestTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT63] <> NULL AND [TRT63] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT63] = TRT:RP.JAus:Expense.Operating.InterestTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432066" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT63] <> NULL AND [TRT63] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT63] = TRT:RP.JAus:Expense.Operating.InterestTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432067" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT123] <> NULL AND [TRT123] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT123] = TRT:RP.JAus:Expense.AustralianInvestmentAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.TRT.432168" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.ExceptedTrustNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT122] <> NULL AND [TRT122] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT122] = TRT:RP.JAus:Income.ExceptedTrustNet.Amount
        -->
        <assert id="VR.ATO.TRT.432167" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT124] <> NULL AND [TRT124] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT124] = TRT:RP.JAus:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        -->
        <assert id="VR.ATO.TRT.432169" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT136] <> NULL AND [TRT136] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT136] = TRT:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
        -->
        <assert id="VR.ATO.TRT.432196" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.CFCUC.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
        <!-- 
           IF [TRT134] <> NULL AND [TRT134] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT134] = TRT:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
        -->
        <assert id="VR.ATO.TRT.432194" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.CFCLC.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
        <!-- 
           IF [TRT135] <> NULL AND [TRT135] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT135] = TRT:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
        -->
        <assert id="VR.ATO.TRT.432195" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.CFC404.JForeign.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT91] <> NULL AND [TRT91] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT91] = TRT:RP.JAus:Expense.CapitalWorksDeduction.Amount
        -->
        <assert id="VR.ATO.TRT.432125" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.BonusesAndAllowances.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT119] <> NULL AND [TRT119] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF            
            [TRT119] = TRT:RP.JAus:Remuneration.BonusesAndAllowances.Amount
        -->
        <assert id="VR.ATO.TRT.432163" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT94] <> NULL AND [TRT94] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT94] = TRT:RP.JAus:Income.Interest.Gross.Amount
        -->
        <assert id="VR.ATO.TRT.432130" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT95] <> NULL AND [TRT95] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT95] = TRT:RP.JAus:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
        -->
        <assert id="VR.ATO.TRT.432132" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.05:Income.DividendsUnfranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT96] <> NULL AND [TRT96] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT96] = TRT:RP.JAus:Income.DividendsUnfranked.Amount
        -->
        <assert id="VR.ATO.TRT.432135" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.00:Income.DividendsFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT97] <> NULL AND [TRT97] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT97] = TRT:RP.JAus:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432136" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.FrankingCredits.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT98] <> NULL AND [TRT98] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT98] = TRT:RP.JAus:IncomeTax.FrankingCredits.Amount
        -->
        <assert id="VR.ATO.TRT.432139" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT99] <> NULL AND [TRT99] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF^^
            [TRT99] = TRT:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
        -->
        <assert id="VR.ATO.TRT.432141" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>

    </rule>

    <rule context="emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF RP.JAus:emsup.xx.xx:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount <> NULL 
                AND RP.JAus:emsup.xx.xx:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount <> MONETARY(U,11,0)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432144" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.00:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT104] <> NULL AND [TRT104] <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT104] = TRT:RP.JAus:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount
        -->
        <assert id="VR.ATO.TRT.432146" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>

    </rule>

    <rule context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount <> NULL 
                AND TRT:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432587" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>

        <!--
        IF [TRT434] <> NULL AND [TRT434] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF
        [TRT434] = TRT:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount 
                    IN TUPLE(trt.0001.lodge.req.xx.xx:AnnualTrusteePaymentReportInformation)
                        IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
        -->
        <assert id="VR.ATO.TRT.432589" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                          @contextRef = $RP.ContextId and
                          parent::trt.0003.lodge.req.02.00:AnnualTrusteePaymentReportInformation[not(@i:nil='true' or @i:nil='1') and
                              parent::trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]] and 
                          not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>        
    </rule>

    <!--<rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/trt.0003.lodge.req.02.00:AnnualTrusteePaymentReportInformation[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[not(@i:nil='true' or @i:nil='1')]">
        -->
        <!--
        IF [TRT434] <> NULL AND [TRT434] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
        ENDIF
        [TRT434] = TRT:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount 
                    IN TUPLE(trt.0001.lodge.req.xx.xx:AnnualTrusteePaymentReportInformation)
                        IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
        --><!--
        --><!--not firing due to another occurence of rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount--><!--
        <assert id="VR.ATO.TRT.432589" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                    @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                )"/>
    </rule>-->

    <rule context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT133] <> NULL AND [TRT133] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT133] = TRT:RP:Income.CapitalGainsNet.Amount
        -->
        <assert id="VR.ATO.TRT.432191" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>


    <rule context="trt.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [TRT129] <> NULL AND [TRT129] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT129] = TRT:RP.JAus:bafpr1.xx.xx:Expense.DeductibleOther.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:OtherDeductions )
        -->
        <assert id="VR.ATO.TRT.432178" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount <> NULL AND 
               TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount <> MONETARY(U,13,2)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432152" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount <> NULL 
            AND TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432160" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
          /bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--        
            IF [TRT218] <> NULL AND [TRT218] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT218] = TRT:RP.Prim:Income.BeneficiaryShare.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
        -->
        <assert id="VR.ATO.TRT.432301" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.Prim.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>

        <!--            
            IF [TRT219] <> NULL AND [TRT219] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT219] = TRT:RP.NonPrim:Income.BeneficiaryShare.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
        -->
        <assert id="VR.ATO.TRT.432304" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>

    </rule>

    <rule context="trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]
          /rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--                
            IF [TRT234] <> NULL AND [TRT234] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT234] = TRT:RP.Prim:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
        -->
        <assert id="VR.ATO.TRT.432324" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.Prim.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>

        <!--                        
            IF [TRT235] <> NULL AND [TRT235] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT235] = TRT:RP.NonPrim:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
        -->
        <assert id="VR.ATO.TRT.432326" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>


    <rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true'or @i:nil='1')]/trt.0003.lodge.req.02.00:AnnualTrusteePaymentReportInformation[not(@i:nil='true'or @i:nil='1')]/bafpr1.02.05:Expense.DistributionBeneficiaryCloselyHeldTrust.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT433] <> NULL AND [TRT433] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT433] = TRT:RP:Expense.DistributionBeneficiaryCloselyHeldTrust.Amount 
            IN TUPLE(trt.0001.lodge.req.xx.xx:AnnualTrusteePaymentReportInformation) 
            IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
        -->
        <assert id="VR.ATO.TRT.432588" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>



    <rule context="trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT100] <> NULL AND [TRT100] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT100] = TRT:RP.JAus:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:SuperannuationLumpSumWithholdingPaymentDetails )
        -->
        <assert id="VR.ATO.TRT.432142" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT101] <> NULL AND [TRT101] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT101] = TRT:RP.JAus:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:SuperannuationLumpSumWithholdingPaymentDetails )
        -->
        <assert id="VR.ATO.TRT.432143" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveAfter15Aug78.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT110] <> NULL AND [TRT110] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF            
            [TRT110] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveAfter15Aug78.Amount 
                         IN TUPLE(trt.0001.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails )
        -->
        <assert id="VR.ATO.TRT.432154" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveBefore16Aug78.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT112] <> NULL AND [TRT112] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT112] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveBefore16Aug78.Amount 
                         IN TUPLE(trt.0001.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails )
        -->
        <assert id="VR.ATO.TRT.432156" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(                        
                          @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT92] <> NULL AND [TRT92] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT92] = TRT:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.TRT.432127" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT93] <> NULL AND [TRT93] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT93] = TRT:RP.JAus:Income.ForestryManagedInvestmentScheme.Amount
        -->
        <assert id="VR.ATO.TRT.432128" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>

    <!--<rule context="gfapc.02.01:Pension.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        -->
    <!-- 
            IF [TRT105] <> NULL AND [TRT105] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
           [TRT105] = TRT:RP.JAus:Pension.Total.Amount
        -->
    <!--
        <assert id="VR.ATO.TRT.432149" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>-->

    <rule context="rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount <> NULL 
            AND TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432159" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT113] <> NULL AND [TRT113] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT113] = TRT:RP.JAus:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount IN 
                                   TUPLE(trt.0001.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails )
        -->
        <assert id="VR.ATO.TRT.432157" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount[
                        @contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^[0-9]{1,11}$'))]
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
          /lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [TRT109] <> NULL AND [TRT109] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF^^
        
            [TRT109] = TRT:RP.JAus:Remuneration.IndividualNonBusinessGross.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails)
        -->
        <assert id="VR.ATO.TRT.432153" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="gfapc.02.01:Pension.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT105] <> NULL AND [TRT105] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT105] = TRT:RP.JAus:Pension.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432149" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>

    <rule context="trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT111] <> NULL AND [TRT111] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT111] = TRT:RP.JAus:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount 
                                   IN TUPLE(trt.0001.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails)
        -->
        <assert id="VR.ATO.TRT.432155" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>

    </rule>
    <rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND 
                (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
                test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTAN(.))
                      )"/>
    </rule>
    <rule context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410031" diagnostics="DVR.ATO.GEN.410031"
                test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTFN(.))
                      )"/>
    </rule>

    <rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [TRT250] > LENGTH(200)
        RETURN VALIDATION MESSAGE
        ENDIF
        [TRT250] = TRT:INT:PersonUnstructuredName.FullName.Text 
        WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonUnstructuredName.Usage.Code = "Contact") 
        IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName )
        -->
        <assert id="VR.ATO.TRT.432573" diagnostics="DVR.ATO.TRT.432573"
                test="not(
             string-length(pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(../pyde.02.05:PersonUnstructuredName.Usage.Code) = 'CONTACT']) &gt; 200                          
            )"/>
    </rule>

  <rule context="bafpr1.02.10:Income.TrustEstateIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        IF [TRT440] <> NULL AND [TRT440] <> MONETARY (U,11,0)
           RETURN VALIDATION MESSAGE
        ENDIF

        [TRT440] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncome.Amount

        -->
    <assert id="VR.ATO.TRT.432639" diagnostics="DVR.ATO.MONEY.U.11.0"
            test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
  </rule>
    <rule context="bafpr1.02.10:Income.TrustEstateIncomeShare.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF bafpr1.xx.xx:Income.TrustEstateIncomeShare.Amount <> NULL AND  bafpr1.xx.xx:Income.TrustEstateIncomeShare.Amount  <> MONETARY (U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

        -->
        <assert id="VR.ATO.TRT.432640" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                             not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.09:Income.DistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--

            IF bafpr1.xx.xx:Income.DistributionFranked.Amount <> NULL AND bafpr1.xx.xx:Income.DistributionFranked.Amount <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432641" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                            not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>
    
    <rule context="rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT446] <> NULL AND [TRT446] <> MONETARY (U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount
        -->
        <assert id="VR.ATO.TRT.432642" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>


    <rule context="bafpr1.02.04:Income.TrustDistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT437] <> NULL AND [TRT437] <> MONETARY (U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount

        -->
        <assert id="VR.ATO.TRT.432636" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT438] <> NULL AND [TRT438] <> MONETARY (U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount

        -->
        <assert id="VR.ATO.TRT.432637" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [TRT447] <> NULL AND [TRT447] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT447] = TRT:RP.JAUS:bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432611" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>
    <rule context="rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT439] <> NULL AND [TRT439] <> MONETARY (U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT439] = TRT:RP.JAUS:rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432638" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                        )"/>
    </rule>
    <rule context="bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        IF (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> NULL) 
        AND (bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntity.Amount <> MONETARY(U,11,0))
        RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.438018" diagnostics="DVR.ATO.MONEY.U.11.0"
            test="not(
                    @contextRef = ($RP.GeneralPool.ContextId | $RP.LowCost.ContextId) and not(regexp:test(.,'^[0-9]{1,11}$'))
                    )"/>
    </rule>
    <rule context="bafpr1.02.13:Income.TrustShareNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [TRT77] <> NULL AND [TRT77] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
        -->
        <assert id="VR.ATO.TRT.432658" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.Prim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>
    <rule context="gfati.02.05:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount[not(@i:nil='true' or @i:nil='1')]">
        
        <!--
            IF [TRT147] <> NULL AND [TRT147] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT147] = TRT:RP.Opening:gfati.02.05:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount
        -->

        <assert id="VR.ATO.TRT.432701" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.Opening.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                        )"/>
    </rule>
    <rule context="bafpr3.02.02:Income.InternationalDealings.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF TRT:RP:bafpr3.xx.xx:Income.InternationalDealings.Net.Amount <> NULL 
            AND TRT:RP:bafpr3.xx.xx:Income.InternationalDealings.Net.Amount <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert id="VR.ATO.TRT.432702" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                        )"/>
    </rule>
    <rule context="bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [TRT81] <> NULL AND [TRT81] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432661" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.NonPrim.JAus.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>
</pattern>
