﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormS25A" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>

    <!-- S25A Variables -->
    <let name="S25A.Context"
         value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/s25a/s25a_0002/s25a.0002.lodge.request.02.00.report.xsd']]" />

    <let name="RP.S25A.Context"
         value="$S25A.Context/xbrli:context[
                    not(@i:nil='true' or @i:nil='1') 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.\d\d\.\d\d:ReportingParty$')]
                    ]" />

    <let name="RP.S25A.ContextId" value="$RP.S25A.Context/@id" />

    <let name="RP.All.S25A.Context"
         value="$S25A.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:All$')]) = 1]
            ]"/>

    <let name="RP.All.S25A.ContextId" value="$RP.All.S25A.Context/@id" />

    <!-- RP.Opening Context Variables -->
    <let
            name="RP.Opening.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1]
           ]" />
    <let
            name="RP.Opening.S25A.ContextId"
            value="$RP.Opening.S25A.Context/@id" />
    
    <!-- RP.Closing Context Variables -->
    <let
            name="RP.Closing.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
           ]" />
    <let
            name="RP.Closing.S25A.ContextId"
            value="$RP.Closing.S25A.Context/@id" />

    <!-- CONTEXT ID DOUBLE DIMENSION VARIABLES 
 RP.CFCLC Context Variables -->
    <let
            name="RP.CFCLC.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
    <let
            name="RP.CFCLC.S25A.ContextId"
            value="$RP.CFCLC.S25A.Context/@id" />
    
    <!-- RP.CFC404 Context Variables -->
    <let
            name="RP.CFC404.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
    <let
            name="RP.CFC404.S25A.ContextId"
            value="$RP.CFC404.S25A.Context/@id" />
    
    <!-- RP.CFCUC Context Variables -->
    <let
            name="RP.CFCUC.S25A.Context"
            value="$S25A.Context/xbrli:context[not(@i:nil='true' or @i:nil='1') and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
          ]" />
    <let
            name="RP.CFCUC.S25A.ContextId"
            value="$RP.CFCUC.S25A.Context/@id" />
   
    <!-- CONTEXT ID TRIPLE DIMENSION VARIABLES -->

    <!--
        RP.Opening.CFCLC Context Variables 
    -->
    <let
            name="RP.Opening.CFCLC.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
    <let
            name="RP.Opening.CFCLC.S25A.ContextId"
            value="$RP.Opening.CFCLC.S25A.Context/@id" />
    
    <!-- RP.Opening.CFC404 Context Variables -->
    <let
            name="RP.Opening.CFC404.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
    <let
            name="RP.Opening.CFC404.S25A.ContextId"
            value="$RP.Opening.CFC404.S25A.Context/@id" />
    
    <!-- RP.Opening.CFCUC Context Variables -->
    <let
            name="RP.Opening.CFCUC.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
    <let
            name="RP.Opening.CFCUC.S25A.ContextId"
            value="$RP.Opening.CFCUC.S25A.Context/@id" />
    
    <!-- RP.Closing.CFCLC Context Variables -->
    <let
            name="RP.Closing.CFCLC.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
    <let
            name="RP.Closing.CFCLC.S25A.ContextId"
            value="$RP.Closing.CFCLC.S25A.Context/@id" />
    
    <!-- RP.Closing.CFC404 Context Variables -->
    <let
            name="RP.Closing.CFC404.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
    <let
            name="RP.Closing.CFC404.S25A.ContextId"
            value="$RP.Closing.CFC404.S25A.Context/@id" />
    
    <!-- RP.Closing.CFCUC Context Variables -->
    <let
            name="RP.Closing.CFCUC.S25A.Context"
            value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
    <let
            name="RP.Closing.CFCUC.S25A.ContextId"
            value="$RP.Closing.CFCUC.S25A.Context/@id" />

    <!-- RP.s404andUnlisted Context Variables -->
    <let name="RP.s404andUnlisted.S25A.Context"
         value="$S25A.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404AndUnlistedCountry$')]) = 1]
           ]" />

    <let name="RP.s404andUnlisted.S25A.ContextId" value="$RP.s404andUnlisted.S25A.Context/@id" />
    
    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/s25a/s25a_0002/s25a.0002.lodge.request.02.00.report.xsd']]">
        <!-- *** NOTE: Only add CrossForm rules from the S25A AP360 here that are applicable to TRT. *** -->
        <!--           
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
          
        -->
        <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.TRT"
                 test="not(
                            $RP.S25A.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme)= 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.TRT.Context/xbrli:entity/xbrli:identifier[(exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"/>

        <!--                
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) 
                AND (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010"
                 test=" not(                    
                            (
                                $TRT.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $TRT.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                            )
                        )"/>
    </rule>

    <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/s25a/s25a_0002/s25a.0002.lodge.request.02.00.report.xsd']]/orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--            
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL
            AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
        -->
        <assert  id="VR.ATO.GEN.400013" diagnostics="DVR.ATO.GEN.400013.TRT"
                 test="not(                    
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and 
                            exslt:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            !=
                           exslt:uppercase( $TRT.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.TRT.ContextId
                            and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                            and exslt:uppercase( ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                            and exslt:uppercase( ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C')])
                      )"/>

    </rule>
</pattern>