﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [TRT106] <> NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT106] = TRT:RP.JAus:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code
        -->
        <assert id="VR.ATO.TRT.432706" diagnostics="DVR.ATO.TRT.432706"
                 test="not(
                       rvctc1.02.03:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                   )"/>

        <!--
            IF [TRT230] <> NULL AND [TRT445] <> NULL AND [TRT230] <> [TRT445]
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT230] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT445] = TRT:RP:rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code
        -->
        <assert id="VR.ATO.TRT.432633" diagnostics="DVR.ATO.TRT.432633"
               test="not(  
                               trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                               and  
                               rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                               and 
                               (
                                  number(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')])
                                   !=
                                  number(rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')])
                                )
                           )"/>

        <!--
            IF [TRT446] <> NULL AND  [TRT445] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT445] = TRT:RP:rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code
            [TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount
        -->
        <assert id="VR.ATO.TRT.432635" diagnostics="DVR.ATO.TRT.432635"
                 test="not(  
                               rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                               and  
                               not(rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')])
                           )"/>


        <!--
            IF [TRT438] > 0 AND [TRT437] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432631" diagnostics="DVR.ATO.TRT.432631"
                  test="not(  
                               sum(common:node-set(rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                               and  
                               not(bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')])
                           )"/>

        <!--
            
            IF (ANY OCCURRENCE OF [TRT441] > 0 OR [TRT443] > 0) AND 
            ((SUM([TRT441]) + [TRT443]) <> [TRT440])
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT440] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncome.Amount
            [TRT441] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncomeShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT443] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncomeShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432632" diagnostics="DVR.ATO.TRT.432632"
                      test="not(  
                                (
                                    trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.10:Income.TrustEstateIncomeShare.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and sum(common:node-set(.)) &gt; 0]
                                    or sum(common:node-set(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.10:Income.TrustEstateIncomeShare.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                                )
                                and
                                 round(100*sum(common:node-set(bafpr1.02.10:Income.TrustEstateIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                !=
                                round(100*sum(common:node-set(
                                    trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary/bafpr1.02.10:Income.TrustEstateIncomeShare.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/bafpr1.02.10:Income.TrustEstateIncomeShare.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )))
                             )"/>

        <!--
            IF ([TRT28] <> NULL) AND ([TRT28] < 1995 OR [TRT28] > [TRT1])
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT1] = TRT:RP:pyin.02.00:Report.TargetFinancial.Year
            [TRT28] = TRT:RP:rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year
        -->
        <assert id="VR.ATO.TRT.432609" diagnostics="DVR.ATO.TRT.432609"
            test="not(  
                           rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (
                              number (rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1995
                              or
                               (
                                 number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;
                                 number(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                               )
                            )
                      )"/>

        <!--
            IF ([TRT30] <> NULL) AND ([TRT30] < 1995 OR [TRT30] > [TRT1])
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT1] = TRT:RP:pyin.02.00:Report.TargetFinancial.Year
            [TRT30] = TRT:RP:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
        -->
        <assert id="VR.ATO.TRT.432610" diagnostics="DVR.ATO.TRT.432610"
              test="not(  
                           rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (
                              number (rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1995
                              or
                               (
                                 number(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;
                                 number(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                               )
                            )
                      )"/>

        <!--
            IF [TRT95] > 0 AND ([TRT94] = 0 OR [TRT94] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF ^^
            [TRT95] = TRT:RP.JAus:rvctc1.xx.xx:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
            [TRT94] = TRT:RP.JAus:bafpr2.xx.xx:Income.Interest.Gross.Amount
        -->
        <assert id="VR.ATO.TRT.432421" diagnostics="DVR.ATO.TRT.432421"
                test="not(  
                            number(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            (
                            number (bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            or
                            not(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )

                         )"/>


        <!--
            IF [TRT353] <> NULL AND ([TRT77] = NULL OR [TRT77] <= 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT353] = TRT:RP.JAUS.Prim:pyde.02.05:Party.TrustType.Code
        -->
        <assert id="VR.ATO.TRT.432100" diagnostics="DVR.ATO.TRT.432100"
                test="not(
                            $TRT353 and (not($TRT77) or round(sum(common:node-set($TRT77)) * 100) &lt;= 0)
                        )"
                        />

        <!--
            IF ([TRT84] > 0 OR [TRT438] > 0 OR [TRT83] > 0 OR [TRT85] > 0 OR [TRT86] > 0 OR [TRT87] > 0) AND 
                ([TRT76] = NULL AND [TRT77] = NULL AND [TRT80] = NULL AND [TRT81] = NULL AND [TRT437] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [TRT84] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
            [TRT85] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [TRT86] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
            [TRT87] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432098" diagnostics="DVR.ATO.TRT.432098"
                test="not(
                            (
                             sum(common:node-set($TRT84)) &gt; 0 or sum(common:node-set($TRT438)) &gt; 0 or 
                             sum(common:node-set($TRT83)) &gt; 0 or sum(common:node-set($TRT85)) &gt; 0 or 
                             sum(common:node-set($TRT86)) &gt; 0 or sum(common:node-set($TRT87)) &gt; 0
                             ) 
                            and 
                            (not($TRT76) and not($TRT77) and not($TRT80) and not($TRT81) and not($TRT437)) 
                        )"/>

        <!--
            IF ([TRT73] <> NULL OR [TRT74] <> NULL) AND ([TRT71] = NULL AND [TRT72] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF 
            [TRT73] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [TRT74] = TRT:RP.JAus:rvctc4.xx.xx:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
            [TRT71] = TRT:RP.Prim.JAus:bafpr1.xx.xx:Income.Net.Amount
            [TRT72] = TRT:RP.NonPrim.JAus:bafpr1.xx.xx:Income.Net.Amount
        -->

        <assert id="VR.ATO.TRT.432080" diagnostics="DVR.ATO.TRT.432080"
                test="not(       
                            (
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                            or
                            rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            (
                            not (bafpr1.02.09:Income.Net.Amount [@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not (bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                
                          )"/>
        <!--
            IF [TRT83] > 0 AND ([TRT80] = NULL AND [TRT81] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
        -->
        <assert id="VR.ATO.TRT.432107" diagnostics="DVR.ATO.TRT.432107"
                test="not(                              
                         sum(common:node-set($TRT83)) &gt; 0 
                         and 
                         (not($TRT80) and not($TRT81)) 
                     )"/>
        <!--
            IF ([TRT244] = TRUE OR [TRT149] = TRUE OR [TRT245] = "NonResidentNoPermEstab") AND [TRT405] = NULLORBLANK 
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT149] = TRT:RP:pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator
            [TRT244] = TRT:RP:rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator
            [TRT245] = TRT:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
            [TRT405] = TRT:RP:bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        -->
        <assert id="VR.ATO.TRT.432335" diagnostics="DVR.ATO.TRT.432335"
                test="not(  
                            (rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            or
                            pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            or
                            pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^NonResidentNoPermEstab$')]
                            )
                            and
                            not(bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                         )"/>
        <!--
            IF [TRT79] > 0 AND ([TRT76] = NULL AND [TRT77] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT79] = TRT:RP.JAUS.Prim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
        -->
        <assert id="VR.ATO.TRT.432097" diagnostics="DVR.ATO.TRT.432097"
                test="not(                              
                            bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')and number(.) &gt;0] 
                            and 
                            not( bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                            and 
                            not( bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                          )"/>
        <!--
            IF ([TRT49] > 0) AND [TRT74] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
        -->
        <assert id="VR.ATO.TRT.432092" diagnostics="DVR.ATO.TRT.432092"
                test="not(   
                            (
                            number(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )
                            and  not(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>
        <!--
            IF [TRT140] < [TRT141] 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT140] = TRT:RP.JForeign:bafpr1.xx.xx:Income.Other.Amount
            [TRT141] = TRT:RP.JForeign:bafpr1.xx.xx:Income.Net.Amount 
        -->
        <assert id="VR.ATO.TRT.432202" diagnostics="DVR.ATO.TRT.432202"
                test="not(   
                        round(100*sum(common:node-set(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt;
                        round(100*sum(common:node-set(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])))
                     )"/>
        <!--
            IF [TRT81] > 0 AND [TRT436] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT436] = TRT:RP.JAUS.NonPrim:pyde.02.05:Party.TrustType.Code            
        -->
        <assert id="VR.ATO.TRT.432353" diagnostics="DVR.ATO.TRT.432353"
                test="not(   
                            sum(common:node-set($TRT81)) &gt; 0 
                            and 
                            not($TRT436)
                     )" />
        <!--
            IF [TRT355] = FALSE AND 
            ([TRT356] > 0 OR [TRT357] > 0 OR ([TRT358] <> 0 AND [TRT358] <> NULL) OR [TRT359] > 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT355] = TRT:RP:rvctc1.xx.xx:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [TRT356] = TRT:RP.TOFA:bafpr1.xx.xx:Income.GainsTotal.Amount
            [TRT357] = TRT:RP.TOFA:bafpr1.xx.xx:Expense.LossesTotal.Amount
            [TRT358] = TRT:RP.TOFA:bafpr1.xx.xx:Income.BalancingAdjustmentTotal.Amount
            [TRT359] = TRT:RP.TOFA:bafpr1.xx.xx:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.TRT.432356" diagnostics="DVR.ATO.TRT.432356"
                test="not(   
                        rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                        and(sum(common:node-set(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 or
                            sum(common:node-set(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 or
                            bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] or
                            sum(common:node-set(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0)
                      )"/>
        <!--
            IF [TRT98] > 0 AND (([TRT97] * 0.48) < ([TRT98] - 1)) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT98] = TRT:RP.JAus:IncomeTax.FrankingCredits.Amount
            [TRT97] = TRT:RP.JAus:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432137" diagnostics="DVR.ATO.TRT.432137"
                test="not( 
                            number(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            (
                                round(0.48 * round(100*sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))) 
                                &lt;
                                round (100 * (rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))-(100 * 1)
                            )
                      
                     )"/>
        <!--
            
            IF [TRT245] = "NonResidentNoPermEstab" AND [TRT246] = NULL 
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT245] = TRT:RP:pyde.xx.xx:Residency.TaxPurposesOrganisationStatus.Code
            [TRT246] = TRT:RP:rvctc4.xx.xx:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount
        -->
        <assert id="VR.ATO.TRT.432337" diagnostics="DVR.ATO.TRT.432337"
                test="not(   
                            regexp:test(pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(NonResidentNoPermEstab)$')
                            and
                            not(rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            IF [TRT195] > 12 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT195] = TRT:RP:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count
        -->
        <assert id="VR.ATO.TRT.432276" diagnostics="DVR.ATO.TRT.432276"
                test="not(                      
                          sum(common:node-set(rvctc2.02.00:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;12
                         )"/>

        <!--
          
            IF [TRT77] > 0 AND [TRT353] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT353] = TRT:RP.JAUS.Prim:pyde.02.05:Party.TrustType.Code
        -->
        <assert id="VR.ATO.TRT.432352" diagnostics="DVR.ATO.TRT.432352"
                test="not(
                            sum(common:node-set($TRT77)) &gt; 0
                            and
                            not($TRT353)                       
                         )"
                      />

        <!--
            IF ([TRT75] <> NULL) AND ([TRT75] < 0.50)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT75] = TRT:RP.JAUS:bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount
        -->
        <assert id="VR.ATO.TRT.432095" diagnostics="DVR.ATO.TRT.432095"
                test="not(                      
                        bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        round(100 * sum(common:node-set(bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt; (0.50 * 100)
                     )"/>

        <!--
            IF [TRT183] > 0 AND [TRT183] > [TRT64] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT183] = TRT:RP.JForeign:Expense.Royalties.Amount
            [TRT64] = TRT:RP.JAus:Expense.Operating.RoyaltiesTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432259" diagnostics="DVR.ATO.TRT.432259"
                test="not(                      
                             sum(common:node-set(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                               and 
                             ( round(100*sum(common:node-set(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                               &gt;
                               round(100*sum(common:node-set(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                              )
                        )"/>

        <!--
            IF [TRT187] = SET(""D"", ""'X"") AND ([TRT186] = 0 OR [TRT186] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT187] = TRT:RP:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code
            [TRT186] = TRT:RPI.Closing:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
        -->
        <assert id="VR.ATO.TRT.432263" diagnostics="DVR.ATO.TRT.432263"
                test="not(
                            rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(D|X)$')]
                            and
                            (
                                not (rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
                                [@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])
                                or
                                 sum(common:node-set(rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
                                [@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            )  
                    )"/>

        <!--
            IF [TRT439] > 0 AND [TRT97] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT97] = TRT:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
            [TRT439] = TRT:RP.JAUS:rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount

        -->
        <assert id="VR.ATO.TRT.432634" diagnostics="DVR.ATO.TRT.432634"
                test="not(
                        sum(common:node-set(rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                            &gt; 0
                        and
                        not(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                       )"/>

        <!--
            IF [TRT97] > 0 AND [TRT98] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT97] = TRT:RP.JAus:Income.DividendsFranked.Amount
            [TRT98] = TRT:RP.JAus:IncomeTax.FrankingCredits.Amount
        -->
        <assert id="VR.ATO.TRT.432138" diagnostics="DVR.ATO.TRT.432138"
                test="not(
                        sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        not(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                       )"/>

        <!--
            IF [TRT156] <> NULL AND  [TRT157] < [TRT156]
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT156] = TRT:RPI.Closing:Assets.CurrentTotal.Amount
            [TRT157] = TRT:RPI.Closing:Assets.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432227" diagnostics="DVR.ATO.TRT.432227"
                test="not(
                       bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and(
                           round(100*sum(common:node-set( bafpo1.02.00:Assets.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                           &lt;
                           round(100*sum(common:node-set( bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )
                      )"/>
        <!--
            IF [TRT158] <> NULL AND [TRT159] < [TRT158]
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT158] = TRT:RPI.Closing:Liabilities.CurrentTotal.Amount
            [TRT159] = TRT:RPI.Closing:Liabilities.Total.Amount
            -->
        <assert id="VR.ATO.TRT.432230" diagnostics="DVR.ATO.TRT.432230"
                test="not(
                       bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and(
                           round(100*sum(common:node-set( bafpo1.02.00:Liabilities.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                           &lt;
                           round(100*sum(common:node-set( bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )
                      )"/>

        <!--
                IF COUNT(trt.0003.lodge.req.xx.xx:ForestyManagedInvestmentSchemeRulingInformation) > 0 AND ([TRT124] = NULL OR [TRT124] = 0) 
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT124] = TRT:RP.JAUS:bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            -->
        <assert id="VR.ATO.TRT.432173" diagnostics="DVR.ATO.TRT.432173"
                test="not(
                            count(trt.0003.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]) &gt;0
                            and
                            sum(common:node-set(bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                         )" />
        <!--
           IF ([TRT169] <> NULL) AND ([TRT168] = NULL OR [TRT168] = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT169] = TRT:RPI.Closing:Assets.Inventories.ValuationMethod.Code
            [TRT168] = TRT:RPI.Closing:Assets.Inventories.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432238" diagnostics="DVR.ATO.TRT.432238"
                test="not(
                       count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        sum(common:node-set(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                       )"/>

        <!--
           IF ([TRT169] = NULL) AND ([TRT168] >0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT169] = TRT:RPI.Closing:Assets.Inventories.ValuationMethod.Code
            [TRT168] = TRT:RPI.Closing:Assets.Inventories.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432240" diagnostics="DVR.ATO.TRT.432240"
                test="not(
                       count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                        and
                        sum(common:node-set(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                       )"/>

        <!--
           IF [TRT170] <> NULL AND ([TRT156] < [TRT170])
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT170] = TRT:RPI.Closing:Assets.TradeandReceivablesOther.Amount
            [TRT156] = TRT:RPI.Closing:Assets.CurrentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432241" diagnostics="DVR.ATO.TRT.432241"
                test="not(
                       count(bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        ( round(100*sum(common:node-set(bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt; round(100*sum(common:node-set(bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                       )"/>

        <!--
           IF [TRT171] <> NULL AND ([TRT158] < [TRT171])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT171] = TRT:RPI.Closing:Liabilities.TradeAndOtherPayablesTotal.Amount
            [TRT158] = TRT:RPI.Closing:Liabilities.CurrentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432243" diagnostics="DVR.ATO.TRT.432243"
                test="not(
                       count(bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        ( round(100*sum(common:node-set(bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt; round(100*sum(common:node-set(bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                       )"/>

        <!--
           IF [TRT173] <> NULL AND ([TRT172] = 0 OR [TRT172] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT173] = TRT:RP:Remuneration.WagesAndSalariesAction.Code
            [TRT172] = TRT:RP:Remuneration.WagesAndSalaries.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432245" diagnostics="DVR.ATO.TRT.432245"
                test="not(
                        count(lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        round(100*sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])))=0
                       )"/>

        <!--
           IF [TRT172] > 0 AND [TRT173] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT172] = TRT:RP:Remuneration.WagesAndSalaries.Total.Amount
            [TRT173] = TRT:RP:Remuneration.WagesAndSalariesAction.Code
        -->
        <assert id="VR.ATO.TRT.432247" diagnostics="DVR.ATO.TRT.432247"
                test="not(
                        count(lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])= 0
                        and
                        round(100*sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt;0
                       )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:EmploymentTerminationPaymentDetails WHERE TUPLE ELEMENT (crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code <> SET("D","O"))) > 0
                RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432597" diagnostics="DVR.ATO.TRT.432597"
                test="not(
                         count(trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')
                            and ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[not(regexp:test(exslt:uppercase(.),'^(D|O)$'))] ]
                            ) &gt; 0
                       )"/>

        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator <> TRUE 
            AND 
                (
                    pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                    OR pyin.xx.xx:Report.AmendmentType.Code <> NULLORBLANK 
                    OR pyin.xx.xx:Report.AmendmentReason.Text <> NULLORBLANK
                )
                    RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029.TRT"
                test="not(
                        not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        (
                          pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                          or pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                          or pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                        )
                      )"/>
        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator = TRUE 
            AND (pyin.xx.xx:Report.AmendmentSequence.Number = NULL 
            OR pyin.xx.xx:Report.AmendmentType.Code = NULLORBLANK 
            OR pyin.xx.xx:Report.AmendmentReason.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028"
                test="not(
                        pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and(
                        not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')])
                        or not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                        or not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                    ))"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:OtherAustralianIncome) > 50
                   RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432430" diagnostics="DVR.ATO.TRT.432430"
                test="not(
                            count(trt.0003.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]) &gt; 50
                         )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled) > 1
                  RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432601" diagnostics="DVR.ATO.TRT.432601"
                test="not(
                            count(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                         )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:SuperannuationIncomeStreamWithholdingPaymentDetails) > 1
                  RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432604" diagnostics="DVR.ATO.TRT.432604"
                test="not(
                            count(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                         )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:SuperannuationLumpSumWithholdingPaymentDetails) > 1
                  RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432605" diagnostics="DVR.ATO.TRT.432605"
                test="not(
                            count(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                         )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:MailRecipient) > 1
                  RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432606" diagnostics="DVR.ATO.TRT.432606"
                test="not(
                         count(trt.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                    )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:OtherDeductions) > 99
                   RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432389" diagnostics="DVR.ATO.TRT.432389"
                test="not(
                            count(trt.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]) &gt; 99
                         )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) > 130
                   RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.TRT.432390" diagnostics="DVR.ATO.TRT.432390"
                test="not(
                        count(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]) &gt; 130
                      )"/>

        <!--              
            IF ([TRT71] <> NULL OR [TRT72] <> NULL) AND (([TRT166] = 0 OR [TRT166] = NULL) AND ([TRT167] = 0  OR [TRT167] = NULL) AND ([TRT168] = 0  OR [TRT168] = NULL) AND ([TRT170] = 0 OR [TRT170] = NULL)  AND ([TRT156] = 0  OR [TRT156] = NULL) AND  ([TRT157] = 0 OR [TRT157] = NULL) AND  ([TRT171] = 0 OR [TRT171] = NULL)  AND  ([TRT158] = 0 OR [TRT158] = NULL)  AND  ([TRT159] = 0 OR [TRT159] = NULL)  AND  ([TRT172] = 0 OR [TRT172] = NULL) AND  ([TRT174] = 0 OR [TRT174] = NULL)  AND  ([TRT175] = 0 OR [TRT175] = NULL)  AND  ([TRT176] = 0 OR [TRT176] = NULL)  AND  ([TRT177] = 0 OR [TRT177] = NULL)  AND  ([TRT178] = 0 OR [TRT178] = NULL)  AND  ([TRT179] = 0 OR [TRT179] = NULL)  AND  ([TRT180] = 0 OR [TRT180] = NULL)  AND  ([TRT181] = 0 OR [TRT181] = NULL)  AND  ([TRT182] = 0 OR [TRT182] = NULL)  AND  ([TRT183] = 0 OR [TRT183] = NULL)  AND ([TRT184] = 0 OR [TRT184] = NULL))
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
            [TRT156] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.CurrentTotal.Amount
            [TRT157] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.Total.Amount
            [TRT158] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.CurrentTotal.Amount
            [TRT159] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.Total.Amount
            [TRT166] = TRT:RP.Opening(Instant):bafpo7.02.04:Assets.Inventories.Total.Amount
            [TRT167] = TRT:RP:bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount
            [TRT168] = TRT:RP.Closing(Instant):bafpo7.02.04:Assets.Inventories.Total.Amount
            [TRT170] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.TradeandReceivablesOther.Amount
            [TRT171] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount
            [TRT172] = TRT:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [TRT174] = TRT:RP:lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount
            [TRT175] = TRT:RP:bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
            [TRT176] = TRT:RP:bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
            [TRT177] = TRT:RP:bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
            [TRT178] = TRT:RP:bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount
            [TRT179] = TRT:RP:bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount
            [TRT180] = TRT:RP:bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
            [TRT181] = TRT:RP:lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount
            [TRT182] = TRT:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
            [TRT183] = TRT:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
            [TRT184] = TRT:RP:bafpr1.02.04:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount   
        -->
        <assert id="VR.ATO.TRT.432235" diagnostics="DVR.ATO.TRT.432235"
                test="not(
                            ($TRT71 or $TRT72) 
                            and 
                               (                                                               
                                (sum(common:node-set($TRT166)) = 0 or not($TRT166) )
                                and 
                                (sum(common:node-set($TRT167)) = 0 or not($TRT167) )
                                and 
                                (sum(common:node-set($TRT168)) = 0 or not($TRT168) )
                                and 
                                (sum(common:node-set($TRT170)) = 0 or not($TRT170) )
                                and 
                                (sum(common:node-set($TRT156)) = 0 or not($TRT156) )
                                and  
                                (sum(common:node-set($TRT157)) = 0 or not($TRT157) )
                                and  
                                (sum(common:node-set($TRT171)) = 0 or not($TRT171) )
                                and  
                                (sum(common:node-set($TRT158)) = 0 or not($TRT158) )
                                and  
                                (sum(common:node-set($TRT159)) = 0 or not($TRT159) )
                                and  
                                (sum(common:node-set($TRT172)) = 0 or not($TRT172) )
                                and  
                                (sum(common:node-set($TRT174)) = 0 or not($TRT174) )
                                and  
                                (sum(common:node-set($TRT175)) = 0 or not($TRT175) )
                                and  
                                (sum(common:node-set($TRT176)) = 0 or not($TRT176) )
                                and  
                                (sum(common:node-set($TRT177)) = 0 or not($TRT177) )
                                and  
                                (sum(common:node-set($TRT178)) = 0 or not($TRT178) )
                                and  
                                (sum(common:node-set($TRT179)) = 0 or not($TRT179) )
                                and  
                                (sum(common:node-set($TRT180)) = 0 or not($TRT180) )
                                and  
                                (sum(common:node-set($TRT181)) = 0 or not($TRT181) )
                                and  
                                (sum(common:node-set($TRT182)) = 0 or not($TRT182) )
                                and                               
                                (sum(common:node-set($TRT183)) = 0 or not($TRT183) )
                                and
                                (sum(common:node-set($TRT184)) = 0 or not($TRT184) )
                            )   
                         )"
                        />
        <!--
            IF ((ANY OCCURRENCE OF([TRT218]) > 0) OR [TRT234] > 0) AND ([TRT71] = NULL AND [TRT76] = NULL AND [TRT77] = NULL) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432081" diagnostics="DVR.ATO.TRT.432081"
                test="not(
                            (
                             trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1') and sum(common:node-set(.)) &gt; 0]
                             or sum(common:node-set(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                             )
                            and not(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
            IF [TRT72] = NULL 
            AND ([TRT47] <> NULL OR [TRT49] <> NULL OR [TRT52] <> NULL OR [TRT55] <> NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT72] = TRT:RP.NonPrim.JAus:bafpr1.xx.xx:Income.Net.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT52] = TRT:RP.NonPrim.JAus:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT55] = TRT:RP.NonPrim.JAus:bafpr1.xx.xx:Income.Other.Amount
        -->
        <assert id="VR.ATO.TRT.432083" diagnostics="DVR.ATO.TRT.432083"
                test="not(
                          not(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] or
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] or
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] or 
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
                      
            IF ([TRT46] + [TRT47] + [TRT49] + [TRT50] + [TRT52] + [TRT54] + [TRT55]) - ([TRT56] + [TRT57] + [TRT58] + [TRT59] + [TRT60] + 
            [TRT61] + [TRT62] + [TRT63] + [TRT64] + [TRT65] + [TRT66] + [TRT67] + [TRT68]) + [TRT69] + [TRT447] <> ([TRT71] + [TRT72]) 
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
            [TRT56] = TRT:RP.JAUS:bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
            [TRT57] = TRT:RP.JAUS:lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount
            [TRT58] = TRT:RP.JAUS:emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
            [TRT59] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount
            [TRT60] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount
            [TRT61] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.LeaseTotal.Amount
            [TRT62] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.RentTotal.Amount
            [TRT63] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.InterestTotal.Amount
            [TRT64] = TRT:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [TRT65] = TRT:RP.JAUS:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [TRT66] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount
            [TRT67] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount
            [TRT68] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOtherTotal.Amount
            [TRT69] = TRT:RP.JAUS:bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount
            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
            [TRT447] = TRT:RP.JAUS:bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432079" diagnostics="DVR.ATO.TRT.432079"
                test="not(
                        round ( 100 * sum(common:node-set(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                         -
                        round ( 100 * sum(common:node-set(
                            bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.LeaseTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.RentTotal.Amount [@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Expense.DeductibleOtherTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        )))
                        +
                        round ( 100 * sum(common:node-set(                         
                            bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                        !=
                        round ( 100 * sum(common:node-set(
                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                      )"/>

        <!--
            IF ([TRT161] <> NULLORBLANK OR [TRT162] <> NULLORBLANK) AND
               ([TRT46] = NULL AND [TRT47] = NULL AND [TRT49] = NULL AND [TRT50] = NULL AND [TRT52] = NULL AND [TRT54] = NULL AND [TRT55] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
            [TRT161] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
            WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MTR" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C")
            IN TUPLE(orgname2.02.00:OrganisationNameDetails)
            [TRT162] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text
            WHERE (pyde.02.01:AddressDetails.Usage.Code = "BUS" AND pyde.02.00:AddressDetails.Currency.Code = "C")
            IN TUPLE(address2.02.02:AddressDetails)
        -->
        <assert id="VR.ATO.TRT.432046" diagnostics="DVR.ATO.TRT.432046"
                test="not(
                            (
                             orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [@contextRef = $RP.ContextId and 
                                     not(@i:nil='true' or @i:nil='1') and 
                                     string-length(normalize-space(.)) != 0
                                     and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                                     and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'MTR' ]
                             or
                             address2.02.02:AddressDetails[not=(@i:nil='true' or @i:nil='1') and
                                    exslt:uppercase(./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'BUS' and
                                    exslt:uppercase(./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C']
                                    /pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                             )
                        and
                        (
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        ) 
                   )"/>

        <!--
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) AND (SUM([TRT224]) + [TRT240] <> [TRT134] + [TRT135] + [TRT136]) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432193" diagnostics="DVR.ATO.TRT.432193"
                test="not(
                        round ( 100 * sum(common:node-set(
                             bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                         -
                         round ( 100 * sum(common:node-set(
                            rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                         &gt; 0
                         and
                         (   
                            round ( 100 * sum(common:node-set(
                                trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary/rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                         !=
                            round ( 100 * sum(common:node-set(
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                         )
                      )"/>
        <!--
            IF [TRT355] = TRUE 
            AND ([TRT356] = NULL OR [TRT356] = 0) 
            AND ([TRT357] = NULL or [TRT357] = 0) 
            AND ([TRT358] = NULL OR [TRT358] = 0) 
            AND ([TRT359] = NULL OR [TRT359] = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT355] = TRT:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [TRT356] = TRT:RP.TOFA:Income.GainsTotal.Amount
            [TRT357] = TRT:RP.TOFA:Expense.LossesTotal.Amount
            [TRT358] = TRT:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [TRT359] = TRT:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.TRT.432358" diagnostics="DVR.ATO.TRT.432358"
                test="not(
                           rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                           and
                           sum(common:node-set(
                                bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )) = 0
                      )"/>
        <!--       
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) 
                AND 
                [TRT143] > 0 
                AND [TRT143] < 
                SUM([TRT217]) + [TRT233] 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432298" diagnostics="DVR.ATO.TRT.432298"
                test="not(
                            (round(sum(common:node-set($TRT130)) * 100) + round(sum(common:node-set($TRT133)) * 100) + round(sum(common:node-set($TRT134)) * 100) + round(sum(common:node-set($TRT135)) * 100) + round(sum(common:node-set($TRT136)) * 100) + round(sum(common:node-set($TRT141)) * 100) + round(sum(common:node-set($TRT143)) * 100) - round(sum(common:node-set($TRT144)) * 100) &gt; 0) 
                            and 
                            sum(common:node-set($TRT143)) &gt; 0 
                            and 
                            round(sum(common:node-set($TRT143)) * 100) &lt; round(sum(common:node-set($TRT217)) * 100) + round(sum(common:node-set($TRT233)) * 100) 
                        )"
             />

        <!--
            IF [TRT144] > 0 AND ([TRT144] > [TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143]) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->
        <assert id="VR.ATO.TRT.432207" diagnostics="DVR.ATO.TRT.432207"
                test="not(
                         sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                         &gt; 0
                         and
                         round(100 * sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                         &gt; 
                         round(100 *sum(common:node-set(
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |  
                                rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                     )"/>

        <!--
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] <= 0) AND ((ANY OCCURRENCE OF [TRT217] <> NULL OR [TRT221] <> NULL)  OR ([TRT237] <> NULL OR [TRT233] <> NULL))
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
            IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432307" diagnostics="DVR.ATO.TRT.432307"
                test="not(
                         round(100* 
                         sum(common:node-set(
                                  bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                | rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                          )))
                                
                                -
                         round(100*       
                         sum(common:node-set(
                                rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                                
                                &lt;= 0
                         and    (
                                trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )
                
                      )"/>
        <!--
            IF [TRT99] > 0 AND (([TRT96]*0.5) + 1) < [TRT99] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT99] = TRT:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
            [TRT96] = TRT:RP.JAus:Income.DividendsUnfranked.Amount
        -->
        <assert id="VR.ATO.TRT.432140" diagnostics="DVR.ATO.TRT.432140"
                test="not(
                            number(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and (
                                    round(
                                        100*
                                        (
                                            (sum
                                                (
                                                    common:node-set
                                                        (                
                                                        bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                        )
                                                )
                                            *0.5)
                                            +1
                                        )
                                        
                                        )
                                    &lt;
                                    round(100*sum(common:node-set(   
                                        rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )))
                                    
                                 )
                      )"/>

        <!--
            IF ([TRT46] <> NULL OR [TRT47] <> NULL OR [TRT49] <> NULL OR [TRT50] <> NULL OR [TRT52] <> NULL OR [TRT54] <> NULL OR [TRT55] <> NULL) AND [TRT42] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT42] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
        -->
        <assert id="VR.ATO.TRT.432041" diagnostics="DVR.ATO.TRT.432041"
                test="not(
                            (
                                $TRT46
                                or $TRT47
                                or $TRT49
                                or $TRT50
                                or $TRT52
                                or $TRT54
                                or $TRT55
                            )
                            and
                            not($TRT42)
                      )"/>
        <!--
            IF ( 
                [TRT46] <> NULL 
                OR [TRT47] <> NULL 
                OR [TRT49] <> NULL 
                OR [TRT50] <> NULL 
                OR [TRT52] <> NULL 
                OR [TRT54] <> NULL 
                OR [TRT55] <> NULL
                ) 
                AND 
                (
                    [TRT161] = NULLORBLANK OR [TRT162] = NULLORBLANK
                ) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
            [TRT161] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MTR" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails)
            [TRT162] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = "BUS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails)
        -->
        <assert id="VR.ATO.TRT.432234" diagnostics="DVR.ATO.TRT.432234"
                test="not(
                            (
                                $TRT46 or
                                $TRT47 or
                                $TRT49 or
                                $TRT50 or
                                $TRT52 or
                                $TRT54 or
                                $TRT55 
                            )
                            and
                          (
                                (
                                    orgname2.02.00:OrganisationNameDetails
                                    [
                                    exslt:uppercase(pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='C'
                                    and
                                    exslt:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='MTR'
                                    and
                                    not(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                    ]
                                )
                                or
                                (
                                    address2.02.02:AddressDetails
                                    [
                                    exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code)='BUS'
                                    and
                                    exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code)='C'
                                    and
                                    not(pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                    ]                                
                                )

                            )   
                        )"/>
        <!--
            IF [TRT42] <> NULL AND
            (
                ([TRT41] = NULLORBLANK) 
                OR
                (
                    [TRT46] = NULL AND [TRT47] = NULL AND 
                    [TRT49] = NULL AND [TRT50] = NULL AND [TRT52] = NULL AND 
                    [TRT54] = NULL AND [TRT55] = NULL
                 )
            )
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT41] = TRT:RP:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
            [TRT42] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
        -->
        <assert id="VR.ATO.TRT.432039" diagnostics="DVR.ATO.TRT.432039"
                test="not(
                        $TRT42
                        and
                        (
                            not($TRT41[string-length(normalize-space(.)) != 0])
                            
                            or
                            (
                                not($TRT46)
                                and not($TRT47)
                                and not($TRT49)
                                and not($TRT50)
                                and not($TRT52)
                                and not($TRT54)
                                and not($TRT55)
                            )
                        )
                    )"/>
        <!--
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] <= 0 )
            AND (ANY OCCURRENCE OF [TRT226] <> NULL) OR [TRT242] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT130] = TRT:RP.JAus bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JForeign.CFCLC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JForeign.CFC404  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JForeign.CFCUC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JForeign bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JForeign rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT226] = TRT:RP:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT242] = TRT:RP:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
        -->
        <assert id="VR.ATO.TRT.432314" diagnostics="DVR.ATO.TRT.432314"
                test="not(
                        number(
                         round(100*                           
                            sum(common:node-set(                
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                                -
                         round(100*                                
                             sum(common:node-set(                             
                                rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                         )
                         &lt;= 0
                         and
                         (
                             count(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                             or
                             count(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                         )
                     )"/>

        <!--
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0)
            AND (SUM([TRT226]) + [TRT242] <> [TRT142]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT130] = TRT:RP.JAus:Income.Net.Amount
            [TRT133] = TRT:RP:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JForeign:Income.Net.Amount
            [TRT143] = TRT:RP.JForeign:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT226] = TRT:RP:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT242] = TRT:RP:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            [TRT142] = TRT:RP.JForeign:Income.InternationalDealings.TaxOffset.Amount
        -->
        <assert id="VR.ATO.TRT.432315" diagnostics="DVR.ATO.TRT.432315"
                test="not(
                        number(
                         round(100*                           
                            sum(common:node-set(                
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                                -
                         round(100*                                
                             sum(common:node-set(                             
                                rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                         )
                         &gt; 0
                         and
                         (
                            round(100*
                                sum(common:node-set(                
                                    trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                            !=
                            round(100*                        
                                sum(common:node-set(
                                bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                         )   
                     )"/>


        <!--
            IF ([TRT99] > 0 AND [TRT96] > 0 AND [TRT97] > 0)
            AND ([TRT96] + (([TRT97]*0.5) + 1)) < [TRT99] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT99] = TRT:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
            [TRT96] = TRT:RP.JAus:Income.DividendsUnfranked.Amount
            [TRT97] = TRT:RP.JAus:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432134" diagnostics="DVR.ATO.TRT.432134"
                test="not(
                        number(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        number(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        number(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        (
                            round(100*
                                (
                                    sum(common:node-set(                
                                        bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    ))    
                                    +
                                    sum(common:node-set(                
                                        bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )) * 0.5 + 1
                                )
                            )
                            &lt;
                            round(100*
                                sum(common:node-set(
                                rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                        )    
                     )"/>

        <!--
            IF [TRT196] + [TRT198] > ([TRT1]&"-06-30") - (([TRT1]-1)&"-07-01") +1  
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT1] = TRT:RP:pyin.02.00:Report.TargetFinancial.Year
            [TRT196] = TRT:RP:rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionFullDays.Count
            [TRT198] = TRT:RP:rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionHalfDays.Count
        -->
        <let name="VR.ATO.TRT.432277_prev_year" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) - 1"/>
        <let name="VR.ATO.TRT.432277_curr_year" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
        <let name="VR.ATO.TRT.432277_days" value="number(substring-after(substring-before(date:difference(concat($VR.ATO.TRT.432277_prev_year, '-07-01'),concat($VR.ATO.TRT.432277_curr_year, '-06-30')),'D'),'P')) + 1" />

        <assert id="VR.ATO.TRT.432277" diagnostics="DVR.ATO.TRT.432277"
                test="not(
                            sum(common:node-set(rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionFullDays.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionHalfDays.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt;
                            $VR.ATO.TRT.432277_days
                     )"/>

        <!--
            IF SUM([TRT222]) + [TRT238] <> [TRT86] + [TRT95] + [TRT99]
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT222] = TRT:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT238] = TRT:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            [TRT86] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
            [TRT95] = TRT:RP.JAus:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
            [TRT99] = TRT:RP.JAus:IncomeTax.DividendsTFNAmountsWithheld.Amount
        -->
        <assert id="VR.ATO.TRT.432112" diagnostics="DVR.ATO.TRT.432112"
                test="not(
                        round(100*
                            sum(common:node-set(                
                                trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                        !=
                        round(100*                        
                            sum(common:node-set(
                                rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                     )"/>
        <!--
            IF [TRT65] < ([TRT189] + [TRT190])
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT65] = TRT:RP.JAUS:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [TRT189] = TRT:RP.LowCost:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
            [TRT190] = TRT:RP.GeneralPool:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        -->
        <assert id="VR.ATO.TRT.432070" diagnostics="DVR.ATO.TRT.432070"
                test="not(
                        round(100*
                                sum(common:node-set(bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt;
                        round(100*
                                sum(common:node-set(bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.GeneralPool.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.LowCost.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!--           
            IF [TRT73] > 0 AND [TRT73] > (([TRT46] + [TRT47]) *0.50) + 1 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT73] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [TRT46] = TRT:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.TRT.432086" diagnostics="DVR.ATO.TRT.432086"
                test="not(
                            sum(common:node-set(
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 0
                            and
                            (
                                round(sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)
                                &gt;
                                round(
                                        (
                                            (
                                                sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                )) 
                                                * 0.5
                                            ) + 1
                                        ) * 100
                                )
                            )
                      )"/>
        <!--
            IF SUM([TRT342]) + [TRT343] <> [TRT340]
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT342] = TRT:RP:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT343] = TRT:RP:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            [TRT340] = TRT:RP:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        -->
        <assert id="VR.ATO.TRT.432342" diagnostics="DVR.ATO.TRT.432342"
                test="not(
                          round(100*sum(common:node-set(
                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            )))!=
                            round(100*sum(common:node-set(
                               gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))                       
                         )"/>
        <!--
            IF [TRT74] > 0 AND [TRT74] > ([TRT49] *0.50 + 1)
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
        -->
        <assert id="VR.ATO.TRT.432091" diagnostics="DVR.ATO.TRT.432091"
                test="not(
                        round(100*
                            sum(common:node-set(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &gt; 0
                        and
                        (
                            round(100*
                               sum(common:node-set(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt;                         
                            ( round(0.5 * 100*
                                   sum(common:node-set(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                  ) +1*100                        
                             )
                         )
                      )"/>
        <!--
            IF SUM([TRT215]) + [TRT231] <> [TRT74] + [TRT87]
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT215] = TRT:RP:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount 
            IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT231] = TRT:RP:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount 
            IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            [TRT74] = TRT:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
            [TRT87] = TRT:RP.JAus:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.TRT.432093" diagnostics="DVR.ATO.TRT.432093"
                test="not(
                            sum(common:node-set(
                                trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                            != 
                            sum(common:node-set(
                                rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                        )"/>

        <!--           
             IF SUM([TRT220]) + [TRT236] <> [TRT73] + [TRT84] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT220] = TRT:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT236] = TRT:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            [TRT73] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [TRT84] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
        -->
        <assert id="VR.ATO.TRT.432089" diagnostics="DVR.ATO.TRT.432089"
                test="not(
                        round(100*
                                sum(common:node-set(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                        /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                        /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount 
                                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(100*
                                sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                                                        [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                                                    rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
                                                        [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                                                    
                      )"/>

        <!--
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] +[TRT143] - [TRT144] > 0)
            AND (SUM([TRT223]) + [TRT239] <> [TRT133])
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT130] = TRT:RP.JAus:Income.Net.Amount
            [TRT133] = TRT:RP:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JForeign:Income.Net.Amount
            [TRT143] = TRT:RP.JForeign:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT223] = TRT:RP:Income.CapitalGainsNet.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT239] = TRT:RP:Income.CapitalGainsNet.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] +[TRT143] - [TRT144] > 0)
            AND (SUM([TRT223]) + [TRT239] + [TRT446] <> [TRT133])
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT223] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT239] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount
        -->
        <!-- JK REMOVE 
        <assert id="VR.ATO.TRT.432190" diagnostics="DVR.ATO.TRT.432190"
                test="not(
                        number(
                            sum(common:node-set(                
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))                              
                            -
                            sum(common:node-set(                             
                                rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                         )
                         &gt; 0
                         and
                         (
                            round(100*
                                sum(common:node-set(                
                                    trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                            !=
                            round(100*                        
                                sum(common:node-set(
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )))
                         )   
                     )"/>
 -->
        <!--           
            IF [TRT418] <> (SUM([TRT419]) + [TRT435])
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT418] = TRT:RP.JAUS:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
            [TRT419] = TRT:RP:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT435] = TRT:RP:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)                       
        -->
        <assert id="VR.ATO.TRT.432578" diagnostics="DVR.ATO.TRT.432578"
                test="not(
                        round(100*                        
                                sum(common:node-set(
                                            rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
                                                [@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=
                        round(100*                        
                                sum(common:node-set(
                                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
                                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount 
                                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!--           
                IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) AND
                ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] - [TRT144]
                <>
                SUM([TRT218]) + [TRT234] + SUM([TRT219]) + [TRT235] + SUM([TRT442])
                + [TRT444] + SUM([TRT223]) + [TRT239] + [TRT446] +SUM([TRT224]) + [TRT240] + SUM([TRT225]) + [TRT241])
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
                [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
                [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
                [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
                [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
                
                *[TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                *[TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                
                *[TRT223] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                *[TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                *[TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                *[TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                
                *[TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                *[TRT239] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                *[TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                *[TRT241] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                *[TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                *[TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                *[TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount
            -->
        <assert id="VR.ATO.TRT.432179" diagnostics="DVR.ATO.TRT.432179"
                test="not(
                            (
                                 sum(common:node-set(
                                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |                            
                                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                -
                                sum(common:node-set(
                                            rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )                                                       
                            &gt; 0
                            and
                            round(100*
                                    (
                                        sum(common:node-set(
                                                    bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |                            
                                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |                            
                                                    bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                        -
                                        sum(common:node-set(
                                                    rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    )
                            )                   
                            !=
                            round(100*
                                sum(common:node-set(
                                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                           
                                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] |
                      
                                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] |
                     
                                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] |                                                                                        

                                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]   |
             
                                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]   |
   
                                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                    
                                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    

                                            rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |                           
     
                                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                    
                                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                                                
                                            trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                
                                            trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] ))
                                      )                        
                         )"/>

        <!--
        
            
            Rule ID: VR.ATO.TRT.432110
      
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) 
        
            AND (
                    SUM([TRT221]) + [TRT237] 
                    <> 
                    (
                        [TRT85] + [TRT98]
                    )
                    +/- 1
             ) 
        
               RETURN VALIDATION MESSAGE
           
            ENDIF

            [TRT85] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [TRT98] = TRT:RP.JAUS:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)  
            
        -->


      <assert  id="VR.ATO.TRT.432110" diagnostics="DVR.ATO.TRT.432110" test="not(
	            (round(sum(common:node-set($TRT130 | $TRT133 | $TRT134 | $TRT135 | $TRT136 | $TRT141 | $TRT143)) * 100) - round(sum(common:node-set($TRT144)) * 100) &gt; 0) 
							and 
              math:abs(
						    round(sum(common:node-set($TRT221 | $TRT237)) * 100)
                -
                round(sum(common:node-set($TRT85 | $TRT98)) * 100)
              ) &gt; 100
						  )"></assert>


      

       <!--            
            IF [TRT130] <> ([TRT71] + [TRT72] + [TRT76] + 
            [TRT77] - [TRT79] + [TRT80] + [TRT81] - [TRT83] + 
            [TRT437] - [TRT438] + [TRT89] - [TRT90] - [TRT91] - 
            [TRT92] + [TRT93] + [TRT94] + [TRT96] + [TRT97] + [TRT98] + 
            [TRT105] + SUM([TRT109]) + SUM([TRT111]) + (SUM([TRT113]) * 0.05) + 
            [TRT115] + [TRT116] + [TRT117] + [TRT118] + [TRT119] + [TRT100] 
            + [TRT101] + [TRT102] + [TRT103] + SUM([TRT121]) - ([TRT123] + 
            [TRT439] + [TRT124] + SUM([TRT129]))) +/- 1 
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
            [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT79] = TRT:RP.JAUS.Prim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [TRT89] = TRT:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
            [TRT90] = TRT:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAUS:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
            [TRT93] = TRT:RP.JAUS:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
            [TRT94] = TRT:RP.JAUS:bafpr2.02.02:Income.Interest.Gross.Amount
            [TRT96] = TRT:RP.JAUS:bafpr1.02.05:Income.DividendsUnfranked.Amount
            [TRT97] = TRT:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
            [TRT98] = TRT:RP.JAUS:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
            [TRT100] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT101] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT102] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "D") IN TUPLE(trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails)
            [TRT103] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails)
            [TRT105] = TRT:RP.JAUS:gfapc.02.01:Pension.Total.Amount
            [TRT109] = TRT:RP.JAUS:lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT111] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT113] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT115] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
            [TRT116] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
            [TRT117] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:LumpSumInArrears) IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
            [TRT118] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:LumpSumInArrears) IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
            [TRT119] = TRT:RP.JAUS:lrla.02.00:Remuneration.BonusesAndAllowances.Amount
            [TRT121] = TRT:RP.JAUS:bafpr1.02.04:Income.Other.Amount IN TUPLE(trt.0003.lodge.req.02.00:OtherAustralianIncome)
            [TRT123] = TRT:RP.JAUS:bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount
            [TRT124] = TRT:RP.JAUS:bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            [TRT129] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Amount IN TUPLE(trt.0003.lodge.req.02.00:OtherDeductions)
            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
            [TRT439] = TRT:RP.JAUS:rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432180" diagnostics="DVR.ATO.TRT.432180"
                test="not(
                        math:abs(
                          round(100*sum(common:node-set(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          -
                          (
                              round(100*(sum(common:node-set(
                                 bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                                
                                |bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                                |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                                |bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |gfapc.02.01:Pension.Total.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /trt.0003.lodge.req.02.00:LumpSumInArrears[not(@i:nil='true' or @i:nil='1')]
                                     /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                                 
                                |trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /trt.0003.lodge.req.02.00:LumpSumInArrears[not(@i:nil='true' or @i:nil='1')]
                                     /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |lrla.02.00:Remuneration.BonusesAndAllowances.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                    
                                |trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                               
                                |trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1') 
                                   and ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]='D']
                                     /emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1') 
                                   and ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]='O']
                                     /emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0003.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]
                                   /bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                              ))))                          
                              +
                              round(100*(sum(common:node-set(
                                trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                  /lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                              ))) * 0.05)
                              -
                              round(100*(sum(common:node-set(
                                 bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                |bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                                |bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                               
                                |trt.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]
                                  /bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                              ))))
                          )  
                        ) &gt; 100*1
                      )"/>
        <!--
            IF CONTEXT(INT) = NULL AND 
               RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432417" diagnostics="DVR.ATO.GEN.432417.TRT"
                test="not(
                        not($INT.ContextId)
                        and
                        not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId 
                            and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:EmploymentTerminationPaymentDetails WHERE TUPLE ELEMENT crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code = "D") > 1
                RETURN VALIDATION MESSAGE
                ENDIF
            -->
        <assert id="VR.ATO.TRT.432419" diagnostics="DVR.ATO.TRT.432419"
                test="not(
                        count(trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')]/
                        crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[not(@i:nil='true' or @i:nil='1') and . = 'D']) &gt; 1
                    )"/>

        <!--
        IF [TRT131] = TRUE AND [TRT132] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        [TRT131] = TRT:RP:CapitalGainsTax.Event.Indicator
        [TRT132] = TRT:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
        -->
        <assert id="VR.ATO.TRT.432186" diagnostics="DVR.ATO.TRT.432186"
                test="not(
                rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                and
                not(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                )"/>

        <!--
            IF [TRT24] <> NULLORBLANK AND [TRT20] <> NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT24] = TRT:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                      IN TUPLE(orgname2.xx.xx:OrganisationNameDetails ) IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
            [TRT20] = TRT:RP:PersonNameDetails.FamilyName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "MailRecipient")) 
                      IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails ) IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
        -->
        <assert id="VR.ATO.TRT.432013" diagnostics="DVR.ATO.TRT.432013"
                test="not(
                        trt.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]
                            /orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [@contextRef = $RP.ContextId 
                                     and not(@i:nil='true' or @i:nil='1')
                                     and string-length(normalize-space(.)) != 0
                                        and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                                        and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'MN' ]                       
                        and
                        trt.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]
                            /prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:PersonNameDetails.FamilyName.Text
                                    [not(@i:nil='true' or @i:nil='1') 
                                    and @contextRef=$RP.ContextId
                                    and string-length(normalize-space(.)) != 0
                                        and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL' 
                                        and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'MAILRECIPIENT']     
                      )"/>

        <!--
            IF ([TRT14] = [TRT9] AND [TRT15] = [TRT10] AND [TRT16] = [TRT11] AND [TRT17] = [TRT12]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT14] = TRT:RP:AddressDetails.Line1.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
            [TRT9]  = TRT:RP:AddressDetails.Line1.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
            [TRT15] = TRT:RP:AddressDetails.LocalityName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
            [TRT10] = TRT:RP:AddressDetails.LocalityName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
            [TRT16] = TRT:RP:AddressDetails.StateOrTerritory.Code WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
            [TRT11] = TRT:RP:AddressDetails.StateOrTerritory.Code WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
            [TRT17] = TRT:RP:AddressDetails.Postcode.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
            [TRT12] = TRT:RP:AddressDetails.Postcode.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                      (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                      IN TUPLE(address2.xx.xx:AddressDetails )
        -->
        <assert id="VR.ATO.TRT.432014" diagnostics="DVR.ATO.TRT.432014"
                test="not(
                        (
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.Line1.Text
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'P']))
                            =
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.Line1.Text
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'C']))
                        )
                        and
                        (
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.LocalityName.Text
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'P']))
                            =
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.LocalityName.Text
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'C']))
                        )
                        and
                        (
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.StateOrTerritory.Code
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'P']))
                            =
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.StateOrTerritory.Code
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'C']))
                        )
                        and
                        (
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.Postcode.Text
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'P']))
                            =
                            exslt:uppercase(normalize-space(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                            /pyde.02.00:AddressDetails.Postcode.Text
                                                [@contextRef = $RP.ContextId 
                                                 and not(@i:nil='true' or @i:nil='1')
                                                 and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'POS'
                                                 and exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code[
                                                                     @contextRef = $RP.ContextId 
                                                                     and not(@i:nil='true' or @i:nil='1')]) = 'C']))
                        )
                      )"/>

        <!--
            IF [TRT133] > 0 AND [TRT131] = FALSE 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT133] = TRT:RP:Income.CapitalGainsNet.Amount
            [TRT131] = TRT:RP:CapitalGainsTax.Event.Indicator
        -->
        <assert id="VR.ATO.TRT.432192" diagnostics="DVR.ATO.TRT.432192"
                test="not(
                        bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                        and
                        rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                    )"/>

        <!--
            IF (TRT:RP:pyde.xx.xx:AddressDetails.Line1.Text 
                  WHERE((TUPLE ELEMENT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND (TUPLE ELEMENT pyde.xx.xx:AddressDetails.Currency.Code = "C")))
               =
               (TRT:RP:pyde.xx.xx:AddressDetails.Line1.Text 
                  WHERE((TUPLE ELEMENT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND (TUPLE ELEMENT pyde.xx.xx:AddressDetails.Currency.Code = "P")))
              RETURN VALIDATION MESSAGE
            ENDIF
            Context Instance: RP
        -->
        <let name="VR.ATO.TRT.432563.AddressDetails.Line1.Text"
             value="address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                      /pyde.02.00:AddressDetails.Line1.Text[../pyde.02.01:AddressDetails.Usage.Code[exslt:uppercase(.)='POS' and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        <assert id="VR.ATO.TRT.432563" diagnostics="DVR.ATO.TRT.432563"
                test="not(
                        $VR.ATO.TRT.432563.AddressDetails.Line1.Text[../pyde.02.00:AddressDetails.Currency.Code[exslt:uppercase(.)='C' and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]]
                        =
                        $VR.ATO.TRT.432563.AddressDetails.Line1.Text[../pyde.02.00:AddressDetails.Currency.Code[exslt:uppercase(.)='P' and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]]
                      )"/>


        <!--
            IF [TRT32] = "059" AND [TRT34] = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT32] = TRT:RP:OrganisationDetails.OrganisationType.Code
            [TRT34] = TRT:RP:PersonDemographicDetails.Death.Date
        -->
        <assert id="VR.ATO.TRT.432031" diagnostics="DVR.ATO.TRT.432031"
                test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '059'
                        and
                        not(pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )"/>

        <!--
                IF COUNT TUPLE(trt.0003.lodge.req.xx.xx:EmploymentTerminationPaymentDetails WHERE TUPLE ELEMENT crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code = "O") > 1
                RETURN VALIDATION MESSAGE
                ENDIF
            -->
        <assert id="VR.ATO.TRT.432567" diagnostics="DVR.ATO.TRT.432567"
                test="not(
                            count(trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1') and
                            ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[not(@i:nil='true' or @i:nil='1') and . = 'O']]) &gt; 1                            
                         )"/>

        <!--
            IF [TRT182] > 0 AND [TRT182] > [TRT63] 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT182] = TRT:RP.JForeign:Expense.Interest.Amount
            [TRT63] = TRT:RP.JAus:Expense.Operating.InterestTotal.Amount
        -->
        <assert id="VR.ATO.TRT.432256" diagnostics="DVR.ATO.TRT.432256"
                test="not(
                        number(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                        and 
                        (
                            round(100*sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt; 
                            round(100*sum(common:node-set(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                         )
                      )"/>


        <!-- 
            IF [TRT34] <> NULL AND [TRT32] <> "059"
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT34] = TRT:RP:PersonDemographicDetails.Death.Date
            [TRT32] = TRT:RP:OrganisationDetails.OrganisationType.Code
        -->
        <assert id="VR.ATO.TRT.432027" diagnostics="DVR.ATO.TRT.432027"
                test="not(
                        pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '059'
        )"/>

        <!--
            IF [TRT230] <>  NULLORBLANK AND [TRT32] = "203" 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT230] = TRT:RP:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            [TRT32] = TRT:RP:OrganisationDetails.OrganisationType.Code
        -->
        <assert id="VR.ATO.TRT.432026" diagnostics="DVR.ATO.TRT.432026"
                test="not(
                        trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]
                            /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1' and string-length(normalize-space(.)) != 0)]
                        and
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '203'
                    )"/>

        <!--             
            IF [TRT74] <> NULL AND [TRT49] = NULL 
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount

        -->
        <assert id="VR.ATO.TRT.432052" diagnostics="DVR.ATO.TRT.432052"
                test="not(
                        rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not (lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [TRT34] <> NULL AND [TRT34] > (([TRT1])&"-06-30") 
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT34] = TRT:RP:PersonDemographicDetails.Death.Date
            [TRT1]  = TRT:RP:Report.TargetFinancial.Year
        -->
        <let name="curr_year_432030" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
        <let name="year_end_432030"  value="concat($curr_year_432030, '-06-30')"/>
        <let name="death_date_432030" value="pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        <assert id="VR.ATO.TRT.432030" diagnostics="DVR.ATO.TRT.432030"
                test="not(
                        function:IsDate1GreaterThanDate2($death_date_432030, $year_end_432030)
                      )"/>

        <!--
            IF [TRT73] <> NULL AND [TRT46] = NULL AND [TRT47] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT73] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [TRT46] = TRT:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.TRT.432087" diagnostics="DVR.ATO.TRT.432087"
                test="not(
                        rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )"/>

        <!--          
            IF [TRT361] = TRUE AND ([TRT50] = 0 OR [TRT50] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT361] = TRT:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
            [TRT50]  = TRT:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->
        <assert id="VR.ATO.TRT.432054" diagnostics="DVR.ATO.TRT.432054"
                test="not(
                        gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and
                        (
                            sum(common:node-set(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                        )
                      )"/>

        <!--
            IF [TRT362] = TRUE AND ([TRT52] = 0 OR [TRT52] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT362] = TRT:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
            [TRT52]  = TRT:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->
        <assert id="VR.ATO.TRT.432055" diagnostics="DVR.ATO.TRT.432055"
                test="not(
                        gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and 
                        sum(common:node-set(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                      )"/>


        <!--
            IF [TRT123] > 0 AND ([TRT94] = NULL AND [TRT96] = NULL AND [TRT97] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT123] = TRT:RP.JAus:Expense.AustralianInvestmentAllowableDeduction.Amount
            [TRT94]  = TRT:RP.JAus:Income.Interest.Gross.Amount
            [TRT96]  = TRT:RP.JAus:Income.DividendsUnfranked.Amount
            [TRT97]  = TRT:RP.JAus:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432129" diagnostics="DVR.ATO.TRT.432129"
                test="not(
                        sum(common:node-set(bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 0
                        and(    not(bafpr2.02.02:Income.Interest.Gross.Amount    [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.00:Income.DividendsFranked.Amount  [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                      )"/>

        <!--
            IF [TRT95] > 0 AND ([TRT94] * 0.5) <= [TRT95] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT95] = TRT:RP.JAus:rvctc1.xx.xx:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
            [TRT94] = TRT:RP.JAus:bafpr2.xx.xx:Income.Interest.Gross.Amount
        -->
        <assert id="VR.ATO.TRT.432131" diagnostics="DVR.ATO.TRT.432131"
                test="not(
                        sum(common:node-set(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 0
                        and
                        (
                            round(0.5*100*sum(common:node-set(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &lt;= 
                            round(100*sum(common:node-set(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                      )"/>

        <!--
            IF [TRT99] > 0 AND ([TRT96] = 0 OR [TRT96] = NULL) AND ([TRT97] = 0 OR [TRT97] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT99] = TRT:RP.JAus:rvctc1.xx.xx:IncomeTax.DividendsTFNAmountsWithheld.Amount
            [TRT96] = TRT:RP.JAus:bafpr1.xx.xx:Income.DividendsUnfranked.Amount
            [TRT97] = TRT:RP.JAus:bafpr1.xx.xx:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432133" diagnostics="DVR.ATO.TRT.432133"
                test="not(
                        sum(common:node-set(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 0
                        and 0 = sum(common:node-set(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        and 0 = sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                      )"/>

        <!--

            
            IF [TRT43] <> NULLORBLANK AND ([TRT42] = NULL OR [TRT41] = NULLORBLANK) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT41] = TRT:RP:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
            [TRT42] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [TRT43] = TRT:RP:pyde.02.10:OrganisationDetails.ActivityEvent.Code  
            
        -->
        <assert id="VR.ATO.TRT.432038" diagnostics="DVR.ATO.TRT.432038"
                test="not(
                            $TRT43[string-length(normalize-space(.)) != 0] and (not($TRT42) or not($TRT41[string-length(normalize-space(.)) != 0])) 
                        )"
                        />

        <!--
            IF [TRT104] > 0 AND [TRT105] <= [TRT104]
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT104] = TRT:RP.JAus:rvctc1.xx.xx:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount
            [TRT105] = TRT:RP.JAus:gfapc.xx.xx:Pension.Total.Amount
        -->
        <assert id="VR.ATO.TRT.432148" diagnostics="DVR.ATO.TRT.432148"
                test="not(
                        sum(common:node-set(rvctc1.02.00:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 0
                        and
                        round(100*sum(common:node-set(gfapc.02.01:Pension.Total.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt;=
                        round(100*sum(common:node-set(rvctc1.02.00:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!--
            Rule Id: VR.ATO.TRT.432024
            IF [TRT32] = "059" AND 
                ((ANY OCCURRENCE OF ([TRT214] = SET("25", "26", "27", "28", "29", "30", "34", "35", "125", "126", "127", "128", "129", "138", "139", "140"))) 
                    OR [TRT230] = SET("36", "37"))
                        RETURN VALIDATION MESSAGE
            ENDIF
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT230] = TRT:RP:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            
        -->
        <assert id="VR.ATO.TRT.432024" diagnostics="DVR.ATO.TRT.432024"
                test="not(
                            pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '059' and                        
                            (
                             count(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(25|26|27|28|29|30|34|35|125|126|127|128|129|138|139|140)$')])&gt; 0 or 
                             count(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(36|37)$')]) &gt; 0 
                             )                         
                        )"/>

        <!--
            Rule Id: VR.ATO.TRT.432025
            IF [TRT32] <> "059" AND (ANY OCCURRENCE OF [TRT214] = SET("11", "12", "13", "14", "111", "118", "119", "120")) 
                OR [TRT230] = SET("15", "16", "17")
                    RETURN VALIDATION MESSAGE
                ENDIF
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT230] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            
        -->
        <assert id="VR.ATO.TRT.432025" diagnostics="DVR.ATO.TRT.432025"
                test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '059' and                        
                            (regexp:test(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(11|12|13|14|111|118|119|120)$') or 
                         regexp:test(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(15|16|17)$'))                         
                        )"/>

        <!--
            IF [TRT32] = "203" AND ANY OCCURRENCE OF([TRT214] <> SET("45", "145"))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code 
                IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432028" diagnostics="DVR.ATO.TRT.432028"
                test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='203')]
                        and 
                        common:node-set(
                        trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and  not(regexp:test(.,'^(45|145)$')) ]
                                )
                                
                    )"/>

        <!--
        regexp:test(.,'^(45|145)$')
                        and common:node-set(not(
                            regexp:test(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(45|145)$'))



            IF [TRT32] <> "203" AND ANY OCCURRENCE OF([TRT214] = SET("45", "145"))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code 
                IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432029" diagnostics="DVR.ATO.TRT.432029"
                test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '203'
                        and 
                        regexp:test(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                            /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(45|145)$')
                    )"/>

        <!--
                IF [TRT71] <> NULL AND ([TRT46] = NULL AND [TRT50] = NULL AND [TRT54] = NULL)
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
                [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
                [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            -->
        <assert id="VR.ATO.TRT.432045" diagnostics="DVR.ATO.TRT.432045"
                test="not(
                        bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>

        <!--
                IF COUNT (TUPLE(trt.0003.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails)) > 20
                   RETURN VALIDATION MESSAGE
                ENDIF
            -->
        <assert id="VR.ATO.TRT.432387" diagnostics="DVR.ATO.TRT.432387"
                test="not(
                            count(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 20
                         )"/>

        <!--
            IF [TRT72] <> NULL AND ([TRT47] = NULL AND [TRT49] = NULL AND [TRT52] = NULL AND [TRT55] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT72] = TRT:RP.NonPrim.JAus:bafpr1.xx.xx:Income.Net.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT52] = TRT:RP.NonPrim.JAus:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT55] = TRT:RP.NonPrim.JAus:bafpr1.xx.xx:Income.Other.Amount        
        -->
        <assert id="VR.ATO.TRT.432048" diagnostics="DVR.ATO.TRT.432048"
                test="not(
                        bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>

        <!--
            IF ([TRT46] <> NULL OR [TRT338] <> NULL OR [TRT50] <> NULL OR [TRT54] <> NULL) AND [TRT71] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT46] = TRT:RP.Prim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT338] = TRT:RP.Prim.JAus:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.Prim.JAus:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.Prim.JAus:bafpr1.xx.xx:Income.Other.Amount
            [TRT71] = TRT:RP.Prim.JAus:bafpr1.xx.xx:Income.Net.Amount
            
            IF ([TRT46] <> NULL OR [TRT50] <> NULL OR [TRT54] <> NULL) AND [TRT71] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
        -->
        <assert id="VR.ATO.TRT.432078" diagnostics="DVR.ATO.TRT.432078"
                test="not(
                        (
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                        and
                        not(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF ([TRT134] > 0 OR [TRT135] > 0 OR [TRT136] > 0) AND [TRT138] <> TRUE 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT134] = TRT:RP.JForeign.CFCLC:bafpr3.xx.xx:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JForeign.CFC404:bafpr3.xx.xx:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JForeign.CFCUC:bafpr3.xx.xx:Income.InternationalDealings.Attributed.Amount
            [TRT138] = TRT:RP.JForeign:bafpr3.xx.xx:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        -->
        <assert id="VR.ATO.TRT.432199" diagnostics="DVR.ATO.TRT.432199"
                test="not(
                            (
                                 sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.CFCLC.JForeign.ContextId]))
                                   &gt; 0
                              or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.CFC404.JForeign.ContextId]))
                                   &gt; 0
                              or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.CFCUC.JForeign.ContextId]))
                                   &gt; 0
                            )
                            and
                            not(bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
                                  [@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                          )"/>

        <!--
            IF ([TRT46] > 0 OR [TRT47] > 0) AND [TRT73] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT46] = TRT:RP.Prim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT73] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        -->
        <assert id="VR.ATO.TRT.432085" diagnostics="DVR.ATO.TRT.432085"
                test="not(
                        (
                            sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or
                            sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        )
                        and
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>


        <!--
            IF [TRT89] > 0 AND ([TRT90] = NULL AND [TRT91] = NULL AND [TRT92] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT89] = TRT:RP.JAus:bafpr2.xx.xx:Income.Operating.RentalIncomeGross.Amount
            [TRT90] = TRT:RP.JAus:bafpr1.xx.xx:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.TRT.432119" diagnostics="DVR.ATO.TRT.432119"
                test="not(
                        sum(common:node-set(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                          &gt; 0
                        and
                        (
                            not(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and 
                            not(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and 
                            not(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>

        <!--
              IF ([TRT85] <> NULL AND [TRT86] <> NULL) AND ([TRT80] = NULL AND [TRT81] = NULL AND [TRT83] = NULL AND [TRT437] = NULL AND [TRT438] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [TRT85] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [TRT86] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432103" diagnostics="DVR.ATO.TRT.432103"
                test="not(
                            ($TRT85 and $TRT86) 
                            and 
                            (
                                not($TRT80) and not($TRT81) and not($TRT83) and not($TRT437) and not($TRT438)
                            ) 
                         )"
                
            />

        <!--
            IF ([TRT90] > 0 OR [TRT91] > 0 OR [TRT92] > 0) AND [TRT89] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT90] = TRT:RP.JAus:bafpr1.xx.xx:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
            [TRT89] = TRT:RP.JAus:bafpr2.xx.xx:Income.Operating.RentalIncomeGross.Amount
        -->
        <assert id="VR.ATO.TRT.432118" diagnostics="DVR.ATO.TRT.432118"
                test="not( 
                           (
                                sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                  &gt; 0
                             or sum(common:node-set(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                  &gt; 0
                             or sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                  &gt; 0
                           )
                           and
                           not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [TRT245] = "Resident" AND [TRT246] <> NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT245] = TRT:RP:pyde.xx.xx:Residency.TaxPurposesOrganisationStatus.Code
            [TRT246] = TRT:RP:rvctc4.xx.xx:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount
        -->
        <assert id="VR.ATO.TRT.432339" diagnostics="DVR.ATO.TRT.432339"
                test="not(
                        pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Resident'
                        and
                        rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>

        <!--
        IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator = TRUE) AND (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) = 0)
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.GEN.438019" diagnostics="DVR.ATO.GEN.438019.TRT"
                test="not(
                            $TRT454[regexp:test(.,'^(true|1)$')]
                            and 
                            (count($TRT448) = 0)
                        )" />


        <!--
        IF (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) > 0) 
            AND 
            (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator <> TRUE)
          RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.GEN.438021" diagnostics="DVR.ATO.GEN.438021.TRT"
                test="not(
                            (count($TRT448) &gt; 0)
                            and               
                            $TRT454[not(regexp:test(.,'^(true|1)$'))]
                            
                        )" />

        <!-- 
        IF [TRT448] <> NULL AND [TRT448] = ANY OTHER OCCURRENCE OF [TRT448]
            RETURN VALIDATION MESSAGE
        ENDIF

        [TRT448] = TRT:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->
        <assert id="VR.ATO.TRT.432694" diagnostics="DVR.ATO.TRT.432694"
                test="not(
                          $TRT448 and $TRT448[text() = preceding-sibling::*[name() = name($TRT448)]/text()]
                         )"
                        />


        <!--
        IF COUNT ([TRT448]) > 19 
          RETURN VALIDATION MESSAGE
        ENDIF

        [TRT448] = TRT:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
  
        -->
        <assert id="VR.ATO.TRT.432695" diagnostics="DVR.ATO.TRT.432695"
                test="not(
                           count($TRT448) &gt; 19  
                          )" />

        <!-- 
        
        IF (RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator = FALSE) 
            AND 
            (
                (RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> NULL) 
                 OR 
                (RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL) 
                 OR 
                (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator <> NULL) 
                 OR 
                (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator <> NULL) 
                 OR 
                (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator <> NULL) 
                 OR 
                (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator <> NULL) 
                 OR 
                (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator <> NULL)
             )
            RETURN VALIDATION MESSAGE
        ENDIF
        
         TRT155 = bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
         TRT450 = bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
         TRT451 = bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
         TRT452 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
         TRT453 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
         TRT455 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
         TRT456 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
         TRT457=  rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
        -->
        <assert id="VR.ATO.GEN.438011" diagnostics="DVR.ATO.GEN.438011.TRT"
                test="not(
                            ($TRT155[regexp:test(.,'^(false|0)$')]) 
                             and 
                              (
                                ($TRT450) 
                                or 
                                ($TRT451) 
                                or 
                                ($TRT452) 
                                or 
                                ($TRT453) 
                                or 
                                ($TRT455)
                                or
                                ($TRT456)
                                or
                                ($TRT457)
                              )
                        )" />

        <!--
        IF (RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator = TRUE) 
            AND 
            (
             (RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount = NULL) 
              OR 
             (RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount = NULL) 
              OR 
             (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator = NULL) 
              OR 
             (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator = NULL)
             )
          RETURN VALIDATION MESSAGE
        ENDIF
        
            TRT155 = bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
            TRT450 = bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
            TRT451 = bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
            TRT452 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
            TRT453 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
        
         -->
        <assert id="VR.ATO.GEN.438010" diagnostics="DVR.ATO.GEN.438010.TRT"
                test="not(
                            ($TRT155[regexp:test(.,'^(true|1)$')]) 
                            and
                            (
                                not($TRT450)
                                or
                                not($TRT451)
                                or
                                not($TRT452)
                                or
                                not($TRT453)
                            )
                        )" />


        <!--
        IF [TRT463] > 0 AND [TRT464] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF

        [TRT463] = TRT:RP:rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount
        [TRT464] = TRT:RP:rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Code
        -->
        <assert id="VR.ATO.TRT.432678" diagnostics="DVR.ATO.TRT.432678"
                test="not(
                          sum(common:node-set($TRT463)) &gt; 0 and not($TRT464)
                          )" />


        <!--
        IF ([TRT463] = 0 OR [TRT463] = NULL) AND [TRT464] <> NULL
        RETURN VALIDATION MESSAGE
        ENDIF

        [TRT463] = TRT:RP:rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount
        [TRT464] = TRT:RP:rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Code

        -->
        <assert id="VR.ATO.TRT.432680" diagnostics="DVR.ATO.TRT.432680"
                test="not(
                          (sum(common:node-set($TRT463)) = 0 or not($TRT463))
                         and $TRT464                
                         )" />


        <!--
        IF [TRT436] <> NULL AND ([TRT81] = NULL OR [TRT81] <= 0)
            RETURN VALIDATION MESSAGE
        ENDIF

        [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
        [TRT436] = TRT:RP.JAUS.NonPrim:pyde.02.05:Party.TrustType.Code
        -->

        <assert id="VR.ATO.TRT.432105" diagnostics="DVR.ATO.TRT.432105"
                test="not(
                            $TRT436 and (not($TRT81) or sum(common:node-set($TRT81)) &lt;= 0)
                         )" />

        <!--
            IF ([TRT141] = NULL OR [TRT141] = 0) AND ([TRT77] + [TRT81] + [TRT437] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] < 0 )
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
        -->
        <assert id="VR.ATO.TRT.432203" diagnostics="DVR.ATO.TRT.432203"
                test="not( 
                            (not($TRT141) or sum(common:node-set($TRT141)) = 0) 
                            and 
                            (round(sum(common:node-set($TRT77)) * 100) + round(sum(common:node-set($TRT81)) * 100) + round(sum(common:node-set($TRT437)) * 100) + 
                             round(sum(common:node-set($TRT133)) * 100) + round(sum(common:node-set($TRT134)) * 100) + round(sum(common:node-set($TRT135)) * 100) +  
                             round(sum(common:node-set($TRT136)) * 100) +  round(sum(common:node-set($TRT141)) * 100) + round(sum(common:node-set($TRT143)) * 100) &lt; 0 )
                        )" />

        <!-- 
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] <= 0) 
               AND 
               (SUM([TRT218]) + SUM([TRT219]) + SUM([TRT442]) + SUM([TRT223]) + SUM([TRT224]) + SUM([TRT225]) + SUM([TRT217]) + [TRT233] + [TRT234] + [TRT235] + [TRT444] + [TRT239] + [TRT240] + [TRT241] + [TRT446] <> 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT223] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT239] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT241] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount  
        -->
      <assert id="VR.ATO.TRT.432181" diagnostics="DVR.ATO.TRT.432181"
              test="not(
                            (round(sum(common:node-set($TRT130)) * 100) + round(sum(common:node-set($TRT133)) * 100) + round(sum(common:node-set($TRT134)) * 100) + round(sum(common:node-set($TRT135)) * 100) + round(sum(common:node-set($TRT136)) * 100) + round(sum(common:node-set($TRT141)) * 100) + round(sum(common:node-set($TRT143)) * 100) - round(sum(common:node-set($TRT144)) * 100) &lt;= 0) 
                            and 
                            ((sum(common:node-set($TRT218))
                            + sum(common:node-set($TRT219)) 
                            + sum(common:node-set($TRT442)) 
                            + sum(common:node-set($TRT223)) 
                            + sum(common:node-set($TRT224)) 
                            + sum(common:node-set($TRT225)) 
                            + sum(common:node-set($TRT217)) 
                            + sum(common:node-set($TRT233)) 
                            + sum(common:node-set($TRT234)) 
                            + sum(common:node-set($TRT235)) 
                            + sum(common:node-set($TRT444)) 
                            + sum(common:node-set($TRT239)) 
                            + sum(common:node-set($TRT240)) 
                            + sum(common:node-set($TRT241)) 
                            + sum(common:node-set($TRT446))) != 0)
                        )" />
    </rule>


    <rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer <> NULLORBLANK) and 
               (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer) = FALSE)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223.TRT"
                test="not(
                            string-length(normalize-space(.)) != 0 and not(function:ValidateABN(.))
                          )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [TRT20] = NULLORBLANK AND [TRT24] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF 
            
            [TRT20] = TRT:RP:PersonNameDetails.FamilyName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
                      AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "MailRecipient")) 
                      IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails ) 
                      IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
            [TRT24] = TRT:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                      AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                      IN TUPLE(orgname2.xx.xx:OrganisationNameDetails ) 
                      IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
        -->
        <assert id="VR.ATO.TRT.432015" diagnostics="DVR.ATO.TRT.432015"
                test="not(
                        not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:PersonNameDetails.FamilyName.Text
                                    [not(@i:nil='true' or @i:nil='1') 
                                    and @contextRef=$RP.ContextId
                                    and string-length(normalize-space(.)) != 0
                                        and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL' 
                                        and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'MAILRECIPIENT'])
                        and
                        not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')] 
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [not(@i:nil='true' or @i:nil='1') 
                                    and @contextRef=$RP.ContextId
                                    and string-length(normalize-space(.)) != 0
                                        and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])='MN'
                                        and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])='C'])
                      )"/>






    </rule>

    <rule context="trt.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (organisationname2.xx.xx:OrganisationNameDetails) 
            IN TUPLE (trt.0003.lodge.req.xx.xx:MailRecipient)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
            ENDIF     
        -->
        <assert id="VR.ATO.TRT.432432" diagnostics="DVR.ATO.TRT.432432"
                test="not(   
                            exslt:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'MN'                         
                            or
                            exslt:uppercase(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                        )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
        WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) 
        IN TUPLE (trt.0003.lodge.req.xx.xx:MailRecipient)
        IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") 
        OR (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") 
        OR (pyde.xx.xx:PersonNameDetails.Usage.Code <> "MailRecipient")
            RETURN VALIDATION MESSAGE
        ENDIF                   
        -->
        <assert id="VR.ATO.TRT.432433" diagnostics="DVR.ATO.TRT.432433"
                test="not(   
                        exslt:uppercase(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'LGL'
                        or
                        exslt:uppercase(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                        or
                        exslt:uppercase(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'MAILRECIPIENT'
                     )"/>
    </rule>


    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]">
        <!--        
                    
           TT2012 add  AND [TRT442] = NULL
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT215] > 0 AND ([TRT218] = NULL AND [TRT219] = NULL AND [TRT442] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT215] = TRT:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

        <assert id="VR.ATO.TRT.432296" diagnostics="DVR.ATO.TRT.432296"
                test="not(
                        sum(common:node-set(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT344] = TRUE AND ([TRT345] = 0 OR [TRT345] = NULL) AND ([TRT346] = 0 OR [TRT346] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT345] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT346] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432347" diagnostics="DVR.ATO.TRT.432347"
                test="not(
                        rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and sum(common:node-set(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0                        
                        and sum(common:node-set(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0                        
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF  [TRT214] <> NULL AND [TRT214] <> SET("14", "35", "120", "140") AND [TRT344] = TRUE
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432295" diagnostics="DVR.ATO.TRT.432295"
                test="not(
                            rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            not (regexp:test(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(14|35|120|140)$'))
                            and
                            rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                      )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("120", "140") AND [TRT344] = TRUE AND (([TRT200] = NULLORBLANK AND [TRT203] = NULLORBLANK) OR [TRT205] = NULLORBLANK OR [TRT207] = NULLORBLANK OR [TRT210] = NULLORBLANK OR [TRT320]<>TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT205] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT207] = TRT:RP:pyde.02.00:AddressDetails.LocalityName.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT210] = TRT:RP:pyde.02.08:AddressDetails.CountryName.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT320] = TRT:RP:pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432294" diagnostics="DVR.ATO.TRT.432294"
                test="not(
                         rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and (number(.) = 120 or number(.) = 140)]
                         and
                         rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                         and
                         (
                            (
                                not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                    and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                    /pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                and
                                not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'MN'
                                    and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'C']
                                    /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            )
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                /pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                         )
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT200] <> NULLORBLANK OR [TRT203] <> NULLORBLANK) AND [TRT344] <> TRUE AND [TRT214] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432293" diagnostics="DVR.ATO.TRT.432293"
                test="not(
                        (
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')] 
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                    and string-length(normalize-space(.)) != 0 and 
                                        ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and exslt:uppercase(.)= 'LGL'] and
                                        ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and exslt:uppercase(.) = 'CONTACT']]                                                         
                            or
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')] 
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                    and string-length(normalize-space(.)) != 0 and
                                        ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and exslt:uppercase(.)='MN'] and 
                                        ../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                            and exslt:uppercase(.)='C']]
                        )
                        and 
                        not(rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId 
                                and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        not(
                            rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId 
                                and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = "140" AND [TRT229] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT229] = TRT:RP:rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432022" diagnostics="DVR.ATO.TRT.432022"
                test="not(
                        number(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 140
                        and
                        not(rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT344] <> TRUE AND ([TRT345] > 0 OR [TRT346] > 0) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT345] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT346] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432348" diagnostics="DVR.ATO.TRT.432348"
                test="not(
                        not(rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        (
                            sum(common:node-set(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or
                            sum(common:node-set(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        )    
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("14", "35")  AND [TRT344] = TRUE AND [TRT211] = NULL AND [TRT200] = NULLORBLANK AND [TRT203] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432287" diagnostics="DVR.ATO.TRT.432287"
                        test="not(
                            rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(14|35)$')]
                            and
                            rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and
                            not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)= 'LGL']
                                    and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'CONTACT']
                                    and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
                                    )  
                            and
                            not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']
                                    and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and exslt:uppercase(.)='C']
                                    and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    ]
                              )

                         )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT221] > 0 OR [TRT222] > 0) AND [TRT219] = NULL AND [TRT442] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT222] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432303" diagnostics="DVR.ATO.TRT.432303"
                test="not(  
                            (sum(common:node-set(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or
                            sum(common:node-set(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0)
                            and                           
                            not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef = $RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and 
                            not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
            IF ANY OCCURRENCE OF [TRT214] = SET(""111"", ""118"", ""119"", ""120"", ""125"", ""126"", ""127"", ""128"", ""129"", ""138"", ""139"", ""140"") 
                AND [TRT405] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT214] = TRT:RP:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT405] = TRT:RP:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text

        -->
        <assert id="VR.ATO.TRT.432290" diagnostics="DVR.ATO.TRT.432290"
                test="not(   
                            regexp:test(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(111|118|119|120|125|126|127|128|129|138|139|140)$')
                            and
                            count(../bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("11", "25", "26", "27", "28", "29", "111", "125", "126", "127", "128", "129") AND [TRT213] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT213] = TRT:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432289" diagnostics="DVR.ATO.TRT.432289"
                test="not(
                            rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                            and regexp:test(.,'^(11|25|26|27|28|29|111|125|126|127|128|129)$')]
                            and
                            not(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) 
            IF [TRT226] > 0  AND [TRT224] = NULL AND [TRT225] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT226] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432283" diagnostics="DVR.ATO.TRT.432283"
                test="not(
                        sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        not(rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and 
                        not(bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )"/>

        <!--
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF [TRT432] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432581" diagnostics="DVR.ATO.TRT.432581"
                test="not(
                         not (rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF COUNT(TUPLE prsnstrcnm3.xx.xx:PersonNameDetails) = 0 AND 
                  [TRT432] = 'I'
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432582" diagnostics="DVR.ATO.TRT.432582"
                test="not(
                         count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')])  = 0
                         and 
                         rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'I'
                     )"/>

        <!--  
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF COUNT(TUPLE orgname2.xx.xx:OrganisationNameDetails) = 0 AND 
                   [TRT432] <> 'I'
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432583" diagnostics="DVR.ATO.TRT.432583"
                test="not(
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]) = 0 and
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != 'I'
                      )"/>

        <!--  
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF ([TRT213] = NULL AND [TRT432] = 'I') THEN
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT213] = TRT:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432584" diagnostics="DVR.ATO.TRT.432584"
                test="not(
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'I' and 
                            not (pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--  
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF ([TRT214] <> SET("13","34","119","139") AND [TRT432] = 'C') THEN
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432585" diagnostics="DVR.ATO.TRT.432585"
                test="not(
                          not(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(13|34|119|139)$')])
                          and  
                          rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'C'
                      )"/>

        <!--  
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF ([TRT214] <> ("14","35","45","120","140","145") AND [TRT432] = 'T') THEN
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432586" diagnostics="DVR.ATO.TRT.432586"
                test="not(
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'T' and 
                            not (regexp:test(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(14|35|45|120|140|145)$'))
                      )"/>

        <!--
            WHERE IN IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF COUNT TUPLE (trt.0003.lodge.req.xx.xx:AnnualTrusteePaymentReportInformation)  > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432602" diagnostics="DVR.ATO.TRT.432602"
                test="not(
                         count(trt.0003.lodge.req.02.00:AnnualTrusteePaymentReportInformation) &gt; 1
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT218] <> NULL OR [TRT219] <> NULL  OR [TRT442] <> NULL OR [TRT220] > 0 OR [TRT221] > 0 OR [TRT222] > 0 OR [TRT217] > 0) AND [TRT214] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT220] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT222] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432292" diagnostics="DVR.ATO.TRT.432292"
                test="not(
                        (
                            bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            bafpr1.02.09:Income.DistributionFranked.Amountt[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0                        
                            or
                            sum(common:node-set(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or
                            sum(common:node-set(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or
                            sum(common:node-set(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        )
                        and
                        not(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT200] <> NULLORBLANK OR [TRT203] <> NULLORBLANK) AND ([TRT219] + [TRT218] + [TRT442] + [TRT223] + [TRT224] + [TRT225] + [TRT217] < 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT223] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432280" diagnostics="DVR.ATO.TRT.432280"
                test="not(
                        (
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] = 'Contact']
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                            or
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                            and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]='MN'
                            and ./pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]='C']
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                        )
                        and sum(common:node-set(
                                    bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.NonPrim.ContextId] |
                                    bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Prim.ContextId] |
                                    bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] |
                                    rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] |
                                    bafpr3.02.02:Income.InternationalDealings.Net.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] |
                                    rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                            )) &lt; 0
                     )" />

        <!--
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT432]<>NULL OR [TRT211]<>NULLORBLANK OR [TRT212]<>NULLORBLANK OR [TRT200]<>NULLORBLANK OR [TRT201]<>NULLORBLANK OR [TRT202]<>NULLORBLANK OR [TRT203] <> NULLORBLANK OR [TRT213]<>NULL OR [TRT205]<>NULLORBLANK OR [TRT206]<>NULLORBLANK OR [TRT207]<>NULLORBLANK OR [TRT208]<>NULL OR [TRT209]<>NULL OR [TRT210]<>NULLORBLANK) AND 
            [TRT218]=NULL AND [TRT219]=NULL AND [TRT442]= NULL AND [TRT221] =NULL AND [TRT222]=NULL AND [TRT217]=NULL AND [TRT345]=NULL AND [TRT346]= NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT201] = TRT:RP:pyde.02.00:PersonNameDetails.GivenName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT202] = TRT:RP:pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT205] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT206] = TRT:RP:pyde.02.00:AddressDetails.Line2.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT207] = TRT:RP:pyde.02.00:AddressDetails.LocalityName.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT208] = TRT:RP:pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT209] = TRT:RP:pyde.02.00:AddressDetails.Postcode.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT210] = TRT:RP:pyde.02.08:AddressDetails.CountryName.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT212] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT213] = TRT:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT222] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT345] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT346] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432300" diagnostics="DVR.ATO.TRT.432300"
                test="not(
                        (
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                /pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                /pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='MN'
                                and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                             or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not( bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>
        <!--
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) 
            IF [TRT220] > 0  AND [TRT218] = NULL AND [TRT219] = NULL  AND [TRT442] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT220] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432302" diagnostics="DVR.ATO.TRT.432302"
                test="not(
                        sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
            IF [TRT211] <> NULL AND 
               [TRT211] = ANY OTHER OCCURRENCE OF [TRT211]
                    RETURN VALIDATION MESSAGE
            ENDIF
            [TRT211] = TRT:RP:Identifiers.TaxFileNumber.Identifier
                         IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432593" diagnostics="DVR.ATO.TRT.432593"
                test="not(
                        pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                          and . = ../preceding-sibling::trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                      /pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]]
                      )"/>

        <!--
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF COUNT(TUPLE prsnstrcnm3.xx.xx:PersonNameDetails) = 1 AND COUNT (TUPLE (address2.xx.xx:AddressDetails WHERE TUPLE EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "RES") AND (pyde.xx.xx:AddressDetails.Currency.Code = "C")) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432569" diagnostics="DVR.ATO.TRT.432569"
                test="not(
                         count(prsnstrcnm3.02.01:PersonNameDetails ) = 1 
                         and
                         count(
                        address2.02.02:AddressDetails
                            [   not(@i:nil='true' or @i:nil='1') and 
                                pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'RES'] and
                                pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']
                            ]) != 1
                     )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT211] = NULL AND COUNT (TUPLE(address2.xx.xx:AddressDetails)) = 0
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432284" diagnostics="DVR.ATO.TRT.432284"
                test="not(
                        not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and count(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]) = 0
                     )"/>

        <!--
            IF (ANY OCCURRENCE OF[TRT211]) = RP:entity.indentifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT211] = TRT:RP:Identifiers.TaxFileNumber.Identifier 
                         IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432285" diagnostics="DVR.ATO.TRT.432285"
                test="not(
                        pyid.02.00:Identifiers.TaxFileNumber.Identifier[. = $RP.Identifier.TFN and @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT212] <> NULLORBLANK AND [TRT211] = NULLORBLANK 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT212] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432286" diagnostics="DVR.ATO.TRT.432286"
                test="not(
                        pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier[@contextRef=$RP.ContextId and string-length(normalize-space(.))!=0 and not(@i:nil='true' or @i:nil='1')] 
                        and
                        not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and string-length(normalize-space(.))!=0] and not(@i:nil='true' or @i:nil='1'))
                      )"/>

        <!--
            WHERE IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF COUNT(TUPLE orgname2.xx.xx:OrganisationNameDetails) = 1 AND 
            COUNT (TUPLE (address2.xx.xx:AddressDetails WHERE TUPLE EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "BUS") AND (pyde.xx.xx:AddressDetails.Currency.Code = "C")) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432568" diagnostics="DVR.ATO.TRT.432568"
                test="not(
                        1 =  count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])
                        and
                        1 != count(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')
                               and pyde.02.01:AddressDetails.Usage.Code   [exslt:uppercase(.) = 'BUS' and not(@i:nil='true' or @i:nil='1')]
                               and pyde.02.00:AddressDetails.Currency.Code[exslt:uppercase(.) = 'C' and not(@i:nil='true' or @i:nil='1')]])
                      )"/>

        <!--
            WHERE IN 
            TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214]  <> NULL AND ([TRT200] = NULLORBLANK AND [TRT203] = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432281" diagnostics="DVR.ATO.TRT.432281"
                test="not(
                        rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and         
                        not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']
                                and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and exslt:uppercase(.)='C']
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                ]
                          )
                       and                                 
                         not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)= 'LGL']
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'CONTACT']
                                and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
                                )
                      )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT200] <> NULLORBLANK AND [TRT203] <> NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432282" diagnostics="DVR.ATO.TRT.432282"
                test="not(
                         orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='MN']
                                and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and exslt:uppercase(.)='C']
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                ]
                         and                                 
                           prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)= 'LGL']
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'CONTACT']
                                and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                ]
                           )"/>

        <!--  
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("138", "139") AND [TRT228] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT228] = TRT:RP:rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
        <assert id="VR.ATO.TRT.432318" diagnostics="DVR.ATO.TRT.432318"
                test="not(
                        regexp:test(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(138|139)$') and
                        not(rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") OR (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") OR (pyde.xx.xx:PersonNameDetails.Usage.Code <> "Contact")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432424" diagnostics="DVR.ATO.TRT.432424"
                test="not(   
                            exslt:uppercase(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'LGL'
                            or
                            exslt:uppercase(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                            or
                            exslt:uppercase(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'CONTACT'                         
                        )"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (organisationname2.xx.xx:OrganisationNameDetails) 
            IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432422" diagnostics="DVR.ATO.TRT.432422"
                test="not(   
                            exslt:uppercase(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'MN'                         
                            or
                            exslt:uppercase(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                        )"/>
    </rule>

    <rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
            IF pyde.xx.xx:ElectronicContact.Telephone.ServiceLine.Code = ""02"" 
                AND pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULL 
                AND pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF 
        -->
        <assert id="VR.ATO.TRT.432572" diagnostics="DVR.ATO.TRT.432572"
                test="not(
                            pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[not(@i:nil='true' or @i:nil='1')]  = '02'
                            and pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')]
                            and not(pyde.02.00:ElectronicContact.Telephone.Area.Code[not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
           WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
            IF pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL
            OR pyde.xx.xx:ElectronicContact.Telephone.Usage.Code <> ""03"" 
            OR pyde.xx.xx:Electronic Contact.Telephone.ServiceLine.Code <> SET (""01"", ""02"")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432016" diagnostics="DVR.ATO.GEN.432016.SMSFAR"
                test="not(
                        not(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')])
                        or  not(pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1') and . = '03'])
                        or  not(pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(01|02)$')])
                      )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:SuperannuationLumpSumWithholdingPaymentDetails)
            IF ([TRT100] = NULL AND [TRT101] = NULL) OR ([TRT408] <> TRUE) OR ([TRT410] <> "O")
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT100] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT101] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT408] = TRT:RP.JAUS:crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT410] = TRT:RP.JAUS:crigi.02.00:InsuranceBenefits.BeneficiaryType.Code WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
        -->
        <assert id="VR.ATO.TRT.432384" diagnostics="DVR.ATO.TRT.432384"
                test="not(
                        (
                            not(emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )
                         or
                         not(crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                         or
                         not(crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(O)$')])
                     )"/>

    </rule>

    <rule context="trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE (trt.0001.lodge.req.xx.xx:SuperannuationIncomeStreamWithholdingPaymentDetails)
            IF COUNT TUPLE(trt.0001.lodge.req.xx.xx:LumpSumInArrears) > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432603" diagnostics="DVR.ATO.TRT.432603"
                test="not(
                         count(trt.0003.lodge.req.02.00:LumpSumInArrears) &gt; 1
                     )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:OtherAustralianIncome)
            IF [TRT120] = NULLORBLANK OR [TRT121] = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT120] = TRT:RP.JAUS:bafpr1.02.00:Income.Other.Description IN TUPLE(trt.0003.lodge.req.02.00:OtherAustralianIncome)
            [TRT121] = TRT:RP.JAUS:bafpr1.02.04:Income.Other.Amount IN TUPLE(trt.0003.lodge.req.02.00:OtherAustralianIncome)
        -->
        <assert id="VR.ATO.TRT.432164" diagnostics="DVR.ATO.TRT.432164"
                test="not(
                        not(bafpr1.02.00:Income.Other.Description[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        or
                        not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

    </rule>

    <rule context="trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails)
            IF [TRT108] = NULL AND [TRT109] = NULL AND [TRT110] = NULL AND [TRT111] = NULL AND [TRT112] = NULL AND [TRT113] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT108] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT109] = TRT:RP.JAUS:lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT110] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveAfter15Aug78.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT111] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT112] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveBefore16Aug78.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT113] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
        -->
        <assert id="VR.ATO.TRT.432425" diagnostics="DVR.ATO.TRT.432425"
                test="not(
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveAfter15Aug78.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveBefore16Aug78.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>
    </rule>

    <rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (organisationname2.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> SET("MN", "MTR"))
             RETURN VALIDATION MESSAGE
            ENDIF           
        -->
        <assert id="VR.ATO.TRT.432595" diagnostics="DVR.ATO.TRT.432595"
                test="not(                            
                             pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') 
                             and not(regexp:test(exslt:uppercase(.),'^(MN|MTR)$'))]
                        )"/>
    </rule>



    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--  
            WHERE IN TUPLE (xbrli\personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> ""Contact""
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432391" diagnostics="DVR.ATO.GEN.432391.TRT"
                test="not(
                              not (pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')])
                              or
                              pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $INT.ContextId and exslt:uppercase(.) != 'CONTACT']
                              
                            
                      )"/>

    </rule>

    <rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.GEN.430206    
    
            IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) 
                AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206.TRT"
                test=". &gt;='1' and . &lt;='999'"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(trt.0001.lodge.req.xx.xx:ForestyManagedInvestmentSchemeRulingInformation) 
            IF gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code = ""AN"" 
            AND (gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year <> NULL 
                OR gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number = NULL)
              RETURN VALIDATION MESSAGE 
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432426" diagnostics="DVR.ATO.TRT.432426"
                test="not(
                            gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='AN']
                            and 
                            (
                                gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year[not(@i:nil='true' or @i:nil='1')]
                                or 
                                not(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[not(@i:nil='true' or @i:nil='1')])
                            )
                       )"/>
        <!--
             WHERE IN TUPLE(trt.0001.lodge.req.xx.xx:ForestyManagedInvestmentSchemeRulingInformation)
            IF ([TRT125] = "PR") AND ([TRT127] > 999)
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT125] = TRT:RP.JAus:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(trt.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
            [TRT127] = TRT:RP.JAus:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number IN TUPLE(trt.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
        -->
        <assert id="VR.ATO.TRT.432172" diagnostics="DVR.ATO.TRT.432172"
                test="not(
                      gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='PR']
                      and                     
                      gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and number(.)&gt; 999]
                     )"/>

    </rule>

    <rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) IN TUPLE(declaration2.xx.xx:Declaration)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "DeclarationSignatory"
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279.TRT"
                test="not(
                        exslt:uppercase(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'DECLARATIONSIGNATORY'
                      )"/>

    </rule>


    <rule context="trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled)
            IF ([TRT234] <> NULL OR [TRT235] <> NULL OR [TRT444] <> NULL OR [TRT236] > 0 OR [TRT237] > 0 OR [TRT238] > 0 OR [TRT233] > 0) AND [TRT230] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT230] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT236] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT238] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432321" diagnostics="DVR.ATO.TRT.432321"
                test="not(       
                            (
                            rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or 
                            bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                            or
                            sum(common:node-set(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                            or
                            sum(common:node-set(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0  
                            or
                            sum(common:node-set(IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0  
                            )
                            and
                            not(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                          )"/>

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled)
            IF ([TRT237] > 0 OR [TRT238] > 0) AND [TRT235] = NULL AND [TRT444] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount 
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT238] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432325" diagnostics="DVR.ATO.TRT.432325"
                test="not(
                        (
                            sum(common:node-set(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or
                            sum(common:node-set(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        )
                        and
                        not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            IF [TRT242] > 0  AND [TRT240] = NULL AND [TRT241] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount
            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            
            [TRT241] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount
            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            
            [TRT242] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
        <assert id="VR.ATO.TRT.432311" diagnostics="DVR.ATO.TRT.432311"
                test="not(
                        sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        not(rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and 
                        not(bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            IF [TRT236] > 0  AND [TRT234] = NULL AND [TRT235] = NULL AND [TRT444] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount 
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT236] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)        
        -->
        <assert id="VR.ATO.TRT.432600" diagnostics="DVR.ATO.TRT.432600"
                test="not(
                        sum(common:node-set(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                               [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0                        
                        and
                        not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                               [@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                               [@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.09:Income.DistributionFranked.Amount
                               [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
            IF [TRT231] > 0 AND ([TRT234] = NULL AND [TRT235] = NULL  AND [TRT444] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT231] = TRT:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount 
                            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount    
                            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount 
                            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                            IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)                            
        -->
        <assert id="VR.ATO.TRT.432607" diagnostics="DVR.ATO.TRT.432607"
                test="not(
                        sum(common:node-set(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

    </rule>

    <rule context="trt.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:OtherDeductions)
            IF [TRT128] <> NULLORBLANK AND ([TRT129] = 0 OR [TRT129] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT128] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Text IN TUPLE(trt.0003.lodge.req.02.00:OtherDeductions)
            [TRT129] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Amount IN TUPLE(trt.0003.lodge.req.02.00:OtherDeductions)
        -->
        <assert id="VR.ATO.TRT.432177" diagnostics="DVR.ATO.TRT.432177"
                test="not(
                        bafpr1.02.04:Expense.DeductibleOther.Text[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                        and 
                        sum(common:node-set(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                    )"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not=(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(xbrli/addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Usage.Code <> SET("POS", "BUS"))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432596" diagnostics="DVR.ATO.TRT.432596"
                test="not(                          
                         pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') 
                         and not(regexp:test(exslt:uppercase(.),'^(POS|BUS)$'))]
                        )"/>
    </rule>

    <rule context="trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not=(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE (addressdetails2.xx.xx:AddressDetails) IN TUPLE (trt.0003.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) 
            IF (pyde.xx.xx:AddressDetails.Usage.Code <> SET("RES", "BUS"))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432599" diagnostics="DVR.ATO.TRT.432599"
                test="not(                          
                         pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') 
                         and not(regexp:test(exslt:uppercase(.),'^(RES|BUS)$'))]
                        )"/>

    </rule>

    <rule context="trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(trt.0003.lodge.req.xx.xx:EmploymentTerminationPaymentDetails)
            IF (emsup.xx.xx:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount
            = NULL) OR (crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code = NULL) OR (crigi.xx.xx:InsuranceBenefits.DeathBenefit.Indicator <> TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432420" diagnostics="DVR.ATO.TRT.432420"
                test="not(  
                            not(emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[not(@i:nil='true' or @i:nil='1')])
                            or
                            not(crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[ not(@i:nil='true' or @i:nil='1')])
                            or
                            not(crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                     )"/>

    </rule>

</pattern>
